/*****************************************************************************
 * Copyright (C) 1997-2007, Mark Hummel
 * This file is part of Vrq.
 *
 * Vrq is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * Vrq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *****************************************************************************
 */
/******************************************************************************
 *
 *
 *	   cevent.hpp
 *		- class definition of event 
 *		  definition nodes
 *
 ******************************************************************************
 */

#ifndef CEVENT_HPP
#define CEVENT_HPP

#include <stdio.h>
#include "glue.h"
#include "cdecl.h"


class CNode;


/**
 * Event declaration
 */
class CEvent: public CDecl
{
public:
	/**
 	 * Create an event declaration
 	 * \param symbol declaration symbol.
 	 * \param aLoc file coordinate of declaration.
 	 */ 
	CEvent( CSymbol* symbol, Coord_t* aLoc );
	/**
 	 * Dump event declaration info to file descriptor.
 	 * \param f file descriptor for output.
	 */
	virtual void Dump( FILE* f );
};

#endif // CEVENT_HPP
