/*****************************************************************************
 * Copyright (C) 1997-2007, Mark Hummel
 * This file is part of Vrq.
 *
 * Vrq is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * Vrq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *****************************************************************************
 */
/******************************************************************************
 *
 *
 *	   creal.hpp
 *		- class definition of real
 *		  definition nodes
 *
 ******************************************************************************
 */

#ifndef CREAL_HPP
#define CREAL_HPP

#include <stdio.h>
#include "glue.h"
#include "cdecl.h"


class CNode;

/**
 * Declaration object for real variables. 
 */
class CReal : public CDecl
{
public:
	/**
 	 * Create a real declaration.
 	 * \param symbol declaration symbol.
 	 * \param aLoc file coordinates of declaration.
 	 * \param aType declaration type {eREAL or eREALTIME}.
 	 */
	CReal( CSymbol* symbol, Coord_t* aLoc, Decl_t aType );
	/**
 	 * Get node type
 	 * \return node type.
 	 */
	virtual NodeType_t GetNodeType( void ) { return eR; }
	/**
 	 * Dump declaration info to file descriptor.
 	 * \param f file descriptor.
 	 */
	virtual void Dump( FILE* f );
};

#endif // CREAL_HPP
