


/*****************************************************************************
 * Copyright (C) 1997-2009, Mark Hummel
 * This file is part of Vrq.
 *
 * Vrq is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * Vrq is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 *****************************************************************************
 */


/*********************************************************
 *   Warning: This file is machine generate, do not edit
 ********************************************************/

/**
 * \file cnode_def.h
 * Definitions for parse tree nodes.
 */

/**
 * \page parse_tree_node Parse Tree Nodes
 * List of all parse tree nodes
 * \section ERROR
 * Error node
 * \section VCONSTANT
 * Vector constant
     * - Arg\<CVector*>(0): Pointer to vector
 * \section RCONSTANT
 * Real constant
     * - Arg\<char*>(0): Pointer to string
 * \section COMMENT
 * Comment
     * - Arg\<const char*>(0): Pointer to string
 * \section VRQ
 * Vrq comment
     * - Arg\<const char*>(0): Pointer to string
 * \section PRAGMA
 * Program pragma
     * - Arg\<const char*>(0): Pointer to string
 * \section ELIST
 * Expression list
     * - Arg\<CNode*>(0): expression1
     * - Arg\<CNode*>(1): expression2
 * \section WIDTH
 * Expression width change
     * - Arg\<CNode*>(0): width expression
     * - Arg\<CNode*>(1): expression
 * \section NOP
 * Does nothing
 * \section SUB
 * Subtract
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section MUL
 * Multiple
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section DIV
 * Divide
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section POW
 * Exponent
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section ADD
 * Addition
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section LSH
 * Logical left shift
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section RSH
 * Logical right shift
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section LSHA
 * Arithmetic left shift
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section RSHA
 * Arithmetic right shift
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section MOD
 * Modulus
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section OR
 * Bitwise or
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section AND
 * Bitwise and
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section ANDANDAND
 * Triple and
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section XOR
 * Bitwise xor
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section XNOR
 * Bitwise xnor
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section INSTANCE_REF
 * Instance Reference
     * - Arg\<CInstance*>(0): Pointer to a instance
 * \section GATE_REF
 * Gate Instance
     * - Arg\<CGate*>(0): Pointer to a gate
 * \section TASK_ENABLE
 * Call to a task
     * - Arg\<CSymbol*>(0): Pointer to symbol for task to call
     * - Arg\<CNode*>(1): Argument expression list
 * \section SYSTASK_CALL
 * Call to enable a systask
     * - Arg\<CSymbol*>(0): Pointer to symbol for systask to call
     * - Arg\<CNode*>(1): Argument expression list
 * \section TIMING_CALL
 * Call to a timing task
     * - Arg\<CSymbol*>(0): Pointer to symbol of timing task
     * - Arg\<CNode*>(1): Argument expression list
 * \section FUNCTION_CALL
 * Call to a function
     * - Arg\<CSymbol*>(0): Pointer to symbol of the function
     * - Arg\<CNode*>(1): Argument expression list
     * - Arg\<CScope*>(2): Scope containing expression
 * \section ARRAY
 * Dimensioned reference (array/bit select)
     * - Arg\<CNode*>(0): Reference to variable
     * - Arg\<CNode*>(1): List of index expressions
 * \section NET_REF
 * reference to net
     * - Arg\<CNet*>(0): Pointer to net
 * \section REG_REF
 * reference to register
     * - Arg\<CReg*>(0): Pointer to reg
 * \section REAL_REF
 * reference to real
     * - Arg\<CReal*>(0): Pointer to real
 * \section PARAM_REF
 * reference to parameter
     * - Arg\<CParam*>(0): Pointer to parameter
 * \section PORT_REF
 * reference to port
     * - Arg\<CPortDir*>(0): Pointer to port
 * \section FWD_REF
 * reference to a forward declared variable
     * - Arg\<CFref*>(0): Pointer to forward declared variable
 * \section EVENT_REF
 * reference to an event
     * - Arg\<CEvent*>(0): Pointer to an event
 * \section GENVAR_REF
 * reference to a genvar
     * - Arg\<CGenvar*>(0): Pointer to a genvar
 * \section NET_DECL
 * net declaration
     * - Arg\<CNet*>(0): Pointer to a net
     * - Arg\<CNode*>(1): continous assignment (optional)
 * \section REG_DECL
 * register declaration
     * - Arg\<CReg*>(0): Pointer to a reg
     * - Arg\<CNode*>(1): procedural assignment (optional)
 * \section REAL_DECL
 * real declaration
     * - Arg\<CReal*>(0): Pointer to a real
     * - Arg\<CNode*>(1): procedural assignment (optional)
 * \section PARAM_DECL
 * parameter declaration
     * - Arg\<CParam*>(0): Pointer to a parameter
 * \section SPECPARAM_DECL
 * specify parameter declaration
     * - Arg\<CParam*>(0): Pointer to a specify parameter
 * \section PORT_DECL
 * port declaration
     * - Arg\<CPortDir*>(0): Pointer to a port
 * \section EVENT_DECL
 * event declaration
     * - Arg\<CEvent*>(0): Pointer to an event
 * \section GENVAR_DECL
 * genvar declaration
     * - Arg\<CGenvar*>(0): Pointer to a genvar
 * \section LIST
 * list of nodes
     * - Arg\<CNode*>(0): node 1
     * - Arg\<CNode*>(1): node 2
 * \section RANGE
 * vector decl range specification
     * - Arg\<CNode*>(0): msb expression
     * - Arg\<CNode*>(1): lsb expression
 * \section SLICE
 * vector subrange
     * - Arg\<CNode*>(0): msb expression
     * - Arg\<CNode*>(1): lsb expression
 * \section PSLICE
 * vector subrange with ascending index select
     * - Arg\<CNode*>(0): index expression
     * - Arg\<CNode*>(1): width expression
 * \section MSLICE
 * vector subrange with descending index select
     * - Arg\<CNode*>(0): index expression
     * - Arg\<CNode*>(1): width expression
 * \section CVRI
 * convert real to integer
     * - Arg\<CNode*>(0): expression
 * \section CVIR
 * convert integer to real
     * - Arg\<CNode*>(0): expression
 * \section REP
 * replication operator
     * - Arg\<CNode*>(0): replication expression
     * - Arg\<CNode*>(1): expression to replicate
 * \section CAT
 * concatenation operator
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section UCAT
 * unary concat
     * - Arg\<CNode*>(0): expression
 * \section COM
 * bitwise complement
     * - Arg\<CNode*>(0): expression
 * \section NEG
 * negation
     * - Arg\<CNode*>(0): expression
 * \section NOT
 * logical complement
     * - Arg\<CNode*>(0): expression
 * \section GT
 * greater than
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section GE
 * greater than or equal
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section LT
 * less than
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section LE
 * less than or equal
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section LAND
 * logical and
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section LOR
 * logical or
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section CEQ
 * case equal
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section CNE
 * case not equal
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section EQ
 * equal
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section NE
 * not equal
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section RAND
 * reduction and
     * - Arg\<CNode*>(0): expression
 * \section RNAND
 * reduction nand
     * - Arg\<CNode*>(0): expression
 * \section ROR
 * reduction or
     * - Arg\<CNode*>(0): expression
 * \section RNOR
 * reduction nor
     * - Arg\<CNode*>(0): expression
 * \section RXOR
 * reduction xor
     * - Arg\<CNode*>(0): expression
 * \section RXNOR
 * reduction xnor
     * - Arg\<CNode*>(0): expression
 * \section HOOK
 * condition expression operator
     * - Arg\<CNode*>(0): condition expression
     * - Arg\<CNode*>(1): true expression
     * - Arg\<CNode*>(2): false expression
 * \section INIT
 * initial block
     * - Arg\<CNode*>(0): 
 * \section ALWAYS
 * always block
     * - Arg\<CNode*>(0): 
 * \section EVENT
 * event statement
     * - Arg\<CNode*>(0): event expression (NULL for @*)
     * - Arg\<CNode*>(1): statement
 * \section BLOCK_REF
 * statement block
     * - Arg\<CBlock*>(0): pointer to block
     * - Arg\<CNode*>(1): list of statements
 * \section SPECIFY_REF
 * specify block
     * - Arg\<CSpecify*>(0): pointer to specify structure
     * - Arg\<CNode*>(1): list of statements
 * \section ASSIGN
 * procedural assignment
     * - Arg\<CNode*>(0): event expression
     * - Arg\<CNode*>(1): lval
     * - Arg\<CNode*>(2): rval
 * \section FORCE
 * force statement
     * - Arg\<CNode*>(0): lval
     * - Arg\<CNode*>(1): expression
 * \section RELEASE
 * release statement
     * - Arg\<CNode*>(0): lval
 * \section NBASSIGN
 * nonblocking assignment
     * - Arg\<CNode*>(0): event expression
     * - Arg\<CNode*>(1): lval
     * - Arg\<CNode*>(2): rval
 * \section POSEDGE
 * positive event qualifier
     * - Arg\<CNode*>(0): expression
 * \section NEGEDGE
 * negative event qualifier
     * - Arg\<CNode*>(0): expression
 * \section EDGE
 * edge qualifier
     * - Arg\<CNode*>(0): 
     * - Arg\<Edge_t>(1): edge specification
 * \section EVOR
 * event or
     * - Arg\<CNode*>(0): expression 1
     * - Arg\<CNode*>(1): expression 2
 * \section DELAY
 * delay statement
     * - Arg\<CNode*>(0): delay expression
     * - Arg\<CNode*>(1): statements
 * \section MTM
 * min/typ/max expression
     * - Arg\<CNode*>(0): minimum expression
     * - Arg\<CNode*>(1): typical expression
     * - Arg\<CNode*>(2): maximum expression
 * \section IF
 * if statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): true statements
     * - Arg\<CNode*>(2): false statements
 * \section FOREVER
 * forever statement
     * - Arg\<CNode*>(0): statements
 * \section REPEAT
 * repeat statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): statements
 * \section WHILE
 * while statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): statements
 * \section WAIT
 * wait statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): statements
 * \section FOR
 * for statement
     * - Arg\<CNode*>(0): initial statement
     * - Arg\<CNode*>(1): condition
     * - Arg\<CNode*>(2): assignment statement
     * - Arg\<CNode*>(3): statements
 * \section CASE
 * case statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): list of case items
 * \section CASEX
 * casex statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): list of case items
 * \section CASEZ
 * casez statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): list of case items
 * \section CASEITEM
 * case item
     * - Arg\<CNode*>(0): list of expressions (NULL for default)
     * - Arg\<CNode*>(1): statement
 * \section CASSIGN
 * continious assignment
     * - Arg\<StrengthPair_t*>(0): assignment strength
     * - Arg\<CNode*>(1): delay expression
     * - Arg\<CNode*>(2): lval
     * - Arg\<CNode*>(3): rval expression
 * \section ARG
 * port connection
     * - Arg\<CSymbol*>(0): port name
     * - Arg\<CNode*>(1): port expression
 * \section FUNCTION_DEF
 * function definition
     * - Arg\<CFunction*>(0): 
 * \section MODULE_DEF
 * module definition
     * - Arg\<CModule*>(0): 
 * \section REPEAT_CONTROL
 * repeat control
     * - Arg\<CNode*>(0): expression
     * - Arg\<CNode*>(1): event control
 * \section DELAY_CONTROL
 * delay control
     * - Arg\<CNode*>(0): expression
 * \section EVENT_CONTROL
 * event control
     * - Arg\<CNode*>(0): event expression (NULL for @*)
 * \section EXTERNAL_REF
 * external reference
     * - Arg\<CSymbol*>(0): pointer to symbol
 * \section PORT_DEF
 * port definition
     * - Arg\<CPort*>(0): pointer to port
 * \section DEFPARAM
 * defparam statement
     * - Arg\<CNode*>(0): external reference
     * - Arg\<CNode*>(1): expression
 * \section PATH
 * path statement
     * - Arg\<int>(0): 
     * - Arg\<CNode*>(1): edge int[-1,0,1]
     * - Arg\<int>(2): Input list
     * - Arg\<int>(3): Left polarity int[-1,0,1]
     * - Arg\<CNode*>(4): Operation type int [0 = *>, 1 = =>]
     * - Arg\<int>(5): Output list
     * - Arg\<CNode*>(6): Right polarity int[-1,0,1]
 * \section PATH_ASSIGN
 * path assignment statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): path
     * - Arg\<CNode*>(2): expression
 * \section IFNONE_PATH_ASSIGN
 * ifnone path assignment statement
     * - Arg\<CNode*>(0): path
     * - Arg\<CNode*>(1): expression
 * \section TRIGGER
 * event trigger
     * - Arg\<CNode*>(0): event reference
 * \section PASSIGN
 * procedural assignment
     * - Arg\<CNode*>(0): lval
     * - Arg\<CNode*>(1): expression
 * \section DEASSIGN
 * deassign statement
     * - Arg\<CNode*>(0): lval
 * \section DISABLE
 * disable statement
     * - Arg\<CSymbol*>(0): pointer to symbol
 * \section ATTRIBUTE
 * attribute specification
     * - Arg\<CAttr*>(0): pointer to attribute
 * \section GIF
 * structural if statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): true statement
     * - Arg\<CNode*>(2): false statement
 * \section GFOR
 * structural for statement
     * - Arg\<CNode*>(0): initial statement
     * - Arg\<CNode*>(1): condition
     * - Arg\<CNode*>(2): assignment statement
     * - Arg\<CNode*>(3): statement
 * \section GCASE
 * structural case statement
     * - Arg\<CNode*>(0): condition
     * - Arg\<CNode*>(1): list of case items
 * \section TABLE
 * udp table
     * - Arg\<CNode*>(0): list of table entries
 * \section TABLE_ENTRY
 * udp table entry
     * - Arg\<CNode*>(0): list of table symbols
 * \section TABLE_SYMBOL
 * udp table symbol
     * - Arg\<char*>(0): string of udp characters
 * \section PORTLIST_END
 * sentinal at end of port list
 * \section MACRO_EXPR
 * expression represented by a macro
     * - Arg\<const char*>(0): alternate expression, may be NULL
     * - Arg\<CNode*>(1): 
 */
 
#ifdef DEFINE_ENUM
    /**
     * Parse tree opcodes
     */
enum NodeOp_t {
    /**
     * Error node
     */
    /*
     * ERROR node
     * Description: Error node
     * Number Of Arguments: 0
     */
    eERROR,
    /**
     * Vector constant
     */
    /*
     * VCONSTANT node
     * Description: Vector constant
     * Number Of Arguments: 1
     * arg0: CVector* Pointer to vector
     */
    eVCONSTANT,
    /**
     * Real constant
     */
    /*
     * RCONSTANT node
     * Description: Real constant
     * Number Of Arguments: 1
     * arg0: char* Pointer to string
     */
    eRCONSTANT,
    /**
     * Comment
     */
    /*
     * COMMENT node
     * Description: Comment
     * Number Of Arguments: 1
     * arg0: const char* Pointer to string
     */
    eCOMMENT,
    /**
     * Vrq comment
     */
    /*
     * VRQ node
     * Description: Vrq comment
     * Number Of Arguments: 1
     * arg0: const char* Pointer to string
     */
    eVRQ,
    /**
     * Program pragma
     */
    /*
     * PRAGMA node
     * Description: Program pragma
     * Number Of Arguments: 1
     * arg0: const char* Pointer to string
     */
    ePRAGMA,
    /**
     * Expression list
     */
    /*
     * ELIST node
     * Description: Expression list
     * Number Of Arguments: 2
     * arg0: CNode* expression1
     * arg1: CNode* expression2
     */
    eELIST,
    /**
     * Expression width change
     */
    /*
     * WIDTH node
     * Description: Expression width change
     * Number Of Arguments: 2
     * arg0: CNode* width expression
     * arg1: CNode* expression
     */
    eWIDTH,
    /**
     * Does nothing
     */
    /*
     * NOP node
     * Description: Does nothing
     * Number Of Arguments: 0
     */
    eNOP,
    /**
     * Subtract
     */
    /*
     * SUB node
     * Description: Subtract
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eSUB,
    /**
     * Multiple
     */
    /*
     * MUL node
     * Description: Multiple
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eMUL,
    /**
     * Divide
     */
    /*
     * DIV node
     * Description: Divide
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eDIV,
    /**
     * Exponent
     */
    /*
     * POW node
     * Description: Exponent
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    ePOW,
    /**
     * Addition
     */
    /*
     * ADD node
     * Description: Addition
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eADD,
    /**
     * Logical left shift
     */
    /*
     * LSH node
     * Description: Logical left shift
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eLSH,
    /**
     * Logical right shift
     */
    /*
     * RSH node
     * Description: Logical right shift
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eRSH,
    /**
     * Arithmetic left shift
     */
    /*
     * LSHA node
     * Description: Arithmetic left shift
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eLSHA,
    /**
     * Arithmetic right shift
     */
    /*
     * RSHA node
     * Description: Arithmetic right shift
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eRSHA,
    /**
     * Modulus
     */
    /*
     * MOD node
     * Description: Modulus
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eMOD,
    /**
     * Bitwise or
     */
    /*
     * OR node
     * Description: Bitwise or
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eOR,
    /**
     * Bitwise and
     */
    /*
     * AND node
     * Description: Bitwise and
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eAND,
    /**
     * Triple and
     */
    /*
     * ANDANDAND node
     * Description: Triple and
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eANDANDAND,
    /**
     * Bitwise xor
     */
    /*
     * XOR node
     * Description: Bitwise xor
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eXOR,
    /**
     * Bitwise xnor
     */
    /*
     * XNOR node
     * Description: Bitwise xnor
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eXNOR,
    /**
     * Instance Reference
     */
    /*
     * INSTANCE_REF node
     * Description: Instance Reference
     * Number Of Arguments: 1
     * arg0: CInstance* Pointer to a instance
     */
    eINSTANCE_REF,
    /**
     * Gate Instance
     */
    /*
     * GATE_REF node
     * Description: Gate Instance
     * Number Of Arguments: 1
     * arg0: CGate* Pointer to a gate
     */
    eGATE_REF,
    /**
     * Call to a task
     */
    /*
     * TASK_ENABLE node
     * Description: Call to a task
     * Number Of Arguments: 2
     * arg0: CSymbol* Pointer to symbol for task to call
     * arg1: CNode* Argument expression list
     */
    eTASK_ENABLE,
    /**
     * Call to enable a systask
     */
    /*
     * SYSTASK_CALL node
     * Description: Call to enable a systask
     * Number Of Arguments: 2
     * arg0: CSymbol* Pointer to symbol for systask to call
     * arg1: CNode* Argument expression list
     */
    eSYSTASK_CALL,
    /**
     * Call to a timing task
     */
    /*
     * TIMING_CALL node
     * Description: Call to a timing task
     * Number Of Arguments: 2
     * arg0: CSymbol* Pointer to symbol of timing task
     * arg1: CNode* Argument expression list
     */
    eTIMING_CALL,
    /**
     * Call to a function
     */
    /*
     * FUNCTION_CALL node
     * Description: Call to a function
     * Number Of Arguments: 3
     * arg0: CSymbol* Pointer to symbol of the function
     * arg1: CNode* Argument expression list
     * arg2: CScope* Scope containing expression
     */
    eFUNCTION_CALL,
    /**
     * Dimensioned reference (array/bit select)
     */
    /*
     * ARRAY node
     * Description: Dimensioned reference (array/bit select)
     * Number Of Arguments: 2
     * arg0: CNode* Reference to variable
     * arg1: CNode* List of index expressions
     */
    eARRAY,
    /**
     * reference to net
     */
    /*
     * NET_REF node
     * Description: reference to net
     * Number Of Arguments: 1
     * arg0: CNet* Pointer to net
     */
    eNET_REF,
    /**
     * reference to register
     */
    /*
     * REG_REF node
     * Description: reference to register
     * Number Of Arguments: 1
     * arg0: CReg* Pointer to reg
     */
    eREG_REF,
    /**
     * reference to real
     */
    /*
     * REAL_REF node
     * Description: reference to real
     * Number Of Arguments: 1
     * arg0: CReal* Pointer to real
     */
    eREAL_REF,
    /**
     * reference to parameter
     */
    /*
     * PARAM_REF node
     * Description: reference to parameter
     * Number Of Arguments: 1
     * arg0: CParam* Pointer to parameter
     */
    ePARAM_REF,
    /**
     * reference to port
     */
    /*
     * PORT_REF node
     * Description: reference to port
     * Number Of Arguments: 1
     * arg0: CPortDir* Pointer to port
     */
    ePORT_REF,
    /**
     * reference to a forward declared variable
     */
    /*
     * FWD_REF node
     * Description: reference to a forward declared variable
     * Number Of Arguments: 1
     * arg0: CFref* Pointer to forward declared variable
     */
    eFWD_REF,
    /**
     * reference to an event
     */
    /*
     * EVENT_REF node
     * Description: reference to an event
     * Number Of Arguments: 1
     * arg0: CEvent* Pointer to an event
     */
    eEVENT_REF,
    /**
     * reference to a genvar
     */
    /*
     * GENVAR_REF node
     * Description: reference to a genvar
     * Number Of Arguments: 1
     * arg0: CGenvar* Pointer to a genvar
     */
    eGENVAR_REF,
    /**
     * net declaration
     */
    /*
     * NET_DECL node
     * Description: net declaration
     * Number Of Arguments: 2
     * arg0: CNet* Pointer to a net
     * arg1: CNode* continous assignment (optional)
     */
    eNET_DECL,
    /**
     * register declaration
     */
    /*
     * REG_DECL node
     * Description: register declaration
     * Number Of Arguments: 2
     * arg0: CReg* Pointer to a reg
     * arg1: CNode* procedural assignment (optional)
     */
    eREG_DECL,
    /**
     * real declaration
     */
    /*
     * REAL_DECL node
     * Description: real declaration
     * Number Of Arguments: 2
     * arg0: CReal* Pointer to a real
     * arg1: CNode* procedural assignment (optional)
     */
    eREAL_DECL,
    /**
     * parameter declaration
     */
    /*
     * PARAM_DECL node
     * Description: parameter declaration
     * Number Of Arguments: 1
     * arg0: CParam* Pointer to a parameter
     */
    ePARAM_DECL,
    /**
     * specify parameter declaration
     */
    /*
     * SPECPARAM_DECL node
     * Description: specify parameter declaration
     * Number Of Arguments: 1
     * arg0: CParam* Pointer to a specify parameter
     */
    eSPECPARAM_DECL,
    /**
     * port declaration
     */
    /*
     * PORT_DECL node
     * Description: port declaration
     * Number Of Arguments: 1
     * arg0: CPortDir* Pointer to a port
     */
    ePORT_DECL,
    /**
     * event declaration
     */
    /*
     * EVENT_DECL node
     * Description: event declaration
     * Number Of Arguments: 1
     * arg0: CEvent* Pointer to an event
     */
    eEVENT_DECL,
    /**
     * genvar declaration
     */
    /*
     * GENVAR_DECL node
     * Description: genvar declaration
     * Number Of Arguments: 1
     * arg0: CGenvar* Pointer to a genvar
     */
    eGENVAR_DECL,
    /**
     * list of nodes
     */
    /*
     * LIST node
     * Description: list of nodes
     * Number Of Arguments: 2
     * arg0: CNode* node 1
     * arg1: CNode* node 2
     */
    eLIST,
    /**
     * vector decl range specification
     */
    /*
     * RANGE node
     * Description: vector decl range specification
     * Number Of Arguments: 2
     * arg0: CNode* msb expression
     * arg1: CNode* lsb expression
     */
    eRANGE,
    /**
     * vector subrange
     */
    /*
     * SLICE node
     * Description: vector subrange
     * Number Of Arguments: 2
     * arg0: CNode* msb expression
     * arg1: CNode* lsb expression
     */
    eSLICE,
    /**
     * vector subrange with ascending index select
     */
    /*
     * PSLICE node
     * Description: vector subrange with ascending index select
     * Number Of Arguments: 2
     * arg0: CNode* index expression
     * arg1: CNode* width expression
     */
    ePSLICE,
    /**
     * vector subrange with descending index select
     */
    /*
     * MSLICE node
     * Description: vector subrange with descending index select
     * Number Of Arguments: 2
     * arg0: CNode* index expression
     * arg1: CNode* width expression
     */
    eMSLICE,
    /**
     * convert real to integer
     */
    /*
     * CVRI node
     * Description: convert real to integer
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eCVRI,
    /**
     * convert integer to real
     */
    /*
     * CVIR node
     * Description: convert integer to real
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eCVIR,
    /**
     * replication operator
     */
    /*
     * REP node
     * Description: replication operator
     * Number Of Arguments: 2
     * arg0: CNode* replication expression
     * arg1: CNode* expression to replicate
     */
    eREP,
    /**
     * concatenation operator
     */
    /*
     * CAT node
     * Description: concatenation operator
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eCAT,
    /**
     * unary concat
     */
    /*
     * UCAT node
     * Description: unary concat
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eUCAT,
    /**
     * bitwise complement
     */
    /*
     * COM node
     * Description: bitwise complement
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eCOM,
    /**
     * negation
     */
    /*
     * NEG node
     * Description: negation
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eNEG,
    /**
     * logical complement
     */
    /*
     * NOT node
     * Description: logical complement
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eNOT,
    /**
     * greater than
     */
    /*
     * GT node
     * Description: greater than
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eGT,
    /**
     * greater than or equal
     */
    /*
     * GE node
     * Description: greater than or equal
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eGE,
    /**
     * less than
     */
    /*
     * LT node
     * Description: less than
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eLT,
    /**
     * less than or equal
     */
    /*
     * LE node
     * Description: less than or equal
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eLE,
    /**
     * logical and
     */
    /*
     * LAND node
     * Description: logical and
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eLAND,
    /**
     * logical or
     */
    /*
     * LOR node
     * Description: logical or
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eLOR,
    /**
     * case equal
     */
    /*
     * CEQ node
     * Description: case equal
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eCEQ,
    /**
     * case not equal
     */
    /*
     * CNE node
     * Description: case not equal
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eCNE,
    /**
     * equal
     */
    /*
     * EQ node
     * Description: equal
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eEQ,
    /**
     * not equal
     */
    /*
     * NE node
     * Description: not equal
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eNE,
    /**
     * reduction and
     */
    /*
     * RAND node
     * Description: reduction and
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eRAND,
    /**
     * reduction nand
     */
    /*
     * RNAND node
     * Description: reduction nand
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eRNAND,
    /**
     * reduction or
     */
    /*
     * ROR node
     * Description: reduction or
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eROR,
    /**
     * reduction nor
     */
    /*
     * RNOR node
     * Description: reduction nor
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eRNOR,
    /**
     * reduction xor
     */
    /*
     * RXOR node
     * Description: reduction xor
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eRXOR,
    /**
     * reduction xnor
     */
    /*
     * RXNOR node
     * Description: reduction xnor
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eRXNOR,
    /**
     * condition expression operator
     */
    /*
     * HOOK node
     * Description: condition expression operator
     * Number Of Arguments: 3
     * arg0: CNode* condition expression
     * arg1: CNode* true expression
     * arg2: CNode* false expression
     */
    eHOOK,
    /**
     * initial block
     */
    /*
     * INIT node
     * Description: initial block
     * Number Of Arguments: 1
     * arg0: CNode* 
     */
    eINIT,
    /**
     * always block
     */
    /*
     * ALWAYS node
     * Description: always block
     * Number Of Arguments: 1
     * arg0: CNode* 
     */
    eALWAYS,
    /**
     * event statement
     */
    /*
     * EVENT node
     * Description: event statement
     * Number Of Arguments: 2
     * arg0: CNode* event expression (NULL for @*)
     * arg1: CNode* statement
     */
    eEVENT,
    /**
     * statement block
     */
    /*
     * BLOCK_REF node
     * Description: statement block
     * Number Of Arguments: 2
     * arg0: CBlock* pointer to block
     * arg1: CNode* list of statements
     */
    eBLOCK_REF,
    /**
     * specify block
     */
    /*
     * SPECIFY_REF node
     * Description: specify block
     * Number Of Arguments: 2
     * arg0: CSpecify* pointer to specify structure
     * arg1: CNode* list of statements
     */
    eSPECIFY_REF,
    /**
     * procedural assignment
     */
    /*
     * ASSIGN node
     * Description: procedural assignment
     * Number Of Arguments: 3
     * arg0: CNode* event expression
     * arg1: CNode* lval
     * arg2: CNode* rval
     */
    eASSIGN,
    /**
     * force statement
     */
    /*
     * FORCE node
     * Description: force statement
     * Number Of Arguments: 2
     * arg0: CNode* lval
     * arg1: CNode* expression
     */
    eFORCE,
    /**
     * release statement
     */
    /*
     * RELEASE node
     * Description: release statement
     * Number Of Arguments: 1
     * arg0: CNode* lval
     */
    eRELEASE,
    /**
     * nonblocking assignment
     */
    /*
     * NBASSIGN node
     * Description: nonblocking assignment
     * Number Of Arguments: 3
     * arg0: CNode* event expression
     * arg1: CNode* lval
     * arg2: CNode* rval
     */
    eNBASSIGN,
    /**
     * positive event qualifier
     */
    /*
     * POSEDGE node
     * Description: positive event qualifier
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    ePOSEDGE,
    /**
     * negative event qualifier
     */
    /*
     * NEGEDGE node
     * Description: negative event qualifier
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eNEGEDGE,
    /**
     * edge qualifier
     */
    /*
     * EDGE node
     * Description: edge qualifier
     * Number Of Arguments: 2
     * arg0: CNode* 
     * arg1: Edge_t edge specification
     */
    eEDGE,
    /**
     * event or
     */
    /*
     * EVOR node
     * Description: event or
     * Number Of Arguments: 2
     * arg0: CNode* expression 1
     * arg1: CNode* expression 2
     */
    eEVOR,
    /**
     * delay statement
     */
    /*
     * DELAY node
     * Description: delay statement
     * Number Of Arguments: 2
     * arg0: CNode* delay expression
     * arg1: CNode* statements
     */
    eDELAY,
    /**
     * min/typ/max expression
     */
    /*
     * MTM node
     * Description: min/typ/max expression
     * Number Of Arguments: 3
     * arg0: CNode* minimum expression
     * arg1: CNode* typical expression
     * arg2: CNode* maximum expression
     */
    eMTM,
    /**
     * if statement
     */
    /*
     * IF node
     * Description: if statement
     * Number Of Arguments: 3
     * arg0: CNode* condition
     * arg1: CNode* true statements
     * arg2: CNode* false statements
     */
    eIF,
    /**
     * forever statement
     */
    /*
     * FOREVER node
     * Description: forever statement
     * Number Of Arguments: 1
     * arg0: CNode* statements
     */
    eFOREVER,
    /**
     * repeat statement
     */
    /*
     * REPEAT node
     * Description: repeat statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* statements
     */
    eREPEAT,
    /**
     * while statement
     */
    /*
     * WHILE node
     * Description: while statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* statements
     */
    eWHILE,
    /**
     * wait statement
     */
    /*
     * WAIT node
     * Description: wait statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* statements
     */
    eWAIT,
    /**
     * for statement
     */
    /*
     * FOR node
     * Description: for statement
     * Number Of Arguments: 4
     * arg0: CNode* initial statement
     * arg1: CNode* condition
     * arg2: CNode* assignment statement
     * arg3: CNode* statements
     */
    eFOR,
    /**
     * case statement
     */
    /*
     * CASE node
     * Description: case statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* list of case items
     */
    eCASE,
    /**
     * casex statement
     */
    /*
     * CASEX node
     * Description: casex statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* list of case items
     */
    eCASEX,
    /**
     * casez statement
     */
    /*
     * CASEZ node
     * Description: casez statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* list of case items
     */
    eCASEZ,
    /**
     * case item
     */
    /*
     * CASEITEM node
     * Description: case item
     * Number Of Arguments: 2
     * arg0: CNode* list of expressions (NULL for default)
     * arg1: CNode* statement
     */
    eCASEITEM,
    /**
     * continious assignment
     */
    /*
     * CASSIGN node
     * Description: continious assignment
     * Number Of Arguments: 4
     * arg0: StrengthPair_t* assignment strength
     * arg1: CNode* delay expression
     * arg2: CNode* lval
     * arg3: CNode* rval expression
     */
    eCASSIGN,
    /**
     * port connection
     */
    /*
     * ARG node
     * Description: port connection
     * Number Of Arguments: 2
     * arg0: CSymbol* port name
     * arg1: CNode* port expression
     */
    eARG,
    /**
     * function definition
     */
    /*
     * FUNCTION_DEF node
     * Description: function definition
     * Number Of Arguments: 1
     * arg0: CFunction* 
     */
    eFUNCTION_DEF,
    /**
     * module definition
     */
    /*
     * MODULE_DEF node
     * Description: module definition
     * Number Of Arguments: 1
     * arg0: CModule* 
     */
    eMODULE_DEF,
    /**
     * repeat control
     */
    /*
     * REPEAT_CONTROL node
     * Description: repeat control
     * Number Of Arguments: 2
     * arg0: CNode* expression
     * arg1: CNode* event control
     */
    eREPEAT_CONTROL,
    /**
     * delay control
     */
    /*
     * DELAY_CONTROL node
     * Description: delay control
     * Number Of Arguments: 1
     * arg0: CNode* expression
     */
    eDELAY_CONTROL,
    /**
     * event control
     */
    /*
     * EVENT_CONTROL node
     * Description: event control
     * Number Of Arguments: 1
     * arg0: CNode* event expression (NULL for @*)
     */
    eEVENT_CONTROL,
    /**
     * external reference
     */
    /*
     * EXTERNAL_REF node
     * Description: external reference
     * Number Of Arguments: 1
     * arg0: CSymbol* pointer to symbol
     */
    eEXTERNAL_REF,
    /**
     * port definition
     */
    /*
     * PORT_DEF node
     * Description: port definition
     * Number Of Arguments: 1
     * arg0: CPort* pointer to port
     */
    ePORT_DEF,
    /**
     * defparam statement
     */
    /*
     * DEFPARAM node
     * Description: defparam statement
     * Number Of Arguments: 2
     * arg0: CNode* external reference
     * arg1: CNode* expression
     */
    eDEFPARAM,
    /**
     * path statement
     */
    /*
     * PATH node
     * Description: path statement
     * Number Of Arguments: 7
     * arg0: int 
     * arg1: CNode* edge int[-1,0,1]
     * arg2: int Input list
     * arg3: int Left polarity int[-1,0,1]
     * arg4: CNode* Operation type int [0 = *>, 1 = =>]
     * arg5: int Output list
     * arg6: CNode* Right polarity int[-1,0,1]
     */
    ePATH,
    /**
     * path assignment statement
     */
    /*
     * PATH_ASSIGN node
     * Description: path assignment statement
     * Number Of Arguments: 3
     * arg0: CNode* condition
     * arg1: CNode* path
     * arg2: CNode* expression
     */
    ePATH_ASSIGN,
    /**
     * ifnone path assignment statement
     */
    /*
     * IFNONE_PATH_ASSIGN node
     * Description: ifnone path assignment statement
     * Number Of Arguments: 2
     * arg0: CNode* path
     * arg1: CNode* expression
     */
    eIFNONE_PATH_ASSIGN,
    /**
     * event trigger
     */
    /*
     * TRIGGER node
     * Description: event trigger
     * Number Of Arguments: 1
     * arg0: CNode* event reference
     */
    eTRIGGER,
    /**
     * procedural assignment
     */
    /*
     * PASSIGN node
     * Description: procedural assignment
     * Number Of Arguments: 2
     * arg0: CNode* lval
     * arg1: CNode* expression
     */
    ePASSIGN,
    /**
     * deassign statement
     */
    /*
     * DEASSIGN node
     * Description: deassign statement
     * Number Of Arguments: 1
     * arg0: CNode* lval
     */
    eDEASSIGN,
    /**
     * disable statement
     */
    /*
     * DISABLE node
     * Description: disable statement
     * Number Of Arguments: 1
     * arg0: CSymbol* pointer to symbol
     */
    eDISABLE,
    /**
     * attribute specification
     */
    /*
     * ATTRIBUTE node
     * Description: attribute specification
     * Number Of Arguments: 1
     * arg0: CAttr* pointer to attribute
     */
    eATTRIBUTE,
    /**
     * structural if statement
     */
    /*
     * GIF node
     * Description: structural if statement
     * Number Of Arguments: 3
     * arg0: CNode* condition
     * arg1: CNode* true statement
     * arg2: CNode* false statement
     */
    eGIF,
    /**
     * structural for statement
     */
    /*
     * GFOR node
     * Description: structural for statement
     * Number Of Arguments: 4
     * arg0: CNode* initial statement
     * arg1: CNode* condition
     * arg2: CNode* assignment statement
     * arg3: CNode* statement
     */
    eGFOR,
    /**
     * structural case statement
     */
    /*
     * GCASE node
     * Description: structural case statement
     * Number Of Arguments: 2
     * arg0: CNode* condition
     * arg1: CNode* list of case items
     */
    eGCASE,
    /**
     * udp table
     */
    /*
     * TABLE node
     * Description: udp table
     * Number Of Arguments: 1
     * arg0: CNode* list of table entries
     */
    eTABLE,
    /**
     * udp table entry
     */
    /*
     * TABLE_ENTRY node
     * Description: udp table entry
     * Number Of Arguments: 1
     * arg0: CNode* list of table symbols
     */
    eTABLE_ENTRY,
    /**
     * udp table symbol
     */
    /*
     * TABLE_SYMBOL node
     * Description: udp table symbol
     * Number Of Arguments: 1
     * arg0: char* string of udp characters
     */
    eTABLE_SYMBOL,
    /**
     * sentinal at end of port list
     */
    /*
     * PORTLIST_END node
     * Description: sentinal at end of port list
     * Number Of Arguments: 0
     */
    ePORTLIST_END,
    /**
     * expression represented by a macro
     */
    /*
     * MACRO_EXPR node
     * Description: expression represented by a macro
     * Number Of Arguments: 2
     * arg0: const char* alternate expression, may be NULL
     * arg1: CNode* 
     */
    eMACRO_EXPR
};
extern const char* nodeOpName[];
#endif // DEFINE_ENUM
#ifdef DEFINE_METHODS
const char* nodeOpName[] = {
    "ERROR",
    "VCONSTANT",
    "RCONSTANT",
    "COMMENT",
    "VRQ",
    "PRAGMA",
    "ELIST",
    "WIDTH",
    "NOP",
    "SUB",
    "MUL",
    "DIV",
    "POW",
    "ADD",
    "LSH",
    "RSH",
    "LSHA",
    "RSHA",
    "MOD",
    "OR",
    "AND",
    "ANDANDAND",
    "XOR",
    "XNOR",
    "INSTANCE_REF",
    "GATE_REF",
    "TASK_ENABLE",
    "SYSTASK_CALL",
    "TIMING_CALL",
    "FUNCTION_CALL",
    "ARRAY",
    "NET_REF",
    "REG_REF",
    "REAL_REF",
    "PARAM_REF",
    "PORT_REF",
    "FWD_REF",
    "EVENT_REF",
    "GENVAR_REF",
    "NET_DECL",
    "REG_DECL",
    "REAL_DECL",
    "PARAM_DECL",
    "SPECPARAM_DECL",
    "PORT_DECL",
    "EVENT_DECL",
    "GENVAR_DECL",
    "LIST",
    "RANGE",
    "SLICE",
    "PSLICE",
    "MSLICE",
    "CVRI",
    "CVIR",
    "REP",
    "CAT",
    "UCAT",
    "COM",
    "NEG",
    "NOT",
    "GT",
    "GE",
    "LT",
    "LE",
    "LAND",
    "LOR",
    "CEQ",
    "CNE",
    "EQ",
    "NE",
    "RAND",
    "RNAND",
    "ROR",
    "RNOR",
    "RXOR",
    "RXNOR",
    "HOOK",
    "INIT",
    "ALWAYS",
    "EVENT",
    "BLOCK_REF",
    "SPECIFY_REF",
    "ASSIGN",
    "FORCE",
    "RELEASE",
    "NBASSIGN",
    "POSEDGE",
    "NEGEDGE",
    "EDGE",
    "EVOR",
    "DELAY",
    "MTM",
    "IF",
    "FOREVER",
    "REPEAT",
    "WHILE",
    "WAIT",
    "FOR",
    "CASE",
    "CASEX",
    "CASEZ",
    "CASEITEM",
    "CASSIGN",
    "ARG",
    "FUNCTION_DEF",
    "MODULE_DEF",
    "REPEAT_CONTROL",
    "DELAY_CONTROL",
    "EVENT_CONTROL",
    "EXTERNAL_REF",
    "PORT_DEF",
    "DEFPARAM",
    "PATH",
    "PATH_ASSIGN",
    "IFNONE_PATH_ASSIGN",
    "TRIGGER",
    "PASSIGN",
    "DEASSIGN",
    "DISABLE",
    "ATTRIBUTE",
    "GIF",
    "GFOR",
    "GCASE",
    "TABLE",
    "TABLE_ENTRY",
    "TABLE_SYMBOL",
    "PORTLIST_END",
    "MACRO_EXPR"
};
#endif // DEFINE_METHODS


#ifdef DEFINE_CONSTRUCTOR
/** \defgroup node_constructors Node Constructors */
/**
 * Node construction shortcut for ERROR
 * Error node
 * \ingroup node_constructors
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _ERROR( Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eERROR );
    return n;
}
/**
 * Node construction shortcut for VCONSTANT
 * Vector constant
 * \ingroup node_constructors
 * \param a0 Pointer to vector
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to vector
 */
inline CNode* _VCONSTANT( CVector* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eVCONSTANT );
    n->Arg<CVector*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for RCONSTANT
 * Real constant
 * \ingroup node_constructors
 * \param a0 Pointer to string
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to string
 */
inline CNode* _RCONSTANT( char* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRCONSTANT );
    n->Arg<char*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for COMMENT
 * Comment
 * \ingroup node_constructors
 * \param a0 Pointer to string
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to string
 */
inline CNode* _COMMENT( const char* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCOMMENT );
    n->Arg<const char*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for VRQ
 * Vrq comment
 * \ingroup node_constructors
 * \param a0 Pointer to string
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to string
 */
inline CNode* _VRQ( const char* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eVRQ );
    n->Arg<const char*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PRAGMA
 * Program pragma
 * \ingroup node_constructors
 * \param a0 Pointer to string
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to string
 */
inline CNode* _PRAGMA( const char* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePRAGMA );
    n->Arg<const char*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for ELIST
 * Expression list
 * \ingroup node_constructors
 * \param a0 expression1
 * \param a1 expression2
 * \param loc coordinates of operation in source file [optional]
 * \return expression1
 */
inline CNode* _ELIST( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eELIST );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for WIDTH
 * Expression width change
 * \ingroup node_constructors
 * \param a0 width expression
 * \param a1 expression
 * \param loc coordinates of operation in source file [optional]
 * \return width expression
 */
inline CNode* _WIDTH( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eWIDTH );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for NOP
 * Does nothing
 * \ingroup node_constructors
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _NOP( Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNOP );
    return n;
}
/**
 * Node construction shortcut for SUB
 * Subtract
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _SUB( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eSUB );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for MUL
 * Multiple
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _MUL( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eMUL );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for DIV
 * Divide
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _DIV( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eDIV );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for POW
 * Exponent
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _POW( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePOW );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for ADD
 * Addition
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _ADD( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eADD );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for LSH
 * Logical left shift
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _LSH( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLSH );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for RSH
 * Logical right shift
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _RSH( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRSH );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for LSHA
 * Arithmetic left shift
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _LSHA( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLSHA );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for RSHA
 * Arithmetic right shift
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _RSHA( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRSHA );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for MOD
 * Modulus
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _MOD( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eMOD );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for OR
 * Bitwise or
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _OR( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for AND
 * Bitwise and
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _AND( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eAND );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for ANDANDAND
 * Triple and
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _ANDANDAND( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eANDANDAND );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for XOR
 * Bitwise xor
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _XOR( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eXOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for XNOR
 * Bitwise xnor
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _XNOR( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eXNOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for INSTANCE_REF
 * Instance Reference
 * \ingroup node_constructors
 * \param a0 Pointer to a instance
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a instance
 */
inline CNode* _INSTANCE_REF( CInstance* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eINSTANCE_REF );
    n->Arg<CInstance*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for GATE_REF
 * Gate Instance
 * \ingroup node_constructors
 * \param a0 Pointer to a gate
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a gate
 */
inline CNode* _GATE_REF( CGate* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGATE_REF );
    n->Arg<CGate*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for TASK_ENABLE
 * Call to a task
 * \ingroup node_constructors
 * \param a0 Pointer to symbol for task to call
 * \param a1 Argument expression list
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to symbol for task to call
 */
inline CNode* _TASK_ENABLE( CSymbol* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eTASK_ENABLE );
    n->Arg<CSymbol*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for SYSTASK_CALL
 * Call to enable a systask
 * \ingroup node_constructors
 * \param a0 Pointer to symbol for systask to call
 * \param a1 Argument expression list
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to symbol for systask to call
 */
inline CNode* _SYSTASK_CALL( CSymbol* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eSYSTASK_CALL );
    n->Arg<CSymbol*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for TIMING_CALL
 * Call to a timing task
 * \ingroup node_constructors
 * \param a0 Pointer to symbol of timing task
 * \param a1 Argument expression list
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to symbol of timing task
 */
inline CNode* _TIMING_CALL( CSymbol* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eTIMING_CALL );
    n->Arg<CSymbol*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for FUNCTION_CALL
 * Call to a function
 * \ingroup node_constructors
 * \param a0 Pointer to symbol of the function
 * \param a1 Argument expression list
 * \param a2 Scope containing expression
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to symbol of the function
 */
inline CNode* _FUNCTION_CALL( CSymbol* a0, CNode* a1, CScope* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eFUNCTION_CALL );
    n->Arg<CSymbol*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CScope*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for ARRAY
 * Dimensioned reference (array/bit select)
 * \ingroup node_constructors
 * \param a0 Reference to variable
 * \param a1 List of index expressions
 * \param loc coordinates of operation in source file [optional]
 * \return Reference to variable
 */
inline CNode* _ARRAY( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eARRAY );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for NET_REF
 * reference to net
 * \ingroup node_constructors
 * \param a0 Pointer to net
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to net
 */
inline CNode* _NET_REF( CNet* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNET_REF );
    n->Arg<CNet*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for REG_REF
 * reference to register
 * \ingroup node_constructors
 * \param a0 Pointer to reg
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to reg
 */
inline CNode* _REG_REF( CReg* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREG_REF );
    n->Arg<CReg*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for REAL_REF
 * reference to real
 * \ingroup node_constructors
 * \param a0 Pointer to real
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to real
 */
inline CNode* _REAL_REF( CReal* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREAL_REF );
    n->Arg<CReal*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PARAM_REF
 * reference to parameter
 * \ingroup node_constructors
 * \param a0 Pointer to parameter
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to parameter
 */
inline CNode* _PARAM_REF( CParam* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePARAM_REF );
    n->Arg<CParam*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PORT_REF
 * reference to port
 * \ingroup node_constructors
 * \param a0 Pointer to port
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to port
 */
inline CNode* _PORT_REF( CPortDir* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePORT_REF );
    n->Arg<CPortDir*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for FWD_REF
 * reference to a forward declared variable
 * \ingroup node_constructors
 * \param a0 Pointer to forward declared variable
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to forward declared variable
 */
inline CNode* _FWD_REF( CFref* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eFWD_REF );
    n->Arg<CFref*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for EVENT_REF
 * reference to an event
 * \ingroup node_constructors
 * \param a0 Pointer to an event
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to an event
 */
inline CNode* _EVENT_REF( CEvent* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEVENT_REF );
    n->Arg<CEvent*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for GENVAR_REF
 * reference to a genvar
 * \ingroup node_constructors
 * \param a0 Pointer to a genvar
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a genvar
 */
inline CNode* _GENVAR_REF( CGenvar* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGENVAR_REF );
    n->Arg<CGenvar*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for NET_DECL
 * net declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a net
 * \param a1 continous assignment (optional)
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a net
 */
inline CNode* _NET_DECL( CNet* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNET_DECL );
    n->Arg<CNet*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for REG_DECL
 * register declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a reg
 * \param a1 procedural assignment (optional)
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a reg
 */
inline CNode* _REG_DECL( CReg* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREG_DECL );
    n->Arg<CReg*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for REAL_DECL
 * real declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a real
 * \param a1 procedural assignment (optional)
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a real
 */
inline CNode* _REAL_DECL( CReal* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREAL_DECL );
    n->Arg<CReal*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for PARAM_DECL
 * parameter declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a parameter
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a parameter
 */
inline CNode* _PARAM_DECL( CParam* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePARAM_DECL );
    n->Arg<CParam*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for SPECPARAM_DECL
 * specify parameter declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a specify parameter
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a specify parameter
 */
inline CNode* _SPECPARAM_DECL( CParam* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eSPECPARAM_DECL );
    n->Arg<CParam*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PORT_DECL
 * port declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a port
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a port
 */
inline CNode* _PORT_DECL( CPortDir* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePORT_DECL );
    n->Arg<CPortDir*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for EVENT_DECL
 * event declaration
 * \ingroup node_constructors
 * \param a0 Pointer to an event
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to an event
 */
inline CNode* _EVENT_DECL( CEvent* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEVENT_DECL );
    n->Arg<CEvent*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for GENVAR_DECL
 * genvar declaration
 * \ingroup node_constructors
 * \param a0 Pointer to a genvar
 * \param loc coordinates of operation in source file [optional]
 * \return Pointer to a genvar
 */
inline CNode* _GENVAR_DECL( CGenvar* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGENVAR_DECL );
    n->Arg<CGenvar*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for LIST
 * list of nodes
 * \ingroup node_constructors
 * \param a0 node 1
 * \param a1 node 2
 * \param loc coordinates of operation in source file [optional]
 * \return node 1
 */
inline CNode* _LIST( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLIST );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for RANGE
 * vector decl range specification
 * \ingroup node_constructors
 * \param a0 msb expression
 * \param a1 lsb expression
 * \param loc coordinates of operation in source file [optional]
 * \return msb expression
 */
inline CNode* _RANGE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRANGE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for SLICE
 * vector subrange
 * \ingroup node_constructors
 * \param a0 msb expression
 * \param a1 lsb expression
 * \param loc coordinates of operation in source file [optional]
 * \return msb expression
 */
inline CNode* _SLICE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eSLICE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for PSLICE
 * vector subrange with ascending index select
 * \ingroup node_constructors
 * \param a0 index expression
 * \param a1 width expression
 * \param loc coordinates of operation in source file [optional]
 * \return index expression
 */
inline CNode* _PSLICE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePSLICE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for MSLICE
 * vector subrange with descending index select
 * \ingroup node_constructors
 * \param a0 index expression
 * \param a1 width expression
 * \param loc coordinates of operation in source file [optional]
 * \return index expression
 */
inline CNode* _MSLICE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eMSLICE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CVRI
 * convert real to integer
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _CVRI( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCVRI );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for CVIR
 * convert integer to real
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _CVIR( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCVIR );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for REP
 * replication operator
 * \ingroup node_constructors
 * \param a0 replication expression
 * \param a1 expression to replicate
 * \param loc coordinates of operation in source file [optional]
 * \return replication expression
 */
inline CNode* _REP( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREP );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CAT
 * concatenation operator
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _CAT( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCAT );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for UCAT
 * unary concat
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _UCAT( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eUCAT );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for COM
 * bitwise complement
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _COM( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCOM );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for NEG
 * negation
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _NEG( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNEG );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for NOT
 * logical complement
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _NOT( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNOT );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for GT
 * greater than
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _GT( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGT );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for GE
 * greater than or equal
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _GE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for LT
 * less than
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _LT( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLT );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for LE
 * less than or equal
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _LE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for LAND
 * logical and
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _LAND( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLAND );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for LOR
 * logical or
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _LOR( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eLOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CEQ
 * case equal
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _CEQ( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCEQ );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CNE
 * case not equal
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _CNE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCNE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for EQ
 * equal
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _EQ( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEQ );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for NE
 * not equal
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _NE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for RAND
 * reduction and
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _RAND( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRAND );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for RNAND
 * reduction nand
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _RNAND( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRNAND );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for ROR
 * reduction or
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _ROR( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eROR );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for RNOR
 * reduction nor
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _RNOR( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRNOR );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for RXOR
 * reduction xor
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _RXOR( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRXOR );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for RXNOR
 * reduction xnor
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _RXNOR( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRXNOR );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for HOOK
 * condition expression operator
 * \ingroup node_constructors
 * \param a0 condition expression
 * \param a1 true expression
 * \param a2 false expression
 * \param loc coordinates of operation in source file [optional]
 * \return condition expression
 */
inline CNode* _HOOK( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eHOOK );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for INIT
 * initial block
 * \ingroup node_constructors
 * \param a0 
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _INIT( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eINIT );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for ALWAYS
 * always block
 * \ingroup node_constructors
 * \param a0 
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _ALWAYS( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eALWAYS );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for EVENT
 * event statement
 * \ingroup node_constructors
 * \param a0 event expression (NULL for @*)
 * \param a1 statement
 * \param loc coordinates of operation in source file [optional]
 * \return event expression (NULL for @*)
 */
inline CNode* _EVENT( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEVENT );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for BLOCK_REF
 * statement block
 * \ingroup node_constructors
 * \param a0 pointer to block
 * \param a1 list of statements
 * \param loc coordinates of operation in source file [optional]
 * \return pointer to block
 */
inline CNode* _BLOCK_REF( CBlock* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eBLOCK_REF );
    n->Arg<CBlock*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for SPECIFY_REF
 * specify block
 * \ingroup node_constructors
 * \param a0 pointer to specify structure
 * \param a1 list of statements
 * \param loc coordinates of operation in source file [optional]
 * \return pointer to specify structure
 */
inline CNode* _SPECIFY_REF( CSpecify* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eSPECIFY_REF );
    n->Arg<CSpecify*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for ASSIGN
 * procedural assignment
 * \ingroup node_constructors
 * \param a0 event expression
 * \param a1 lval
 * \param a2 rval
 * \param loc coordinates of operation in source file [optional]
 * \return event expression
 */
inline CNode* _ASSIGN( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eASSIGN );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for FORCE
 * force statement
 * \ingroup node_constructors
 * \param a0 lval
 * \param a1 expression
 * \param loc coordinates of operation in source file [optional]
 * \return lval
 */
inline CNode* _FORCE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eFORCE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for RELEASE
 * release statement
 * \ingroup node_constructors
 * \param a0 lval
 * \param loc coordinates of operation in source file [optional]
 * \return lval
 */
inline CNode* _RELEASE( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eRELEASE );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for NBASSIGN
 * nonblocking assignment
 * \ingroup node_constructors
 * \param a0 event expression
 * \param a1 lval
 * \param a2 rval
 * \param loc coordinates of operation in source file [optional]
 * \return event expression
 */
inline CNode* _NBASSIGN( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNBASSIGN );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for POSEDGE
 * positive event qualifier
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _POSEDGE( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePOSEDGE );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for NEGEDGE
 * negative event qualifier
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _NEGEDGE( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eNEGEDGE );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for EDGE
 * edge qualifier
 * \ingroup node_constructors
 * \param a0 
 * \param a1 edge specification
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _EDGE( CNode* a0, Edge_t a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEDGE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<Edge_t>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for EVOR
 * event or
 * \ingroup node_constructors
 * \param a0 expression 1
 * \param a1 expression 2
 * \param loc coordinates of operation in source file [optional]
 * \return expression 1
 */
inline CNode* _EVOR( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEVOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for DELAY
 * delay statement
 * \ingroup node_constructors
 * \param a0 delay expression
 * \param a1 statements
 * \param loc coordinates of operation in source file [optional]
 * \return delay expression
 */
inline CNode* _DELAY( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eDELAY );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for MTM
 * min/typ/max expression
 * \ingroup node_constructors
 * \param a0 minimum expression
 * \param a1 typical expression
 * \param a2 maximum expression
 * \param loc coordinates of operation in source file [optional]
 * \return minimum expression
 */
inline CNode* _MTM( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eMTM );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for IF
 * if statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 true statements
 * \param a2 false statements
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _IF( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eIF );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for FOREVER
 * forever statement
 * \ingroup node_constructors
 * \param a0 statements
 * \param loc coordinates of operation in source file [optional]
 * \return statements
 */
inline CNode* _FOREVER( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eFOREVER );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for REPEAT
 * repeat statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 statements
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _REPEAT( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREPEAT );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for WHILE
 * while statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 statements
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _WHILE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eWHILE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for WAIT
 * wait statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 statements
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _WAIT( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eWAIT );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for FOR
 * for statement
 * \ingroup node_constructors
 * \param a0 initial statement
 * \param a1 condition
 * \param a2 assignment statement
 * \param a3 statements
 * \param loc coordinates of operation in source file [optional]
 * \return initial statement
 */
inline CNode* _FOR( CNode* a0, CNode* a1, CNode* a2, CNode* a3, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eFOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    n->Arg<CNode*>(3) = a3;
    return n;
}
/**
 * Node construction shortcut for CASE
 * case statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 list of case items
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _CASE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCASE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CASEX
 * casex statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 list of case items
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _CASEX( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCASEX );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CASEZ
 * casez statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 list of case items
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _CASEZ( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCASEZ );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CASEITEM
 * case item
 * \ingroup node_constructors
 * \param a0 list of expressions (NULL for default)
 * \param a1 statement
 * \param loc coordinates of operation in source file [optional]
 * \return list of expressions (NULL for default)
 */
inline CNode* _CASEITEM( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCASEITEM );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for CASSIGN
 * continious assignment
 * \ingroup node_constructors
 * \param a0 assignment strength
 * \param a1 delay expression
 * \param a2 lval
 * \param a3 rval expression
 * \param loc coordinates of operation in source file [optional]
 * \return assignment strength
 */
inline CNode* _CASSIGN( StrengthPair_t* a0, CNode* a1, CNode* a2, CNode* a3, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eCASSIGN );
    n->Arg<StrengthPair_t*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    n->Arg<CNode*>(3) = a3;
    return n;
}
/**
 * Node construction shortcut for ARG
 * port connection
 * \ingroup node_constructors
 * \param a0 port name
 * \param a1 port expression
 * \param loc coordinates of operation in source file [optional]
 * \return port name
 */
inline CNode* _ARG( CSymbol* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eARG );
    n->Arg<CSymbol*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for FUNCTION_DEF
 * function definition
 * \ingroup node_constructors
 * \param a0 
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _FUNCTION_DEF( CFunction* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eFUNCTION_DEF );
    n->Arg<CFunction*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for MODULE_DEF
 * module definition
 * \ingroup node_constructors
 * \param a0 
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _MODULE_DEF( CModule* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eMODULE_DEF );
    n->Arg<CModule*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for REPEAT_CONTROL
 * repeat control
 * \ingroup node_constructors
 * \param a0 expression
 * \param a1 event control
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _REPEAT_CONTROL( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eREPEAT_CONTROL );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for DELAY_CONTROL
 * delay control
 * \ingroup node_constructors
 * \param a0 expression
 * \param loc coordinates of operation in source file [optional]
 * \return expression
 */
inline CNode* _DELAY_CONTROL( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eDELAY_CONTROL );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for EVENT_CONTROL
 * event control
 * \ingroup node_constructors
 * \param a0 event expression (NULL for @*)
 * \param loc coordinates of operation in source file [optional]
 * \return event expression (NULL for @*)
 */
inline CNode* _EVENT_CONTROL( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEVENT_CONTROL );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for EXTERNAL_REF
 * external reference
 * \ingroup node_constructors
 * \param a0 pointer to symbol
 * \param loc coordinates of operation in source file [optional]
 * \return pointer to symbol
 */
inline CNode* _EXTERNAL_REF( CSymbol* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eEXTERNAL_REF );
    n->Arg<CSymbol*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PORT_DEF
 * port definition
 * \ingroup node_constructors
 * \param a0 pointer to port
 * \param loc coordinates of operation in source file [optional]
 * \return pointer to port
 */
inline CNode* _PORT_DEF( CPort* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePORT_DEF );
    n->Arg<CPort*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for DEFPARAM
 * defparam statement
 * \ingroup node_constructors
 * \param a0 external reference
 * \param a1 expression
 * \param loc coordinates of operation in source file [optional]
 * \return external reference
 */
inline CNode* _DEFPARAM( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eDEFPARAM );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for PATH
 * path statement
 * \ingroup node_constructors
 * \param a0 
 * \param a1 edge int[-1,0,1]
 * \param a2 Input list
 * \param a3 Left polarity int[-1,0,1]
 * \param a4 Operation type int [0 = *>, 1 = =>]
 * \param a5 Output list
 * \param a6 Right polarity int[-1,0,1]
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _PATH( int a0, CNode* a1, int a2, int a3, CNode* a4, int a5, CNode* a6, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePATH );
    n->Arg<int>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<int>(2) = a2;
    n->Arg<int>(3) = a3;
    n->Arg<CNode*>(4) = a4;
    n->Arg<int>(5) = a5;
    n->Arg<CNode*>(6) = a6;
    return n;
}
/**
 * Node construction shortcut for PATH_ASSIGN
 * path assignment statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 path
 * \param a2 expression
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _PATH_ASSIGN( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePATH_ASSIGN );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for IFNONE_PATH_ASSIGN
 * ifnone path assignment statement
 * \ingroup node_constructors
 * \param a0 path
 * \param a1 expression
 * \param loc coordinates of operation in source file [optional]
 * \return path
 */
inline CNode* _IFNONE_PATH_ASSIGN( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eIFNONE_PATH_ASSIGN );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for TRIGGER
 * event trigger
 * \ingroup node_constructors
 * \param a0 event reference
 * \param loc coordinates of operation in source file [optional]
 * \return event reference
 */
inline CNode* _TRIGGER( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eTRIGGER );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PASSIGN
 * procedural assignment
 * \ingroup node_constructors
 * \param a0 lval
 * \param a1 expression
 * \param loc coordinates of operation in source file [optional]
 * \return lval
 */
inline CNode* _PASSIGN( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePASSIGN );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for DEASSIGN
 * deassign statement
 * \ingroup node_constructors
 * \param a0 lval
 * \param loc coordinates of operation in source file [optional]
 * \return lval
 */
inline CNode* _DEASSIGN( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eDEASSIGN );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for DISABLE
 * disable statement
 * \ingroup node_constructors
 * \param a0 pointer to symbol
 * \param loc coordinates of operation in source file [optional]
 * \return pointer to symbol
 */
inline CNode* _DISABLE( CSymbol* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eDISABLE );
    n->Arg<CSymbol*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for ATTRIBUTE
 * attribute specification
 * \ingroup node_constructors
 * \param a0 pointer to attribute
 * \param loc coordinates of operation in source file [optional]
 * \return pointer to attribute
 */
inline CNode* _ATTRIBUTE( CAttr* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eATTRIBUTE );
    n->Arg<CAttr*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for GIF
 * structural if statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 true statement
 * \param a2 false statement
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _GIF( CNode* a0, CNode* a1, CNode* a2, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGIF );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    return n;
}
/**
 * Node construction shortcut for GFOR
 * structural for statement
 * \ingroup node_constructors
 * \param a0 initial statement
 * \param a1 condition
 * \param a2 assignment statement
 * \param a3 statement
 * \param loc coordinates of operation in source file [optional]
 * \return initial statement
 */
inline CNode* _GFOR( CNode* a0, CNode* a1, CNode* a2, CNode* a3, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGFOR );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    n->Arg<CNode*>(2) = a2;
    n->Arg<CNode*>(3) = a3;
    return n;
}
/**
 * Node construction shortcut for GCASE
 * structural case statement
 * \ingroup node_constructors
 * \param a0 condition
 * \param a1 list of case items
 * \param loc coordinates of operation in source file [optional]
 * \return condition
 */
inline CNode* _GCASE( CNode* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eGCASE );
    n->Arg<CNode*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
/**
 * Node construction shortcut for TABLE
 * udp table
 * \ingroup node_constructors
 * \param a0 list of table entries
 * \param loc coordinates of operation in source file [optional]
 * \return list of table entries
 */
inline CNode* _TABLE( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eTABLE );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for TABLE_ENTRY
 * udp table entry
 * \ingroup node_constructors
 * \param a0 list of table symbols
 * \param loc coordinates of operation in source file [optional]
 * \return list of table symbols
 */
inline CNode* _TABLE_ENTRY( CNode* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eTABLE_ENTRY );
    n->Arg<CNode*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for TABLE_SYMBOL
 * udp table symbol
 * \ingroup node_constructors
 * \param a0 string of udp characters
 * \param loc coordinates of operation in source file [optional]
 * \return string of udp characters
 */
inline CNode* _TABLE_SYMBOL( char* a0, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eTABLE_SYMBOL );
    n->Arg<char*>(0) = a0;
    return n;
}
/**
 * Node construction shortcut for PORTLIST_END
 * sentinal at end of port list
 * \ingroup node_constructors
 * \param loc coordinates of operation in source file [optional]
 * \return 
 */
inline CNode* _PORTLIST_END( Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, ePORTLIST_END );
    return n;
}
/**
 * Node construction shortcut for MACRO_EXPR
 * expression represented by a macro
 * \ingroup node_constructors
 * \param a0 alternate expression, may be NULL
 * \param a1 
 * \param loc coordinates of operation in source file [optional]
 * \return alternate expression, may be NULL
 */
inline CNode* _MACRO_EXPR( const char* a0, CNode* a1, Coord_t* loc=NULL )
{
    CNode* n = new(CNode::CurrentHeap()) CNode( loc, eMACRO_EXPR );
    n->Arg<const char*>(0) = a0;
    n->Arg<CNode*>(1) = a1;
    return n;
}
#endif // DEFINE_CONSTUCTOR


/*********************************************************
 *   Warning: This file is machine generate, do not edit
 ********************************************************/




#ifdef DEFINE_METHODS

/************************************
 * ArgCount
 *    - return number of arguments for node
 ***********************************/
int CNode::ArgCount()
{
    switch( op ) {
    case eERROR:
        return 0;
    case eVCONSTANT:
        return 1;
    case eRCONSTANT:
        return 1;
    case eCOMMENT:
        return 1;
    case eVRQ:
        return 1;
    case ePRAGMA:
        return 1;
    case eELIST:
        return 2;
    case eWIDTH:
        return 2;
    case eNOP:
        return 0;
    case eSUB:
        return 2;
    case eMUL:
        return 2;
    case eDIV:
        return 2;
    case ePOW:
        return 2;
    case eADD:
        return 2;
    case eLSH:
        return 2;
    case eRSH:
        return 2;
    case eLSHA:
        return 2;
    case eRSHA:
        return 2;
    case eMOD:
        return 2;
    case eOR:
        return 2;
    case eAND:
        return 2;
    case eANDANDAND:
        return 2;
    case eXOR:
        return 2;
    case eXNOR:
        return 2;
    case eINSTANCE_REF:
        return 1;
    case eGATE_REF:
        return 1;
    case eTASK_ENABLE:
        return 2;
    case eSYSTASK_CALL:
        return 2;
    case eTIMING_CALL:
        return 2;
    case eFUNCTION_CALL:
        return 3;
    case eARRAY:
        return 2;
    case eNET_REF:
        return 1;
    case eREG_REF:
        return 1;
    case eREAL_REF:
        return 1;
    case ePARAM_REF:
        return 1;
    case ePORT_REF:
        return 1;
    case eFWD_REF:
        return 1;
    case eEVENT_REF:
        return 1;
    case eGENVAR_REF:
        return 1;
    case eNET_DECL:
        return 2;
    case eREG_DECL:
        return 2;
    case eREAL_DECL:
        return 2;
    case ePARAM_DECL:
        return 1;
    case eSPECPARAM_DECL:
        return 1;
    case ePORT_DECL:
        return 1;
    case eEVENT_DECL:
        return 1;
    case eGENVAR_DECL:
        return 1;
    case eLIST:
        return 2;
    case eRANGE:
        return 2;
    case eSLICE:
        return 2;
    case ePSLICE:
        return 2;
    case eMSLICE:
        return 2;
    case eCVRI:
        return 1;
    case eCVIR:
        return 1;
    case eREP:
        return 2;
    case eCAT:
        return 2;
    case eUCAT:
        return 1;
    case eCOM:
        return 1;
    case eNEG:
        return 1;
    case eNOT:
        return 1;
    case eGT:
        return 2;
    case eGE:
        return 2;
    case eLT:
        return 2;
    case eLE:
        return 2;
    case eLAND:
        return 2;
    case eLOR:
        return 2;
    case eCEQ:
        return 2;
    case eCNE:
        return 2;
    case eEQ:
        return 2;
    case eNE:
        return 2;
    case eRAND:
        return 1;
    case eRNAND:
        return 1;
    case eROR:
        return 1;
    case eRNOR:
        return 1;
    case eRXOR:
        return 1;
    case eRXNOR:
        return 1;
    case eHOOK:
        return 3;
    case eINIT:
        return 1;
    case eALWAYS:
        return 1;
    case eEVENT:
        return 2;
    case eBLOCK_REF:
        return 2;
    case eSPECIFY_REF:
        return 2;
    case eASSIGN:
        return 3;
    case eFORCE:
        return 2;
    case eRELEASE:
        return 1;
    case eNBASSIGN:
        return 3;
    case ePOSEDGE:
        return 1;
    case eNEGEDGE:
        return 1;
    case eEDGE:
        return 2;
    case eEVOR:
        return 2;
    case eDELAY:
        return 2;
    case eMTM:
        return 3;
    case eIF:
        return 3;
    case eFOREVER:
        return 1;
    case eREPEAT:
        return 2;
    case eWHILE:
        return 2;
    case eWAIT:
        return 2;
    case eFOR:
        return 4;
    case eCASE:
        return 2;
    case eCASEX:
        return 2;
    case eCASEZ:
        return 2;
    case eCASEITEM:
        return 2;
    case eCASSIGN:
        return 4;
    case eARG:
        return 2;
    case eFUNCTION_DEF:
        return 1;
    case eMODULE_DEF:
        return 1;
    case eREPEAT_CONTROL:
        return 2;
    case eDELAY_CONTROL:
        return 1;
    case eEVENT_CONTROL:
        return 1;
    case eEXTERNAL_REF:
        return 1;
    case ePORT_DEF:
        return 1;
    case eDEFPARAM:
        return 2;
    case ePATH:
        return 7;
    case ePATH_ASSIGN:
        return 3;
    case eIFNONE_PATH_ASSIGN:
        return 2;
    case eTRIGGER:
        return 1;
    case ePASSIGN:
        return 2;
    case eDEASSIGN:
        return 1;
    case eDISABLE:
        return 1;
    case eATTRIBUTE:
        return 1;
    case eGIF:
        return 3;
    case eGFOR:
        return 4;
    case eGCASE:
        return 2;
    case eTABLE:
        return 1;
    case eTABLE_ENTRY:
        return 1;
    case eTABLE_SYMBOL:
        return 1;
    case ePORTLIST_END:
        return 0;
    case eMACRO_EXPR:
        return 2;
    default:
        MASSERT(FALSE);
    }
    return 0;
}

/************************************
 * Precedence
 *  - return precedence of operator
 *     result 0 - 13	
 ***********************************/
int CNode::Precedence() 
{ 
    switch( op ) {
    case eERROR:
        return 13;
    case eVCONSTANT:
        return 13;
    case eRCONSTANT:
        return 13;
    case eCOMMENT:
        return 13;
    case eVRQ:
        return 13;
    case ePRAGMA:
        return 13;
    case eELIST:
        return 13;
    case eWIDTH:
        return 13;
    case eSUB:
        return 9;
    case eMUL:
        return 10;
    case eDIV:
        return 10;
    case ePOW:
        return 11;
    case eADD:
        return 9;
    case eLSH:
        return 8;
    case eRSH:
        return 8;
    case eLSHA:
        return 8;
    case eRSHA:
        return 8;
    case eMOD:
        return 10;
    case eOR:
        return 3;
    case eAND:
        return 5;
    case eANDANDAND:
        return 0;
    case eXOR:
        return 4;
    case eXNOR:
        return 4;
    case eSYSTASK_CALL:
        return 13;
    case eFUNCTION_CALL:
        return 13;
    case eARRAY:
        return 13;
    case eNET_REF:
        return 13;
    case eREG_REF:
        return 13;
    case eREAL_REF:
        return 13;
    case ePARAM_REF:
        return 13;
    case ePORT_REF:
        return 13;
    case eFWD_REF:
        return 13;
    case eGENVAR_REF:
        return 13;
    case eRANGE:
        return 13;
    case eSLICE:
        return 13;
    case ePSLICE:
        return 13;
    case eMSLICE:
        return 13;
    case eCVRI:
        return 13;
    case eCVIR:
        return 13;
    case eREP:
        return 13;
    case eCAT:
        return 13;
    case eUCAT:
        return 13;
    case eCOM:
        return 12;
    case eNEG:
        return 12;
    case eNOT:
        return 12;
    case eGT:
        return 7;
    case eGE:
        return 7;
    case eLT:
        return 7;
    case eLE:
        return 7;
    case eLAND:
        return 2;
    case eLOR:
        return 1;
    case eCEQ:
        return 6;
    case eCNE:
        return 6;
    case eEQ:
        return 6;
    case eNE:
        return 6;
    case eRAND:
        return 12;
    case eRNAND:
        return 12;
    case eROR:
        return 12;
    case eRNOR:
        return 12;
    case eRXOR:
        return 12;
    case eRXNOR:
        return 12;
    case eHOOK:
        return 0;
    case ePOSEDGE:
        return 13;
    case eNEGEDGE:
        return 13;
    case eEDGE:
        return 13;
    case eEVOR:
        return 13;
    case eMTM:
        return 13;
    case eEXTERNAL_REF:
        return 13;
    case eMACRO_EXPR:
        return 13;
    default:
        MASSERT( FALSE );
        return 13;
    }
}

/************************************************
 	IsConstant
	- return true if expression is constant 
**************************************************/

int CNode::IsConstant()
{
    switch( op ) {
    case eERROR:
        return FALSE;
    case eVCONSTANT:
        return TRUE;
    case eRCONSTANT:
        return TRUE;
    case eCOMMENT:
        return TRUE;
    case eVRQ:
        return TRUE;
    case ePRAGMA:
        return TRUE;
    case eELIST:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eWIDTH:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eSUB:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eMUL:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eDIV:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case ePOW:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eADD:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eLSH:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eRSH:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eLSHA:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eRSHA:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eMOD:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eOR:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eAND:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eANDANDAND:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eXOR:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eXNOR:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eSYSTASK_CALL:
        return FALSE;
    case eFUNCTION_CALL:
        return Arg<CNode*>(1)->IsConstant();
    case eARRAY:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eNET_REF:
        return FALSE;
    case eREG_REF:
        return FALSE;
    case eREAL_REF:
        return FALSE;
    case ePARAM_REF:
        return TRUE;
    case ePORT_REF:
        return FALSE;
    case eFWD_REF:
        return FALSE;
    case eGENVAR_REF:
        return TRUE;
    case eRANGE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eSLICE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case ePSLICE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eMSLICE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eCVRI:
        return Arg<CNode*>(0)->IsConstant();
    case eCVIR:
        return Arg<CNode*>(0)->IsConstant();
    case eREP:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eCAT:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eUCAT:
        return Arg<CNode*>(0)->IsConstant();
    case eCOM:
        return Arg<CNode*>(0)->IsConstant();
    case eNEG:
        return Arg<CNode*>(0)->IsConstant();
    case eNOT:
        return Arg<CNode*>(0)->IsConstant();
    case eGT:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eGE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eLT:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eLE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eLAND:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eLOR:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eCEQ:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eCNE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eEQ:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eNE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eRAND:
        return Arg<CNode*>(0)->IsConstant();
    case eRNAND:
        return Arg<CNode*>(0)->IsConstant();
    case eROR:
        return Arg<CNode*>(0)->IsConstant();
    case eRNOR:
        return Arg<CNode*>(0)->IsConstant();
    case eRXOR:
        return Arg<CNode*>(0)->IsConstant();
    case eRXNOR:
        return Arg<CNode*>(0)->IsConstant();
    case eHOOK:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant() && Arg<CNode*>(2)->IsConstant();
    case eMTM:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant() && Arg<CNode*>(2)->IsConstant();
    case eEXTERNAL_REF:
        return FALSE;
    case eMACRO_EXPR:
        return TRUE;
    default:
 	MASSERT( FALSE );
    }

    return TRUE;
}	

/************************************************
 	IsVolatile
	- return false if expression is constant 
	  and not dependent upon parameters
**************************************************/

int CNode::IsVolatile()
{
    switch( op ) {
    case eERROR:
        return TRUE;
    case eVCONSTANT:
        return FALSE;
    case eRCONSTANT:
        return FALSE;
    case eCOMMENT:
        return FALSE;
    case eVRQ:
        return FALSE;
    case ePRAGMA:
        return FALSE;
    case eELIST:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eWIDTH:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eSUB:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eMUL:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eDIV:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case ePOW:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eADD:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eLSH:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eRSH:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eLSHA:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eRSHA:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eMOD:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eOR:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eAND:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eANDANDAND:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eXOR:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eXNOR:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eSYSTASK_CALL:
        return TRUE;
    case eFUNCTION_CALL:
        return Arg<CNode*>(1)->IsVolatile();
    case eARRAY:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eNET_REF:
        return TRUE;
    case eREG_REF:
        return TRUE;
    case eREAL_REF:
        return TRUE;
    case ePARAM_REF:
        return TRUE;
    case ePORT_REF:
        return TRUE;
    case eFWD_REF:
        return TRUE;
    case eGENVAR_REF:
        return TRUE;
    case eRANGE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eSLICE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case ePSLICE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eMSLICE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eCVRI:
        return Arg<CNode*>(0)->IsVolatile();
    case eCVIR:
        return Arg<CNode*>(0)->IsVolatile();
    case eREP:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eCAT:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eUCAT:
        return Arg<CNode*>(0)->IsVolatile();
    case eCOM:
        return Arg<CNode*>(0)->IsVolatile();
    case eNEG:
        return Arg<CNode*>(0)->IsVolatile();
    case eNOT:
        return Arg<CNode*>(0)->IsVolatile();
    case eGT:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eGE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eLT:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eLE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eLAND:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eLOR:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eCEQ:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eCNE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eEQ:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eNE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eRAND:
        return Arg<CNode*>(0)->IsVolatile();
    case eRNAND:
        return Arg<CNode*>(0)->IsVolatile();
    case eROR:
        return Arg<CNode*>(0)->IsVolatile();
    case eRNOR:
        return Arg<CNode*>(0)->IsVolatile();
    case eRXOR:
        return Arg<CNode*>(0)->IsVolatile();
    case eRXNOR:
        return Arg<CNode*>(0)->IsVolatile();
    case eHOOK:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile() || Arg<CNode*>(2)->IsVolatile();
    case eMTM:
        return TRUE;
    case eEXTERNAL_REF:
        return TRUE;
    case eMACRO_EXPR:
        return Arg<CNode*>(1) ? Arg<CNode*>(1)->IsVolatile() : TRUE;
    default:
 	MASSERT( FALSE );
    }

    return TRUE;
}	


/************************************************
 	IsWidthConstant
	- return true if expression has a constant width
**************************************************/

int	CNode::IsWidthConstant( )
{
    switch( GetOp() ) {
    case eERROR:
        return TRUE;
    case eVCONSTANT:
        return Arg<CVector*>(0)->IsWidthConstant();
    case eRCONSTANT:
        return TRUE;
    case eELIST:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eWIDTH:
        return Arg<CNode*>(0)->IsConstant();
    case eSUB:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eMUL:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eDIV:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case ePOW:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eADD:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eLSH:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eRSH:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eLSHA:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eRSHA:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eMOD:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eOR:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eAND:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eANDANDAND:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eXOR:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eXNOR:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eSYSTASK_CALL:
        return Systask::WidthConstant(Arg<CSymbol*>(0),Arg<CNode*>(1));
    case eFUNCTION_CALL:
        return CFunction::WidthConstant(Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CScope*>(2));
    case eARRAY:
        return Array::WidthConstant(Arg<CNode*>(0),Arg<CNode*>(1));
    case eNET_REF:
        return Arg<CNet*>(0)->IsWidthConstant();
    case eREG_REF:
        return Arg<CReg*>(0)->IsWidthConstant();
    case eREAL_REF:
        return Arg<CReal*>(0)->IsWidthConstant();
    case ePARAM_REF:
        return Arg<CParam*>(0)->IsWidthConstant();
    case ePORT_REF:
        return Arg<CPortDir*>(0)->IsWidthConstant();
    case eFWD_REF:
        return Arg<CFref*>(0)->IsWidthConstant();
    case eGENVAR_REF:
        return Arg<CGenvar*>(0)->IsWidthConstant();
    case eRANGE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case eSLICE:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsConstant();
    case ePSLICE:
        return Arg<CNode*>(1)->IsConstant();
    case eMSLICE:
        return Arg<CNode*>(1)->IsConstant();
    case eCVRI:
        return TRUE;
    case eCVIR:
        return TRUE;
    case eREP:
        return Arg<CNode*>(0)->IsConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eCAT:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant();
    case eUCAT:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eCOM:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eNEG:
        return Arg<CNode*>(0)->IsWidthConstant();
    case eNOT:
        return TRUE;
    case eGT:
        return TRUE;
    case eGE:
        return TRUE;
    case eLT:
        return TRUE;
    case eLE:
        return TRUE;
    case eLAND:
        return TRUE;
    case eLOR:
        return TRUE;
    case eCEQ:
        return TRUE;
    case eCNE:
        return TRUE;
    case eEQ:
        return TRUE;
    case eNE:
        return TRUE;
    case eRAND:
        return TRUE;
    case eRNAND:
        return TRUE;
    case eROR:
        return TRUE;
    case eRNOR:
        return TRUE;
    case eRXOR:
        return TRUE;
    case eRXNOR:
        return TRUE;
    case eHOOK:
        return Arg<CNode*>(1)->IsWidthConstant() && Arg<CNode*>(2)->IsWidthConstant();
    case eMTM:
        return Arg<CNode*>(0)->IsWidthConstant() && Arg<CNode*>(1)->IsWidthConstant() && Arg<CNode*>(2)->IsWidthConstant();
    case eEXTERNAL_REF:
        return External::WidthConstant(Arg<CSymbol*>(0));
    case eMACRO_EXPR:
        return Arg<CNode*>(1)->IsWidthConstant();
    default:
	MASSERT( FALSE );
	return 0;
    }
}	

/************************************************
 	IsWidthVolatile
	- return true if expression has a volatile  width
**************************************************/

int	CNode::IsWidthVolatile( )
{
    switch( GetOp() ) {
    case eERROR:
        return FALSE;
    case eVCONSTANT:
        return Arg<CVector*>(0)->IsWidthVolatile();
    case eRCONSTANT:
        return FALSE;
    case eELIST:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eWIDTH:
        return Arg<CNode*>(0)->IsVolatile();
    case eSUB:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eMUL:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eDIV:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case ePOW:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eADD:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eLSH:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eRSH:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eLSHA:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eRSHA:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eMOD:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eOR:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eAND:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eANDANDAND:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eXOR:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eXNOR:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eSYSTASK_CALL:
        return Systask::WidthVolatile(Arg<CSymbol*>(0),Arg<CNode*>(1));
    case eFUNCTION_CALL:
        return CFunction::WidthVolatile(Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CScope*>(2));
    case eARRAY:
        return Array::WidthVolatile(Arg<CNode*>(0),Arg<CNode*>(1));
    case eNET_REF:
        return Arg<CNet*>(0)->IsWidthVolatile();
    case eREG_REF:
        return Arg<CReg*>(0)->IsWidthVolatile();
    case eREAL_REF:
        return Arg<CReal*>(0)->IsWidthVolatile();
    case ePARAM_REF:
        return Arg<CParam*>(0)->IsWidthVolatile();
    case ePORT_REF:
        return Arg<CPortDir*>(0)->IsWidthVolatile();
    case eFWD_REF:
        return Arg<CFref*>(0)->IsWidthVolatile();
    case eGENVAR_REF:
        return Arg<CGenvar*>(0)->IsWidthVolatile();
    case eRANGE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case eSLICE:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsVolatile();
    case ePSLICE:
        return Arg<CNode*>(1)->IsVolatile();
    case eMSLICE:
        return Arg<CNode*>(1)->IsVolatile();
    case eCVRI:
        return FALSE;
    case eCVIR:
        return FALSE;
    case eREP:
        return Arg<CNode*>(0)->IsVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eCAT:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile();
    case eUCAT:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eCOM:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eNEG:
        return Arg<CNode*>(0)->IsWidthVolatile();
    case eNOT:
        return FALSE;
    case eGT:
        return FALSE;
    case eGE:
        return FALSE;
    case eLT:
        return FALSE;
    case eLE:
        return FALSE;
    case eLAND:
        return FALSE;
    case eLOR:
        return FALSE;
    case eCEQ:
        return FALSE;
    case eCNE:
        return FALSE;
    case eEQ:
        return FALSE;
    case eNE:
        return FALSE;
    case eRAND:
        return FALSE;
    case eRNAND:
        return FALSE;
    case eROR:
        return FALSE;
    case eRNOR:
        return FALSE;
    case eRXOR:
        return FALSE;
    case eRXNOR:
        return FALSE;
    case eHOOK:
        return Arg<CNode*>(1)->IsWidthVolatile() || Arg<CNode*>(2)->IsWidthVolatile();
    case eMTM:
        return Arg<CNode*>(0)->IsWidthVolatile() || Arg<CNode*>(1)->IsWidthVolatile() || Arg<CNode*>(2)->IsWidthVolatile();
    case eEXTERNAL_REF:
        return External::WidthVolatile(Arg<CSymbol*>(0));
    case eMACRO_EXPR:
        return Arg<CNode*>(1)->IsWidthVolatile();
    default:
	MASSERT( FALSE );
	return 0;
    }

}	

/************************************************
 	GetWidthExp
	- return expression tree for width of 
	  expression, return NULL if not-determinable
**************************************************/

CNode*	CNode::GetWidthExp()
{
    switch( GetOp() ) {
    case eERROR:
        return NULL;
    case eVCONSTANT:
        return Arg<CVector*>(0)->GetWidthExp();
    case eRCONSTANT:
        return NULL;
    case eELIST:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _ADD_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eWIDTH:
        return _INT32(Arg<CNode*>(0)->EvalINT32());
    case eSUB:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eMUL:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eDIV:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case ePOW:
        return Arg<CNode*>(0)->GetWidthExp();
    case eADD:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eLSH:
        return Arg<CNode*>(0)->GetWidthExp();
    case eRSH:
        return Arg<CNode*>(0)->GetWidthExp();
    case eLSHA:
        return Arg<CNode*>(0)->GetWidthExp();
    case eRSHA:
        return Arg<CNode*>(0)->GetWidthExp();
    case eMOD:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eOR:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eAND:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eANDANDAND:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eXOR:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eXNOR:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eSYSTASK_CALL:
        return Systask::WidthExp(Arg<CSymbol*>(0),Arg<CNode*>(1));
    case eFUNCTION_CALL:
        return CFunction::WidthExp(Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CScope*>(2));
    case eARRAY:
        return Array::WidthExp(Arg<CNode*>(0),Arg<CNode*>(1));
    case eNET_REF:
        return Arg<CNet*>(0)->GetWidthExp();
    case eREG_REF:
        return Arg<CReg*>(0)->GetWidthExp();
    case eREAL_REF:
        return Arg<CReal*>(0)->GetWidthExp();
    case ePARAM_REF:
        return Arg<CParam*>(0)->GetWidthExp();
    case ePORT_REF:
        return Arg<CPortDir*>(0)->GetWidthExp();
    case eFWD_REF:
        return Arg<CFref*>(0)->GetWidthExp();
    case eGENVAR_REF:
        return Arg<CGenvar*>(0)->GetWidthExp();
    case eRANGE:
        return (1 && 1) ? _ABSDIFFPLUS1_N(Arg<CNode*>(0)->Clone(),Arg<CNode*>(1)->Clone(),NULL) : NULL;
    case eSLICE:
        return (1 && 1) ? _ABSDIFFPLUS1_N(Arg<CNode*>(0)->Clone(),Arg<CNode*>(1)->Clone(),NULL) : NULL;
    case ePSLICE:
        return _INT32(Arg<CNode*>(1)->EvalINT32());
    case eMSLICE:
        return _INT32(Arg<CNode*>(1)->EvalINT32());
    case eCVRI:
        return _INT32(32);
    case eCVIR:
        return NULL;
    case eREP:
        return (1 && Arg<CNode*>(1)->GetWidthExp()) ? _MUL_N(Arg<CNode*>(0)->Clone(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eCAT:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp()) ? _ADD_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),NULL) : NULL;
    case eUCAT:
        return Arg<CNode*>(0)->GetWidthExp();
    case eCOM:
        return Arg<CNode*>(0)->GetWidthExp();
    case eNEG:
        return Arg<CNode*>(0)->GetWidthExp();
    case eNOT:
        return _INT32(1);
    case eGT:
        return _INT32(1);
    case eGE:
        return _INT32(1);
    case eLT:
        return _INT32(1);
    case eLE:
        return _INT32(1);
    case eLAND:
        return _INT32(1);
    case eLOR:
        return _INT32(1);
    case eCEQ:
        return _INT32(1);
    case eCNE:
        return _INT32(1);
    case eEQ:
        return _INT32(1);
    case eNE:
        return _INT32(1);
    case eRAND:
        return _INT32(1);
    case eRNAND:
        return _INT32(1);
    case eROR:
        return _INT32(1);
    case eRNOR:
        return _INT32(1);
    case eRXOR:
        return _INT32(1);
    case eRXNOR:
        return _INT32(1);
    case eHOOK:
        return (Arg<CNode*>(1)->GetWidthExp() && Arg<CNode*>(2)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(1)->GetWidthExp(),Arg<CNode*>(2)->GetWidthExp(),NULL) : NULL;
    case eMTM:
        return (Arg<CNode*>(0)->GetWidthExp() && Arg<CNode*>(1)->GetWidthExp() && Arg<CNode*>(2)->GetWidthExp()) ? _MAX_N(Arg<CNode*>(0)->GetWidthExp(),Arg<CNode*>(1)->GetWidthExp(),Arg<CNode*>(2)->GetWidthExp(),NULL) : NULL;
    case eEXTERNAL_REF:
        return External::WidthExp(Arg<CSymbol*>(0));
    case eMACRO_EXPR:
        return Arg<CNode*>(1)->GetWidthExp();
    default:
	MASSERT( FALSE );
	return NULL;
    }
}

/************************************************
 	IsWidthEvaluateable
	- return true if expression width can be evaluated
**************************************************/

int	CNode::IsWidthEvaluateable( )
{
    switch( GetOp() ) {
    case eERROR:
        return FALSE;
    case eVCONSTANT:
        return Arg<CVector*>(0)->IsWidthEvaluateable();
    case eRCONSTANT:
        return FALSE;
    case eELIST:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eWIDTH:
        return Arg<CNode*>(0)->IsEvaluateable();
    case eSUB:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eMUL:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eDIV:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case ePOW:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eADD:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eLSH:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eRSH:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eLSHA:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eRSHA:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eMOD:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eOR:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eAND:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eANDANDAND:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eXOR:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eXNOR:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eSYSTASK_CALL:
        return Systask::WidthEvaluateable(Arg<CSymbol*>(0),Arg<CNode*>(1));
    case eFUNCTION_CALL:
        return CFunction::WidthEvaluateable(Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CScope*>(2));
    case eARRAY:
        return Array::WidthEvaluateable(Arg<CNode*>(0),Arg<CNode*>(1));
    case eNET_REF:
        return Arg<CNet*>(0)->IsWidthEvaluateable();
    case eREG_REF:
        return Arg<CReg*>(0)->IsWidthEvaluateable();
    case eREAL_REF:
        return Arg<CReal*>(0)->IsWidthEvaluateable();
    case ePARAM_REF:
        return Arg<CParam*>(0)->IsWidthEvaluateable();
    case ePORT_REF:
        return Arg<CPortDir*>(0)->IsWidthEvaluateable();
    case eFWD_REF:
        return Arg<CFref*>(0)->IsWidthEvaluateable();
    case eGENVAR_REF:
        return Arg<CGenvar*>(0)->IsWidthEvaluateable();
    case eRANGE:
        return Arg<CNode*>(0)->IsEvaluateable() && Arg<CNode*>(1)->IsEvaluateable();
    case eSLICE:
        return Arg<CNode*>(0)->IsEvaluateable() && Arg<CNode*>(1)->IsEvaluateable();
    case ePSLICE:
        return Arg<CNode*>(1)->IsEvaluateable();
    case eMSLICE:
        return Arg<CNode*>(1)->IsEvaluateable();
    case eCVRI:
        return TRUE;
    case eCVIR:
        return FALSE;
    case eREP:
        return Arg<CNode*>(0)->IsEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eCAT:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable();
    case eUCAT:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eCOM:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eNEG:
        return Arg<CNode*>(0)->IsWidthEvaluateable();
    case eNOT:
        return TRUE;
    case eGT:
        return TRUE;
    case eGE:
        return TRUE;
    case eLT:
        return TRUE;
    case eLE:
        return TRUE;
    case eLAND:
        return TRUE;
    case eLOR:
        return TRUE;
    case eCEQ:
        return TRUE;
    case eCNE:
        return TRUE;
    case eEQ:
        return TRUE;
    case eNE:
        return TRUE;
    case eRAND:
        return TRUE;
    case eRNAND:
        return TRUE;
    case eROR:
        return TRUE;
    case eRNOR:
        return TRUE;
    case eRXOR:
        return TRUE;
    case eRXNOR:
        return TRUE;
    case eHOOK:
        return Arg<CNode*>(1)->IsWidthEvaluateable() && Arg<CNode*>(2)->IsWidthEvaluateable();
    case eMTM:
        return Arg<CNode*>(0)->IsWidthEvaluateable() && Arg<CNode*>(1)->IsWidthEvaluateable() && Arg<CNode*>(2)->IsWidthEvaluateable();
    case eEXTERNAL_REF:
        return External::WidthEvaluateable(Arg<CSymbol*>(0));
    case eMACRO_EXPR:
        return Arg<CNode*>(1)->IsWidthEvaluateable();
    default:
	MASSERT( FALSE );
	return 0;
    }
}	

/************************************************
 	IsNonX
	- return true if expression cannot be X(or Z)
	  exclude any variable with attribute 
	  specified by exclude and optionally integers.
**************************************************/

int	CNode::IsNonX( int integerIsNonX, char* exclude )
{
    switch( GetOp() ) {
    case eERROR:
        return FALSE;
    case eVCONSTANT:
        return !Arg<CVector*>(0)->HasXZ();
    case eRCONSTANT:
        return TRUE;
    case eELIST:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eWIDTH:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eSUB:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eMUL:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eDIV:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case ePOW:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eADD:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eLSH:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eRSH:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eLSHA:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eRSHA:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eMOD:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eAND:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eANDANDAND:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eXOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eXNOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eSYSTASK_CALL:
        return FALSE;
    case eFUNCTION_CALL:
        return FALSE;
    case eARRAY:
        return FALSE;
    case eNET_REF:
        return Arg<CDecl*>(0)->HasAttribute( exclude ) ||

	     (integerIsNonX && Arg<CDecl*>(0)->GetType() == eINT);
    case eREG_REF:
        return Arg<CDecl*>(0)->HasAttribute( exclude ) ||

	     (integerIsNonX && Arg<CDecl*>(0)->GetType() == eINT);
    case eREAL_REF:
        return TRUE;
    case ePARAM_REF:
        return TRUE;
    case ePORT_REF:
        return Arg<CDecl*>(0)->HasAttribute( exclude ) ||

	     (integerIsNonX && Arg<CDecl*>(0)->GetType() == eINT);
    case eFWD_REF:
        return FALSE;
    case eGENVAR_REF:
        return TRUE;
    case eRANGE:
        return FALSE;
    case eSLICE:
        return FALSE;
    case ePSLICE:
        return FALSE;
    case eMSLICE:
        return FALSE;
    case eCVRI:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eCVIR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eREP:
        return Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eCAT:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eUCAT:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eCOM:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eNEG:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eNOT:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eGT:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eGE:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eLT:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eLE:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eLAND:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eLOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eCEQ:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eCNE:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eEQ:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eNE:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude );
    case eRAND:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eRNAND:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eROR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eRNOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eRXOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eRXNOR:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude );
    case eHOOK:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(2)->IsNonX( integerIsNonX, exclude );
    case eMTM:
        return Arg<CNode*>(0)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(1)->IsNonX( integerIsNonX, exclude ) && Arg<CNode*>(2)->IsNonX( integerIsNonX, exclude );
    case eEXTERNAL_REF:
        return FALSE;
    case eMACRO_EXPR:
        return Arg<CNode*>(1) ? Arg<CNode*>(1)->IsNonX(integerIsNonX, exclude) : FALSE;
    default:
	MASSERT( FALSE );
	return 0;
    }
}	

/***********************************************
	Clone
	- clone a copy of this tree use
	  stack)for storage 
************************************************/

CNode* CNode::Clone() 
{
    int nodeMask = 0;
    switch( GetOp() ) {
    case eERROR:
        nodeMask = 0;
	break;
    case eVCONSTANT:
        nodeMask = 0;
	break;
    case eRCONSTANT:
        nodeMask = 0;
	break;
    case eCOMMENT:
        nodeMask = 0;
	break;
    case eVRQ:
        nodeMask = 0;
	break;
    case ePRAGMA:
        nodeMask = 0;
	break;
    case eELIST:
        nodeMask = 3;
	break;
    case eWIDTH:
        nodeMask = 3;
	break;
    case eNOP:
        nodeMask = 0;
	break;
    case eSUB:
        nodeMask = 3;
	break;
    case eMUL:
        nodeMask = 3;
	break;
    case eDIV:
        nodeMask = 3;
	break;
    case ePOW:
        nodeMask = 3;
	break;
    case eADD:
        nodeMask = 3;
	break;
    case eLSH:
        nodeMask = 3;
	break;
    case eRSH:
        nodeMask = 3;
	break;
    case eLSHA:
        nodeMask = 3;
	break;
    case eRSHA:
        nodeMask = 3;
	break;
    case eMOD:
        nodeMask = 3;
	break;
    case eOR:
        nodeMask = 3;
	break;
    case eAND:
        nodeMask = 3;
	break;
    case eANDANDAND:
        nodeMask = 3;
	break;
    case eXOR:
        nodeMask = 3;
	break;
    case eXNOR:
        nodeMask = 3;
	break;
    case eINSTANCE_REF:
        nodeMask = 0;
	break;
    case eGATE_REF:
        nodeMask = 0;
	break;
    case eTASK_ENABLE:
        nodeMask = 2;
	break;
    case eSYSTASK_CALL:
        nodeMask = 2;
	break;
    case eTIMING_CALL:
        nodeMask = 2;
	break;
    case eFUNCTION_CALL:
        nodeMask = 2;
	break;
    case eARRAY:
        nodeMask = 3;
	break;
    case eNET_REF:
        nodeMask = 0;
	break;
    case eREG_REF:
        nodeMask = 0;
	break;
    case eREAL_REF:
        nodeMask = 0;
	break;
    case ePARAM_REF:
        nodeMask = 0;
	break;
    case ePORT_REF:
        nodeMask = 0;
	break;
    case eFWD_REF:
        nodeMask = 0;
	break;
    case eEVENT_REF:
        nodeMask = 0;
	break;
    case eGENVAR_REF:
        nodeMask = 0;
	break;
    case eNET_DECL:
        nodeMask = 2;
	break;
    case eREG_DECL:
        nodeMask = 2;
	break;
    case eREAL_DECL:
        nodeMask = 2;
	break;
    case ePARAM_DECL:
        nodeMask = 0;
	break;
    case eSPECPARAM_DECL:
        nodeMask = 0;
	break;
    case ePORT_DECL:
        nodeMask = 0;
	break;
    case eEVENT_DECL:
        nodeMask = 0;
	break;
    case eGENVAR_DECL:
        nodeMask = 0;
	break;
    case eLIST:
        nodeMask = 3;
	break;
    case eRANGE:
        nodeMask = 3;
	break;
    case eSLICE:
        nodeMask = 3;
	break;
    case ePSLICE:
        nodeMask = 3;
	break;
    case eMSLICE:
        nodeMask = 3;
	break;
    case eCVRI:
        nodeMask = 1;
	break;
    case eCVIR:
        nodeMask = 1;
	break;
    case eREP:
        nodeMask = 3;
	break;
    case eCAT:
        nodeMask = 3;
	break;
    case eUCAT:
        nodeMask = 1;
	break;
    case eCOM:
        nodeMask = 1;
	break;
    case eNEG:
        nodeMask = 1;
	break;
    case eNOT:
        nodeMask = 1;
	break;
    case eGT:
        nodeMask = 3;
	break;
    case eGE:
        nodeMask = 3;
	break;
    case eLT:
        nodeMask = 3;
	break;
    case eLE:
        nodeMask = 3;
	break;
    case eLAND:
        nodeMask = 3;
	break;
    case eLOR:
        nodeMask = 3;
	break;
    case eCEQ:
        nodeMask = 3;
	break;
    case eCNE:
        nodeMask = 3;
	break;
    case eEQ:
        nodeMask = 3;
	break;
    case eNE:
        nodeMask = 3;
	break;
    case eRAND:
        nodeMask = 1;
	break;
    case eRNAND:
        nodeMask = 1;
	break;
    case eROR:
        nodeMask = 1;
	break;
    case eRNOR:
        nodeMask = 1;
	break;
    case eRXOR:
        nodeMask = 1;
	break;
    case eRXNOR:
        nodeMask = 1;
	break;
    case eHOOK:
        nodeMask = 7;
	break;
    case eINIT:
        nodeMask = 1;
	break;
    case eALWAYS:
        nodeMask = 1;
	break;
    case eEVENT:
        nodeMask = 3;
	break;
    case eBLOCK_REF:
        nodeMask = 2;
	break;
    case eSPECIFY_REF:
        nodeMask = 2;
	break;
    case eASSIGN:
        nodeMask = 7;
	break;
    case eFORCE:
        nodeMask = 3;
	break;
    case eRELEASE:
        nodeMask = 1;
	break;
    case eNBASSIGN:
        nodeMask = 7;
	break;
    case ePOSEDGE:
        nodeMask = 1;
	break;
    case eNEGEDGE:
        nodeMask = 1;
	break;
    case eEDGE:
        nodeMask = 1;
	break;
    case eEVOR:
        nodeMask = 3;
	break;
    case eDELAY:
        nodeMask = 3;
	break;
    case eMTM:
        nodeMask = 7;
	break;
    case eIF:
        nodeMask = 7;
	break;
    case eFOREVER:
        nodeMask = 1;
	break;
    case eREPEAT:
        nodeMask = 3;
	break;
    case eWHILE:
        nodeMask = 3;
	break;
    case eWAIT:
        nodeMask = 3;
	break;
    case eFOR:
        nodeMask = 15;
	break;
    case eCASE:
        nodeMask = 3;
	break;
    case eCASEX:
        nodeMask = 3;
	break;
    case eCASEZ:
        nodeMask = 3;
	break;
    case eCASEITEM:
        nodeMask = 3;
	break;
    case eCASSIGN:
        nodeMask = 14;
	break;
    case eARG:
        nodeMask = 2;
	break;
    case eFUNCTION_DEF:
        nodeMask = 0;
	break;
    case eMODULE_DEF:
        nodeMask = 0;
	break;
    case eREPEAT_CONTROL:
        nodeMask = 3;
	break;
    case eDELAY_CONTROL:
        nodeMask = 1;
	break;
    case eEVENT_CONTROL:
        nodeMask = 1;
	break;
    case eEXTERNAL_REF:
        nodeMask = 0;
	break;
    case ePORT_DEF:
        nodeMask = 0;
	break;
    case eDEFPARAM:
        nodeMask = 3;
	break;
    case ePATH:
        nodeMask = 82;
	break;
    case ePATH_ASSIGN:
        nodeMask = 7;
	break;
    case eIFNONE_PATH_ASSIGN:
        nodeMask = 3;
	break;
    case eTRIGGER:
        nodeMask = 1;
	break;
    case ePASSIGN:
        nodeMask = 3;
	break;
    case eDEASSIGN:
        nodeMask = 1;
	break;
    case eDISABLE:
        nodeMask = 0;
	break;
    case eATTRIBUTE:
        nodeMask = 0;
	break;
    case eGIF:
        nodeMask = 7;
	break;
    case eGFOR:
        nodeMask = 15;
	break;
    case eGCASE:
        nodeMask = 3;
	break;
    case eTABLE:
        nodeMask = 1;
	break;
    case eTABLE_ENTRY:
        nodeMask = 1;
	break;
    case eTABLE_SYMBOL:
        nodeMask = 0;
	break;
    case ePORTLIST_END:
        nodeMask = 0;
	break;
    case eMACRO_EXPR:
        nodeMask = 2;
	break;
    default:
	MASSERT( FALSE );
    }

    CNode* n = new(stack) CNode( &loc, op );
    n->width = width;
    n->type = type;
    n->fixedWidth = fixedWidth;
    if( attributes ) {
        n->attributes = attributes->Clone();;
    }
    for( int i = 0; i < ArgCount(); i++ ) {
        if( ((nodeMask>>i)&1) && Arg<CNode*>(i) ) {
	    n->Arg<CNode*>(i) = Arg<CNode*>(i)->Clone();
	} else {
	    void* tmp = Arg<void*>(i);
	    n->Arg<void*>(i) = tmp;
	}
    }
    return n;
}


/***********************************************
	PreVisit1
	- traverse tree, evoking 
	  parent then leaves. 
          Callback may terminate traversal of subtree early.
************************************************/

void CNode::PreVisit1( int (*func)(CNode*, void*), void* data ) 
{
    if( !(*func)( this, data ) ) {
	return;
    }

    if( GetAttributes() ) {
        GetAttributes()->PreVisit1( func, data );
    }

    int nodeMask = 0;
    switch( GetOp() ) {
       case eERROR:
           nodeMask = 0;
           break;
       case eVCONSTANT:
           nodeMask = 1;
           break;
       case eRCONSTANT:
           nodeMask = 1;
           break;
       case eCOMMENT:
           nodeMask = 1;
           break;
       case eVRQ:
           nodeMask = 1;
           break;
       case ePRAGMA:
           nodeMask = 1;
           break;
       case eELIST:
           nodeMask = 0;
           break;
       case eWIDTH:
           nodeMask = 0;
           break;
       case eNOP:
           nodeMask = 0;
           break;
       case eSUB:
           nodeMask = 0;
           break;
       case eMUL:
           nodeMask = 0;
           break;
       case eDIV:
           nodeMask = 0;
           break;
       case ePOW:
           nodeMask = 0;
           break;
       case eADD:
           nodeMask = 0;
           break;
       case eLSH:
           nodeMask = 0;
           break;
       case eRSH:
           nodeMask = 0;
           break;
       case eLSHA:
           nodeMask = 0;
           break;
       case eRSHA:
           nodeMask = 0;
           break;
       case eMOD:
           nodeMask = 0;
           break;
       case eOR:
           nodeMask = 0;
           break;
       case eAND:
           nodeMask = 0;
           break;
       case eANDANDAND:
           nodeMask = 0;
           break;
       case eXOR:
           nodeMask = 0;
           break;
       case eXNOR:
           nodeMask = 0;
           break;
       case eINSTANCE_REF:
           nodeMask = 1;
           if(Arg<CInstance*>(0)) Arg<CInstance*>(0)->PreVisit1( func, data );
           break;
       case eGATE_REF:
           nodeMask = 1;
           if(Arg<CGate*>(0)) Arg<CGate*>(0)->PreVisit1( func, data );
           break;
       case eTASK_ENABLE:
           nodeMask = 1;
           break;
       case eSYSTASK_CALL:
           nodeMask = 1;
           break;
       case eTIMING_CALL:
           nodeMask = 1;
           break;
       case eFUNCTION_CALL:
           nodeMask = 5;
           break;
       case eARRAY:
           nodeMask = 0;
           break;
       case eNET_REF:
           return;
       case eREG_REF:
           return;
       case eREAL_REF:
           return;
       case ePARAM_REF:
           return;
       case ePORT_REF:
           return;
       case eFWD_REF:
           return;
       case eEVENT_REF:
           return;
       case eGENVAR_REF:
           return;
       case eNET_DECL:
           nodeMask = 1;
           if(Arg<CNet*>(0)) Arg<CNet*>(0)->PreVisit1( func, data );
           break;
       case eREG_DECL:
           nodeMask = 1;
           if(Arg<CReg*>(0)) Arg<CReg*>(0)->PreVisit1( func, data );
           break;
       case eREAL_DECL:
           nodeMask = 1;
           if(Arg<CReal*>(0)) Arg<CReal*>(0)->PreVisit1( func, data );
           break;
       case ePARAM_DECL:
           nodeMask = 1;
           if(Arg<CParam*>(0)) Arg<CParam*>(0)->PreVisit1( func, data );
           break;
       case eSPECPARAM_DECL:
           nodeMask = 1;
           if(Arg<CParam*>(0)) Arg<CParam*>(0)->PreVisit1( func, data );
           break;
       case ePORT_DECL:
           nodeMask = 1;
           if(Arg<CPortDir*>(0)) Arg<CPortDir*>(0)->PreVisit1( func, data );
           break;
       case eEVENT_DECL:
           nodeMask = 1;
           if(Arg<CEvent*>(0)) Arg<CEvent*>(0)->PreVisit1( func, data );
           break;
       case eGENVAR_DECL:
           nodeMask = 1;
           if(Arg<CGenvar*>(0)) Arg<CGenvar*>(0)->PreVisit1( func, data );
           break;
       case eLIST:
           nodeMask = 0;
           break;
       case eRANGE:
           nodeMask = 0;
           break;
       case eSLICE:
           nodeMask = 0;
           break;
       case ePSLICE:
           nodeMask = 0;
           break;
       case eMSLICE:
           nodeMask = 0;
           break;
       case eCVRI:
           nodeMask = 0;
           break;
       case eCVIR:
           nodeMask = 0;
           break;
       case eREP:
           nodeMask = 0;
           break;
       case eCAT:
           nodeMask = 0;
           break;
       case eUCAT:
           nodeMask = 0;
           break;
       case eCOM:
           nodeMask = 0;
           break;
       case eNEG:
           nodeMask = 0;
           break;
       case eNOT:
           nodeMask = 0;
           break;
       case eGT:
           nodeMask = 0;
           break;
       case eGE:
           nodeMask = 0;
           break;
       case eLT:
           nodeMask = 0;
           break;
       case eLE:
           nodeMask = 0;
           break;
       case eLAND:
           nodeMask = 0;
           break;
       case eLOR:
           nodeMask = 0;
           break;
       case eCEQ:
           nodeMask = 0;
           break;
       case eCNE:
           nodeMask = 0;
           break;
       case eEQ:
           nodeMask = 0;
           break;
       case eNE:
           nodeMask = 0;
           break;
       case eRAND:
           nodeMask = 0;
           break;
       case eRNAND:
           nodeMask = 0;
           break;
       case eROR:
           nodeMask = 0;
           break;
       case eRNOR:
           nodeMask = 0;
           break;
       case eRXOR:
           nodeMask = 0;
           break;
       case eRXNOR:
           nodeMask = 0;
           break;
       case eHOOK:
           nodeMask = 0;
           break;
       case eINIT:
           nodeMask = 0;
           break;
       case eALWAYS:
           nodeMask = 0;
           break;
       case eEVENT:
           nodeMask = 0;
           break;
       case eBLOCK_REF:
           nodeMask = 1;
           if(Arg<CBlock*>(0)) Arg<CBlock*>(0)->PreVisit1( func, data );
           break;
       case eSPECIFY_REF:
           nodeMask = 1;
           if(Arg<CSpecify*>(0)) Arg<CSpecify*>(0)->PreVisit1( func, data );
           break;
       case eASSIGN:
           nodeMask = 0;
           break;
       case eFORCE:
           nodeMask = 0;
           break;
       case eRELEASE:
           nodeMask = 0;
           break;
       case eNBASSIGN:
           nodeMask = 0;
           break;
       case ePOSEDGE:
           nodeMask = 0;
           break;
       case eNEGEDGE:
           nodeMask = 0;
           break;
       case eEDGE:
           nodeMask = 2;
           break;
       case eEVOR:
           nodeMask = 0;
           break;
       case eDELAY:
           nodeMask = 0;
           break;
       case eMTM:
           nodeMask = 0;
           break;
       case eIF:
           nodeMask = 0;
           break;
       case eFOREVER:
           nodeMask = 0;
           break;
       case eREPEAT:
           nodeMask = 0;
           break;
       case eWHILE:
           nodeMask = 0;
           break;
       case eWAIT:
           nodeMask = 0;
           break;
       case eFOR:
           nodeMask = 0;
           break;
       case eCASE:
           nodeMask = 0;
           break;
       case eCASEX:
           nodeMask = 0;
           break;
       case eCASEZ:
           nodeMask = 0;
           break;
       case eCASEITEM:
           nodeMask = 0;
           break;
       case eCASSIGN:
           nodeMask = 1;
           break;
       case eARG:
           nodeMask = 1;
           break;
       case eFUNCTION_DEF:
           nodeMask = 1;
           if(Arg<CFunction*>(0)) Arg<CFunction*>(0)->PreVisit1( func, data );
           break;
       case eMODULE_DEF:
           nodeMask = 1;
           if(Arg<CModule*>(0)) Arg<CModule*>(0)->PreVisit1( func, data );
           break;
       case eREPEAT_CONTROL:
           nodeMask = 0;
           break;
       case eDELAY_CONTROL:
           nodeMask = 0;
           break;
       case eEVENT_CONTROL:
           nodeMask = 0;
           break;
       case eEXTERNAL_REF:
           nodeMask = 1;
           break;
       case ePORT_DEF:
           nodeMask = 1;
           if(Arg<CPort*>(0)) Arg<CPort*>(0)->PreVisit1( func, data );
           break;
       case eDEFPARAM:
           nodeMask = 0;
           break;
       case ePATH:
           nodeMask = 45;
           break;
       case ePATH_ASSIGN:
           nodeMask = 0;
           break;
       case eIFNONE_PATH_ASSIGN:
           nodeMask = 0;
           break;
       case eTRIGGER:
           nodeMask = 0;
           break;
       case ePASSIGN:
           nodeMask = 0;
           break;
       case eDEASSIGN:
           nodeMask = 0;
           break;
       case eDISABLE:
           nodeMask = 1;
           break;
       case eATTRIBUTE:
           nodeMask = 1;
           if(Arg<CAttr*>(0)) Arg<CAttr*>(0)->PreVisit1( func, data );
           break;
       case eGIF:
           nodeMask = 0;
           break;
       case eGFOR:
           nodeMask = 0;
           break;
       case eGCASE:
           nodeMask = 0;
           break;
       case eTABLE:
           nodeMask = 0;
           break;
       case eTABLE_ENTRY:
           nodeMask = 0;
           break;
       case eTABLE_SYMBOL:
           nodeMask = 1;
           break;
       case ePORTLIST_END:
           nodeMask = 0;
           break;
       case eMACRO_EXPR:
           nodeMask = 1;
           break;
    }

    /*
     * special case LIST nodes for tail recursion optimizations
     */
    if( GetOp() != eLIST ) {
        for( int i = 0; i < ArgCount(); i++ ) {
            if( Arg<CNode*>(i) && !((nodeMask>>i)&1) )  Arg<CNode*>(i)->PreVisit1( func, data );
        }
    } else {
	CNode* n = this;
	while( 1 ) {
            if( n->Arg<CNode*>(0) ) {
		 n->Arg<CNode*>(0)->PreVisit1( func, data );
	    }
	    if( !n->Arg<CNode*>(1) || n->Arg<CNode*>(1)->GetOp() != eLIST ) {
		break;
	    }
	    n = n->Arg<CNode*>(1); 
            if( !(*func)( n, data ) ) {
                return;
            }
            if( n->GetAttributes() ) {
                n->GetAttributes()->PreVisit1( func, data );
            }
	} 
        if( n->Arg<CNode*>(1) ) {
	     n->Arg<CNode*>(1)->PreVisit1( func, data );
	}
    }
}


/***********************************************
	PostVisit1
	- traverse tree, evoking 
	  leaves then parent. 
************************************************/
void CNode::PostVisit1( void (*func)(CNode*, void*), void* data ) 
{
    if( GetAttributes() ) {
        GetAttributes()->PostVisit1( func, data );
    }

    int nodeMask = 0;
    switch( GetOp() ) {
       case eERROR:
           nodeMask = 0;
           break;
       case eVCONSTANT:
           nodeMask = 1;
           break;
       case eRCONSTANT:
           nodeMask = 1;
           break;
       case eCOMMENT:
           nodeMask = 1;
           break;
       case eVRQ:
           nodeMask = 1;
           break;
       case ePRAGMA:
           nodeMask = 1;
           break;
       case eELIST:
           nodeMask = 0;
           break;
       case eWIDTH:
           nodeMask = 0;
           break;
       case eNOP:
           nodeMask = 0;
           break;
       case eSUB:
           nodeMask = 0;
           break;
       case eMUL:
           nodeMask = 0;
           break;
       case eDIV:
           nodeMask = 0;
           break;
       case ePOW:
           nodeMask = 0;
           break;
       case eADD:
           nodeMask = 0;
           break;
       case eLSH:
           nodeMask = 0;
           break;
       case eRSH:
           nodeMask = 0;
           break;
       case eLSHA:
           nodeMask = 0;
           break;
       case eRSHA:
           nodeMask = 0;
           break;
       case eMOD:
           nodeMask = 0;
           break;
       case eOR:
           nodeMask = 0;
           break;
       case eAND:
           nodeMask = 0;
           break;
       case eANDANDAND:
           nodeMask = 0;
           break;
       case eXOR:
           nodeMask = 0;
           break;
       case eXNOR:
           nodeMask = 0;
           break;
       case eINSTANCE_REF:
           nodeMask = 1;
           if(Arg<CInstance*>(0)) Arg<CInstance*>(0)->PostVisit1( func, data );
           break;
       case eGATE_REF:
           nodeMask = 1;
           if(Arg<CGate*>(0)) Arg<CGate*>(0)->PostVisit1( func, data );
           break;
       case eTASK_ENABLE:
           nodeMask = 1;
           break;
       case eSYSTASK_CALL:
           nodeMask = 1;
           break;
       case eTIMING_CALL:
           nodeMask = 1;
           break;
       case eFUNCTION_CALL:
           nodeMask = 5;
           break;
       case eARRAY:
           nodeMask = 0;
           break;
       case eNET_REF:
           nodeMask = ~0;
           break;
       case eREG_REF:
           nodeMask = ~0;
           break;
       case eREAL_REF:
           nodeMask = ~0;
           break;
       case ePARAM_REF:
           nodeMask = ~0;
           break;
       case ePORT_REF:
           nodeMask = ~0;
           break;
       case eFWD_REF:
           nodeMask = ~0;
           break;
       case eEVENT_REF:
           nodeMask = ~0;
           break;
       case eGENVAR_REF:
           nodeMask = ~0;
           break;
       case eNET_DECL:
           nodeMask = 1;
           if(Arg<CNet*>(0)) Arg<CNet*>(0)->PostVisit1( func, data );
           break;
       case eREG_DECL:
           nodeMask = 1;
           if(Arg<CReg*>(0)) Arg<CReg*>(0)->PostVisit1( func, data );
           break;
       case eREAL_DECL:
           nodeMask = 1;
           if(Arg<CReal*>(0)) Arg<CReal*>(0)->PostVisit1( func, data );
           break;
       case ePARAM_DECL:
           nodeMask = 1;
           if(Arg<CParam*>(0)) Arg<CParam*>(0)->PostVisit1( func, data );
           break;
       case eSPECPARAM_DECL:
           nodeMask = 1;
           if(Arg<CParam*>(0)) Arg<CParam*>(0)->PostVisit1( func, data );
           break;
       case ePORT_DECL:
           nodeMask = 1;
           if(Arg<CPortDir*>(0)) Arg<CPortDir*>(0)->PostVisit1( func, data );
           break;
       case eEVENT_DECL:
           nodeMask = 1;
           if(Arg<CEvent*>(0)) Arg<CEvent*>(0)->PostVisit1( func, data );
           break;
       case eGENVAR_DECL:
           nodeMask = 1;
           if(Arg<CGenvar*>(0)) Arg<CGenvar*>(0)->PostVisit1( func, data );
           break;
       case eLIST:
           nodeMask = 0;
           break;
       case eRANGE:
           nodeMask = 0;
           break;
       case eSLICE:
           nodeMask = 0;
           break;
       case ePSLICE:
           nodeMask = 0;
           break;
       case eMSLICE:
           nodeMask = 0;
           break;
       case eCVRI:
           nodeMask = 0;
           break;
       case eCVIR:
           nodeMask = 0;
           break;
       case eREP:
           nodeMask = 0;
           break;
       case eCAT:
           nodeMask = 0;
           break;
       case eUCAT:
           nodeMask = 0;
           break;
       case eCOM:
           nodeMask = 0;
           break;
       case eNEG:
           nodeMask = 0;
           break;
       case eNOT:
           nodeMask = 0;
           break;
       case eGT:
           nodeMask = 0;
           break;
       case eGE:
           nodeMask = 0;
           break;
       case eLT:
           nodeMask = 0;
           break;
       case eLE:
           nodeMask = 0;
           break;
       case eLAND:
           nodeMask = 0;
           break;
       case eLOR:
           nodeMask = 0;
           break;
       case eCEQ:
           nodeMask = 0;
           break;
       case eCNE:
           nodeMask = 0;
           break;
       case eEQ:
           nodeMask = 0;
           break;
       case eNE:
           nodeMask = 0;
           break;
       case eRAND:
           nodeMask = 0;
           break;
       case eRNAND:
           nodeMask = 0;
           break;
       case eROR:
           nodeMask = 0;
           break;
       case eRNOR:
           nodeMask = 0;
           break;
       case eRXOR:
           nodeMask = 0;
           break;
       case eRXNOR:
           nodeMask = 0;
           break;
       case eHOOK:
           nodeMask = 0;
           break;
       case eINIT:
           nodeMask = 0;
           break;
       case eALWAYS:
           nodeMask = 0;
           break;
       case eEVENT:
           nodeMask = 0;
           break;
       case eBLOCK_REF:
           nodeMask = 1;
           if(Arg<CBlock*>(0)) Arg<CBlock*>(0)->PostVisit1( func, data );
           break;
       case eSPECIFY_REF:
           nodeMask = 1;
           if(Arg<CSpecify*>(0)) Arg<CSpecify*>(0)->PostVisit1( func, data );
           break;
       case eASSIGN:
           nodeMask = 0;
           break;
       case eFORCE:
           nodeMask = 0;
           break;
       case eRELEASE:
           nodeMask = 0;
           break;
       case eNBASSIGN:
           nodeMask = 0;
           break;
       case ePOSEDGE:
           nodeMask = 0;
           break;
       case eNEGEDGE:
           nodeMask = 0;
           break;
       case eEDGE:
           nodeMask = 2;
           break;
       case eEVOR:
           nodeMask = 0;
           break;
       case eDELAY:
           nodeMask = 0;
           break;
       case eMTM:
           nodeMask = 0;
           break;
       case eIF:
           nodeMask = 0;
           break;
       case eFOREVER:
           nodeMask = 0;
           break;
       case eREPEAT:
           nodeMask = 0;
           break;
       case eWHILE:
           nodeMask = 0;
           break;
       case eWAIT:
           nodeMask = 0;
           break;
       case eFOR:
           nodeMask = 0;
           break;
       case eCASE:
           nodeMask = 0;
           break;
       case eCASEX:
           nodeMask = 0;
           break;
       case eCASEZ:
           nodeMask = 0;
           break;
       case eCASEITEM:
           nodeMask = 0;
           break;
       case eCASSIGN:
           nodeMask = 1;
           break;
       case eARG:
           nodeMask = 1;
           break;
       case eFUNCTION_DEF:
           nodeMask = 1;
           if(Arg<CFunction*>(0)) Arg<CFunction*>(0)->PostVisit1( func, data );
           break;
       case eMODULE_DEF:
           nodeMask = 1;
           if(Arg<CModule*>(0)) Arg<CModule*>(0)->PostVisit1( func, data );
           break;
       case eREPEAT_CONTROL:
           nodeMask = 0;
           break;
       case eDELAY_CONTROL:
           nodeMask = 0;
           break;
       case eEVENT_CONTROL:
           nodeMask = 0;
           break;
       case eEXTERNAL_REF:
           nodeMask = 1;
           break;
       case ePORT_DEF:
           nodeMask = 1;
           if(Arg<CPort*>(0)) Arg<CPort*>(0)->PostVisit1( func, data );
           break;
       case eDEFPARAM:
           nodeMask = 0;
           break;
       case ePATH:
           nodeMask = 45;
           break;
       case ePATH_ASSIGN:
           nodeMask = 0;
           break;
       case eIFNONE_PATH_ASSIGN:
           nodeMask = 0;
           break;
       case eTRIGGER:
           nodeMask = 0;
           break;
       case ePASSIGN:
           nodeMask = 0;
           break;
       case eDEASSIGN:
           nodeMask = 0;
           break;
       case eDISABLE:
           nodeMask = 1;
           break;
       case eATTRIBUTE:
           nodeMask = 1;
           if(Arg<CAttr*>(0)) Arg<CAttr*>(0)->PostVisit1( func, data );
           break;
       case eGIF:
           nodeMask = 0;
           break;
       case eGFOR:
           nodeMask = 0;
           break;
       case eGCASE:
           nodeMask = 0;
           break;
       case eTABLE:
           nodeMask = 0;
           break;
       case eTABLE_ENTRY:
           nodeMask = 0;
           break;
       case eTABLE_SYMBOL:
           nodeMask = 1;
           break;
       case ePORTLIST_END:
           nodeMask = 0;
           break;
       case eMACRO_EXPR:
           nodeMask = 1;
           break;
    }

    /*
     * special case LIST nodes for tail recursion optimizations
     */
    if( GetOp() != eLIST ) {
        for( int i = 0; i < ArgCount(); i++ ) {
            if( Arg<CNode*>(i) && !((nodeMask>>i)&1) )  Arg<CNode*>(i)->PostVisit1( func, data );
        }
    } else {
	std::stack<CNode*> visitLog;
	CNode* n = this;
	while( 1 ) {
	    if( n->Arg<CNode*>(0) ) {
                n->Arg<CNode*>(0)-> PostVisit1( func, data );
	    } 
	    if( !n->Arg<CNode*>(1) || n->Arg<CNode*>(1)->GetOp() != eLIST ) {
		break;
	    }
	    visitLog.push(n);
	    n = n->Arg<CNode*>(1); 
            if( n->GetAttributes() ) {
                n->GetAttributes()->PostVisit1( func, data );
            }
	} 
        if( n->Arg<CNode*>(1) ) {
            n->Arg<CNode*>(1)->PostVisit1( func, data );
	}
	while( !visitLog.empty() ) {
	    CNode* top = visitLog.top();
            if( top->Arg<CNode*>(1) ) {
		(*func)(top->Arg<CNode*>(1),data);
	    }
	    visitLog.pop();
	}
    }

    (*func)( this, data );
}

/***********************************************
	PostSubVisit1
	- traverse tree, evoking 
	  leaves then parents, substituting
	  results
************************************************/

CNode* CNode::PostSubVisit1( CNode* (*func)(CNode*, void*), void* data ) 
{
    if( GetAttributes() ) {
        SetAttributes( GetAttributes()->PostSubVisit1( func, data ) );
    }

    int nodeMask = 0;
    switch( GetOp() ) {
       case eERROR:
           nodeMask = 0;
           break;
       case eVCONSTANT:
           nodeMask = 1;
           break;
       case eRCONSTANT:
           nodeMask = 1;
           break;
       case eCOMMENT:
           nodeMask = 1;
           break;
       case eVRQ:
           nodeMask = 1;
           break;
       case ePRAGMA:
           nodeMask = 1;
           break;
       case eELIST:
           nodeMask = 0;
           break;
       case eWIDTH:
           nodeMask = 0;
           break;
       case eNOP:
           nodeMask = 0;
           break;
       case eSUB:
           nodeMask = 0;
           break;
       case eMUL:
           nodeMask = 0;
           break;
       case eDIV:
           nodeMask = 0;
           break;
       case ePOW:
           nodeMask = 0;
           break;
       case eADD:
           nodeMask = 0;
           break;
       case eLSH:
           nodeMask = 0;
           break;
       case eRSH:
           nodeMask = 0;
           break;
       case eLSHA:
           nodeMask = 0;
           break;
       case eRSHA:
           nodeMask = 0;
           break;
       case eMOD:
           nodeMask = 0;
           break;
       case eOR:
           nodeMask = 0;
           break;
       case eAND:
           nodeMask = 0;
           break;
       case eANDANDAND:
           nodeMask = 0;
           break;
       case eXOR:
           nodeMask = 0;
           break;
       case eXNOR:
           nodeMask = 0;
           break;
       case eINSTANCE_REF:
           nodeMask = 1;
           if(Arg<CInstance*>(0)) Arg<CInstance*>(0)->PostSubVisit1( func, data );
           break;
       case eGATE_REF:
           nodeMask = 1;
           if(Arg<CGate*>(0)) Arg<CGate*>(0)->PostSubVisit1( func, data );
           break;
       case eTASK_ENABLE:
           nodeMask = 1;
           break;
       case eSYSTASK_CALL:
           nodeMask = 1;
           break;
       case eTIMING_CALL:
           nodeMask = 1;
           break;
       case eFUNCTION_CALL:
           nodeMask = 5;
           break;
       case eARRAY:
           nodeMask = 0;
           break;
       case eNET_REF:
           nodeMask = ~0;
           break;
       case eREG_REF:
           nodeMask = ~0;
           break;
       case eREAL_REF:
           nodeMask = ~0;
           break;
       case ePARAM_REF:
           nodeMask = ~0;
           break;
       case ePORT_REF:
           nodeMask = ~0;
           break;
       case eFWD_REF:
           nodeMask = ~0;
           break;
       case eEVENT_REF:
           nodeMask = ~0;
           break;
       case eGENVAR_REF:
           nodeMask = ~0;
           break;
       case eNET_DECL:
           nodeMask = 1;
           if(Arg<CNet*>(0)) Arg<CNet*>(0)->PostSubVisit1( func, data );
           break;
       case eREG_DECL:
           nodeMask = 1;
           if(Arg<CReg*>(0)) Arg<CReg*>(0)->PostSubVisit1( func, data );
           break;
       case eREAL_DECL:
           nodeMask = 1;
           if(Arg<CReal*>(0)) Arg<CReal*>(0)->PostSubVisit1( func, data );
           break;
       case ePARAM_DECL:
           nodeMask = 1;
           if(Arg<CParam*>(0)) Arg<CParam*>(0)->PostSubVisit1( func, data );
           break;
       case eSPECPARAM_DECL:
           nodeMask = 1;
           if(Arg<CParam*>(0)) Arg<CParam*>(0)->PostSubVisit1( func, data );
           break;
       case ePORT_DECL:
           nodeMask = 1;
           if(Arg<CPortDir*>(0)) Arg<CPortDir*>(0)->PostSubVisit1( func, data );
           break;
       case eEVENT_DECL:
           nodeMask = 1;
           if(Arg<CEvent*>(0)) Arg<CEvent*>(0)->PostSubVisit1( func, data );
           break;
       case eGENVAR_DECL:
           nodeMask = 1;
           if(Arg<CGenvar*>(0)) Arg<CGenvar*>(0)->PostSubVisit1( func, data );
           break;
       case eLIST:
           nodeMask = 0;
           break;
       case eRANGE:
           nodeMask = 0;
           break;
       case eSLICE:
           nodeMask = 0;
           break;
       case ePSLICE:
           nodeMask = 0;
           break;
       case eMSLICE:
           nodeMask = 0;
           break;
       case eCVRI:
           nodeMask = 0;
           break;
       case eCVIR:
           nodeMask = 0;
           break;
       case eREP:
           nodeMask = 0;
           break;
       case eCAT:
           nodeMask = 0;
           break;
       case eUCAT:
           nodeMask = 0;
           break;
       case eCOM:
           nodeMask = 0;
           break;
       case eNEG:
           nodeMask = 0;
           break;
       case eNOT:
           nodeMask = 0;
           break;
       case eGT:
           nodeMask = 0;
           break;
       case eGE:
           nodeMask = 0;
           break;
       case eLT:
           nodeMask = 0;
           break;
       case eLE:
           nodeMask = 0;
           break;
       case eLAND:
           nodeMask = 0;
           break;
       case eLOR:
           nodeMask = 0;
           break;
       case eCEQ:
           nodeMask = 0;
           break;
       case eCNE:
           nodeMask = 0;
           break;
       case eEQ:
           nodeMask = 0;
           break;
       case eNE:
           nodeMask = 0;
           break;
       case eRAND:
           nodeMask = 0;
           break;
       case eRNAND:
           nodeMask = 0;
           break;
       case eROR:
           nodeMask = 0;
           break;
       case eRNOR:
           nodeMask = 0;
           break;
       case eRXOR:
           nodeMask = 0;
           break;
       case eRXNOR:
           nodeMask = 0;
           break;
       case eHOOK:
           nodeMask = 0;
           break;
       case eINIT:
           nodeMask = 0;
           break;
       case eALWAYS:
           nodeMask = 0;
           break;
       case eEVENT:
           nodeMask = 0;
           break;
       case eBLOCK_REF:
           nodeMask = 1;
           if(Arg<CBlock*>(0)) Arg<CBlock*>(0)->PostSubVisit1( func, data );
           break;
       case eSPECIFY_REF:
           nodeMask = 1;
           if(Arg<CSpecify*>(0)) Arg<CSpecify*>(0)->PostSubVisit1( func, data );
           break;
       case eASSIGN:
           nodeMask = 0;
           break;
       case eFORCE:
           nodeMask = 0;
           break;
       case eRELEASE:
           nodeMask = 0;
           break;
       case eNBASSIGN:
           nodeMask = 0;
           break;
       case ePOSEDGE:
           nodeMask = 0;
           break;
       case eNEGEDGE:
           nodeMask = 0;
           break;
       case eEDGE:
           nodeMask = 2;
           break;
       case eEVOR:
           nodeMask = 0;
           break;
       case eDELAY:
           nodeMask = 0;
           break;
       case eMTM:
           nodeMask = 0;
           break;
       case eIF:
           nodeMask = 0;
           break;
       case eFOREVER:
           nodeMask = 0;
           break;
       case eREPEAT:
           nodeMask = 0;
           break;
       case eWHILE:
           nodeMask = 0;
           break;
       case eWAIT:
           nodeMask = 0;
           break;
       case eFOR:
           nodeMask = 0;
           break;
       case eCASE:
           nodeMask = 0;
           break;
       case eCASEX:
           nodeMask = 0;
           break;
       case eCASEZ:
           nodeMask = 0;
           break;
       case eCASEITEM:
           nodeMask = 0;
           break;
       case eCASSIGN:
           nodeMask = 1;
           break;
       case eARG:
           nodeMask = 1;
           break;
       case eFUNCTION_DEF:
           nodeMask = 1;
           if(Arg<CFunction*>(0)) Arg<CFunction*>(0)->PostSubVisit1( func, data );
           break;
       case eMODULE_DEF:
           nodeMask = 1;
           if(Arg<CModule*>(0)) Arg<CModule*>(0)->PostSubVisit1( func, data );
           break;
       case eREPEAT_CONTROL:
           nodeMask = 0;
           break;
       case eDELAY_CONTROL:
           nodeMask = 0;
           break;
       case eEVENT_CONTROL:
           nodeMask = 0;
           break;
       case eEXTERNAL_REF:
           nodeMask = 1;
           break;
       case ePORT_DEF:
           nodeMask = 1;
           if(Arg<CPort*>(0)) Arg<CPort*>(0)->PostSubVisit1( func, data );
           break;
       case eDEFPARAM:
           nodeMask = 0;
           break;
       case ePATH:
           nodeMask = 45;
           break;
       case ePATH_ASSIGN:
           nodeMask = 0;
           break;
       case eIFNONE_PATH_ASSIGN:
           nodeMask = 0;
           break;
       case eTRIGGER:
           nodeMask = 0;
           break;
       case ePASSIGN:
           nodeMask = 0;
           break;
       case eDEASSIGN:
           nodeMask = 0;
           break;
       case eDISABLE:
           nodeMask = 1;
           break;
       case eATTRIBUTE:
           nodeMask = 1;
           if(Arg<CAttr*>(0)) Arg<CAttr*>(0)->PostSubVisit1( func, data );
           break;
       case eGIF:
           nodeMask = 0;
           break;
       case eGFOR:
           nodeMask = 0;
           break;
       case eGCASE:
           nodeMask = 0;
           break;
       case eTABLE:
           nodeMask = 0;
           break;
       case eTABLE_ENTRY:
           nodeMask = 0;
           break;
       case eTABLE_SYMBOL:
           nodeMask = 1;
           break;
       case ePORTLIST_END:
           nodeMask = 0;
           break;
       case eMACRO_EXPR:
           nodeMask = 1;
           break;
    }

    /*
     * special case LIST nodes for tail recursion optimizations
     */
    if( GetOp() != eLIST ) {
        for( int i = 0; i < ArgCount(); i++ ) {
            if( Arg<CNode*>(i) && !((nodeMask>>i)&1) )  Arg<CNode*>(i) = Arg<CNode*>(i)->PostSubVisit1( func, data );
        }
    } else {
	std::stack<CNode*> visitLog;
	CNode* n = this;
	while( 1 ) {
	    if( n->Arg<CNode*>(0) ) {
                n->Arg<CNode*>(0) = n->Arg<CNode*>(0)->
					PostSubVisit1( func, data );
	    } 
	    if( !n->Arg<CNode*>(1) || n->Arg<CNode*>(1)->GetOp() != eLIST ) {
		break;
	    }
	    visitLog.push(n);
	    n = n->Arg<CNode*>(1); 
            if( n->GetAttributes() ) {
                n->SetAttributes( n->GetAttributes()->PostSubVisit1( func, data ) );
            }
	} 
        if( n->Arg<CNode*>(1) ) {
            n->Arg<CNode*>(1) = n->Arg<CNode*>(1)->PostSubVisit1( func, data );
	}
	while( !visitLog.empty() ) {
	    CNode* top = visitLog.top();
            if( top->Arg<CNode*>(1) ) {
		top->Arg<CNode*>(1) = (*func)(top->Arg<CNode*>(1),data);
	    }
	    visitLog.pop();
	}
    }

    return (*func)( this, data );
}

/***********************************************
	Hash
	- returns a unique hash number 
	  representing tree
	  The following is always true:
	    Equivilent(n1,n2) => Hash(n1) == Hash(n2)
************************************************/

unsigned CNode::Hash() 
{
    unsigned result = GetOp();
    int nodeMask = 0;
    switch( GetOp() ) {
       case eERROR:
           nodeMask = 0;
           break;
       case eVCONSTANT:
           nodeMask = 1;
           result ^= Arg<CVector*>(0)->Hash();
           break;
       case eRCONSTANT:
           nodeMask = 1;
           result ^= strlen(Arg<char*>(0));
           break;
       case eCOMMENT:
           nodeMask = 1;
           result ^= strlen(Arg<char*>(0));
           break;
       case eVRQ:
           nodeMask = 1;
           result ^= strlen(Arg<char*>(0));
           break;
       case ePRAGMA:
           nodeMask = 1;
           result ^= strlen(Arg<char*>(0));
           break;
       case eELIST:
           nodeMask = 0;
           break;
       case eWIDTH:
           nodeMask = 0;
           break;
       case eNOP:
           nodeMask = 0;
           break;
       case eSUB:
           nodeMask = 0;
           break;
       case eMUL:
           nodeMask = 0;
           break;
       case eDIV:
           nodeMask = 0;
           break;
       case ePOW:
           nodeMask = 0;
           break;
       case eADD:
           nodeMask = 0;
           break;
       case eLSH:
           nodeMask = 0;
           break;
       case eRSH:
           nodeMask = 0;
           break;
       case eLSHA:
           nodeMask = 0;
           break;
       case eRSHA:
           nodeMask = 0;
           break;
       case eMOD:
           nodeMask = 0;
           break;
       case eOR:
           nodeMask = 0;
           break;
       case eAND:
           nodeMask = 0;
           break;
       case eANDANDAND:
           nodeMask = 0;
           break;
       case eXOR:
           nodeMask = 0;
           break;
       case eXNOR:
           nodeMask = 0;
           break;
       case eINSTANCE_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eGATE_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eTASK_ENABLE:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eSYSTASK_CALL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eTIMING_CALL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eFUNCTION_CALL:
           nodeMask = 5;
           result ^= Arg<unsigned long>(0);
           result ^= Arg<unsigned long>(2);
           break;
       case eARRAY:
           nodeMask = 0;
           break;
       case eNET_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eREG_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eREAL_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case ePARAM_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case ePORT_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eFWD_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eEVENT_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eGENVAR_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eNET_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eREG_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eREAL_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case ePARAM_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eSPECPARAM_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case ePORT_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eEVENT_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eGENVAR_DECL:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eLIST:
           nodeMask = 0;
           break;
       case eRANGE:
           nodeMask = 0;
           break;
       case eSLICE:
           nodeMask = 0;
           break;
       case ePSLICE:
           nodeMask = 0;
           break;
       case eMSLICE:
           nodeMask = 0;
           break;
       case eCVRI:
           nodeMask = 0;
           break;
       case eCVIR:
           nodeMask = 0;
           break;
       case eREP:
           nodeMask = 0;
           break;
       case eCAT:
           nodeMask = 0;
           break;
       case eUCAT:
           nodeMask = 0;
           break;
       case eCOM:
           nodeMask = 0;
           break;
       case eNEG:
           nodeMask = 0;
           break;
       case eNOT:
           nodeMask = 0;
           break;
       case eGT:
           nodeMask = 0;
           break;
       case eGE:
           nodeMask = 0;
           break;
       case eLT:
           nodeMask = 0;
           break;
       case eLE:
           nodeMask = 0;
           break;
       case eLAND:
           nodeMask = 0;
           break;
       case eLOR:
           nodeMask = 0;
           break;
       case eCEQ:
           nodeMask = 0;
           break;
       case eCNE:
           nodeMask = 0;
           break;
       case eEQ:
           nodeMask = 0;
           break;
       case eNE:
           nodeMask = 0;
           break;
       case eRAND:
           nodeMask = 0;
           break;
       case eRNAND:
           nodeMask = 0;
           break;
       case eROR:
           nodeMask = 0;
           break;
       case eRNOR:
           nodeMask = 0;
           break;
       case eRXOR:
           nodeMask = 0;
           break;
       case eRXNOR:
           nodeMask = 0;
           break;
       case eHOOK:
           nodeMask = 0;
           break;
       case eINIT:
           nodeMask = 0;
           break;
       case eALWAYS:
           nodeMask = 0;
           break;
       case eEVENT:
           nodeMask = 0;
           break;
       case eBLOCK_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eSPECIFY_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eASSIGN:
           nodeMask = 0;
           break;
       case eFORCE:
           nodeMask = 0;
           break;
       case eRELEASE:
           nodeMask = 0;
           break;
       case eNBASSIGN:
           nodeMask = 0;
           break;
       case ePOSEDGE:
           nodeMask = 0;
           break;
       case eNEGEDGE:
           nodeMask = 0;
           break;
       case eEDGE:
           nodeMask = 2;
           result ^= (unsigned long)Arg<Edge_t>(1);
           break;
       case eEVOR:
           nodeMask = 0;
           break;
       case eDELAY:
           nodeMask = 0;
           break;
       case eMTM:
           nodeMask = 0;
           break;
       case eIF:
           nodeMask = 0;
           break;
       case eFOREVER:
           nodeMask = 0;
           break;
       case eREPEAT:
           nodeMask = 0;
           break;
       case eWHILE:
           nodeMask = 0;
           break;
       case eWAIT:
           nodeMask = 0;
           break;
       case eFOR:
           nodeMask = 0;
           break;
       case eCASE:
           nodeMask = 0;
           break;
       case eCASEX:
           nodeMask = 0;
           break;
       case eCASEZ:
           nodeMask = 0;
           break;
       case eCASEITEM:
           nodeMask = 0;
           break;
       case eCASSIGN:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eARG:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eFUNCTION_DEF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eMODULE_DEF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eREPEAT_CONTROL:
           nodeMask = 0;
           break;
       case eDELAY_CONTROL:
           nodeMask = 0;
           break;
       case eEVENT_CONTROL:
           nodeMask = 0;
           break;
       case eEXTERNAL_REF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case ePORT_DEF:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eDEFPARAM:
           nodeMask = 0;
           break;
       case ePATH:
           nodeMask = 45;
           result ^= Arg<int>(0);
           result ^= Arg<int>(2);
           result ^= Arg<int>(3);
           result ^= Arg<int>(5);
           break;
       case ePATH_ASSIGN:
           nodeMask = 0;
           break;
       case eIFNONE_PATH_ASSIGN:
           nodeMask = 0;
           break;
       case eTRIGGER:
           nodeMask = 0;
           break;
       case ePASSIGN:
           nodeMask = 0;
           break;
       case eDEASSIGN:
           nodeMask = 0;
           break;
       case eDISABLE:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eATTRIBUTE:
           nodeMask = 1;
           result ^= Arg<unsigned long>(0);
           break;
       case eGIF:
           nodeMask = 0;
           break;
       case eGFOR:
           nodeMask = 0;
           break;
       case eGCASE:
           nodeMask = 0;
           break;
       case eTABLE:
           nodeMask = 0;
           break;
       case eTABLE_ENTRY:
           nodeMask = 0;
           break;
       case eTABLE_SYMBOL:
           nodeMask = 1;
           result ^= strlen(Arg<char*>(0));
           break;
       case ePORTLIST_END:
           nodeMask = 0;
           break;
       case eMACRO_EXPR:
           nodeMask = 1;
           result ^= strlen(Arg<char*>(0));
           break;
    }

    for( int i = 0; i < ArgCount(); i++ ) {
        if( !((nodeMask>>i)&1) ) result ^= Arg<CNode*>(i)->Hash();
    }
    return result;
}

/***********************************************
	Equivalent
	- returns TRUE if both trees are equivalent 
	Note: this currently will only match if
	      the trees are structurally the same.
	      It does not attempt rename and match
	      leaf declarations.
	      In the future this may be expanded
	      to match if the trees are functionally
	      equivalent.
************************************************/

int Equivalent( CNode* a, CNode* b ) 
{
    /*
     * handles NULL/NULL and trivial equivalence case
     */
    if( a == b ) {
    	return TRUE;
    }
    /*
     * reject if one is NULL but not the other
     */
    if( a == NULL || b == NULL ) {
    	return FALSE;
    }
    /*
     * reject if node types are different
     */
    if( a->GetOp() != b->GetOp() ) {
    	return FALSE;
    }

    int nodeMask = 0;
    switch( a->GetOp() ) {
       case eERROR:
           nodeMask = 0;
           break;
       case eVCONSTANT:
           nodeMask = 1;
           if( !(*a->Arg<CVector*>(0)==*b->Arg<CVector*>(0)) ) { return FALSE; }
           break;
       case eRCONSTANT:
           nodeMask = 1;
           if( !(!strcmp(a->Arg<char*>(0),b->Arg<char*>(0))) ) { return FALSE; }
           break;
       case eCOMMENT:
           nodeMask = 1;
           if( !(!strcmp(a->Arg<char*>(0),b->Arg<char*>(0))) ) { return FALSE; }
           break;
       case eVRQ:
           nodeMask = 1;
           if( !(!strcmp(a->Arg<char*>(0),b->Arg<char*>(0))) ) { return FALSE; }
           break;
       case ePRAGMA:
           nodeMask = 1;
           if( !(!strcmp(a->Arg<char*>(0),b->Arg<char*>(0))) ) { return FALSE; }
           break;
       case eELIST:
           nodeMask = 0;
           break;
       case eWIDTH:
           nodeMask = 0;
           break;
       case eNOP:
           nodeMask = 0;
           break;
       case eSUB:
           nodeMask = 0;
           break;
       case eMUL:
           nodeMask = 0;
           break;
       case eDIV:
           nodeMask = 0;
           break;
       case ePOW:
           nodeMask = 0;
           break;
       case eADD:
           nodeMask = 0;
           break;
       case eLSH:
           nodeMask = 0;
           break;
       case eRSH:
           nodeMask = 0;
           break;
       case eLSHA:
           nodeMask = 0;
           break;
       case eRSHA:
           nodeMask = 0;
           break;
       case eMOD:
           nodeMask = 0;
           break;
       case eOR:
           nodeMask = 0;
           break;
       case eAND:
           nodeMask = 0;
           break;
       case eANDANDAND:
           nodeMask = 0;
           break;
       case eXOR:
           nodeMask = 0;
           break;
       case eXNOR:
           nodeMask = 0;
           break;
       case eINSTANCE_REF:
           nodeMask = 1;
           if( !(a->Arg<CInstance*>(0)==b->Arg<CInstance*>(0)) ) { return FALSE; }
           break;
       case eGATE_REF:
           nodeMask = 1;
           if( !(a->Arg<CGate*>(0)==b->Arg<CGate*>(0)) ) { return FALSE; }
           break;
       case eTASK_ENABLE:
           nodeMask = 1;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           break;
       case eSYSTASK_CALL:
           nodeMask = 1;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           break;
       case eTIMING_CALL:
           nodeMask = 1;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           break;
       case eFUNCTION_CALL:
           nodeMask = 5;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           if( !(a->Arg<CScope*>(2)==b->Arg<CScope*>(2)) ) { return FALSE; }
           break;
       case eARRAY:
           nodeMask = 0;
           break;
       case eNET_REF:
           nodeMask = 1;
           if( !(a->Arg<CNet*>(0)==b->Arg<CNet*>(0)) ) { return FALSE; }
           break;
       case eREG_REF:
           nodeMask = 1;
           if( !(a->Arg<CReg*>(0)==b->Arg<CReg*>(0)) ) { return FALSE; }
           break;
       case eREAL_REF:
           nodeMask = 1;
           if( !(a->Arg<CReal*>(0)==b->Arg<CReal*>(0)) ) { return FALSE; }
           break;
       case ePARAM_REF:
           nodeMask = 1;
           if( !(a->Arg<CParam*>(0)==b->Arg<CParam*>(0)) ) { return FALSE; }
           break;
       case ePORT_REF:
           nodeMask = 1;
           if( !(a->Arg<CPortDir*>(0)==b->Arg<CPortDir*>(0)) ) { return FALSE; }
           break;
       case eFWD_REF:
           nodeMask = 1;
           if( !(a->Arg<CFref*>(0)==b->Arg<CFref*>(0)) ) { return FALSE; }
           break;
       case eEVENT_REF:
           nodeMask = 1;
           if( !(a->Arg<CEvent*>(0)==b->Arg<CEvent*>(0)) ) { return FALSE; }
           break;
       case eGENVAR_REF:
           nodeMask = 1;
           if( !(a->Arg<CGenvar*>(0)==b->Arg<CGenvar*>(0)) ) { return FALSE; }
           break;
       case eNET_DECL:
           nodeMask = 1;
           if( !(a->Arg<CNet*>(0)==b->Arg<CNet*>(0)) ) { return FALSE; }
           break;
       case eREG_DECL:
           nodeMask = 1;
           if( !(a->Arg<CReg*>(0)==b->Arg<CReg*>(0)) ) { return FALSE; }
           break;
       case eREAL_DECL:
           nodeMask = 1;
           if( !(a->Arg<CReal*>(0)==b->Arg<CReal*>(0)) ) { return FALSE; }
           break;
       case ePARAM_DECL:
           nodeMask = 1;
           if( !(a->Arg<CParam*>(0)==b->Arg<CParam*>(0)) ) { return FALSE; }
           break;
       case eSPECPARAM_DECL:
           nodeMask = 1;
           if( !(a->Arg<CParam*>(0)==b->Arg<CParam*>(0)) ) { return FALSE; }
           break;
       case ePORT_DECL:
           nodeMask = 1;
           if( !(a->Arg<CPortDir*>(0)==b->Arg<CPortDir*>(0)) ) { return FALSE; }
           break;
       case eEVENT_DECL:
           nodeMask = 1;
           if( !(a->Arg<CEvent*>(0)==b->Arg<CEvent*>(0)) ) { return FALSE; }
           break;
       case eGENVAR_DECL:
           nodeMask = 1;
           if( !(a->Arg<CGenvar*>(0)==b->Arg<CGenvar*>(0)) ) { return FALSE; }
           break;
       case eLIST:
           nodeMask = 0;
           break;
       case eRANGE:
           nodeMask = 0;
           break;
       case eSLICE:
           nodeMask = 0;
           break;
       case ePSLICE:
           nodeMask = 0;
           break;
       case eMSLICE:
           nodeMask = 0;
           break;
       case eCVRI:
           nodeMask = 0;
           break;
       case eCVIR:
           nodeMask = 0;
           break;
       case eREP:
           nodeMask = 0;
           break;
       case eCAT:
           nodeMask = 0;
           break;
       case eUCAT:
           nodeMask = 0;
           break;
       case eCOM:
           nodeMask = 0;
           break;
       case eNEG:
           nodeMask = 0;
           break;
       case eNOT:
           nodeMask = 0;
           break;
       case eGT:
           nodeMask = 0;
           break;
       case eGE:
           nodeMask = 0;
           break;
       case eLT:
           nodeMask = 0;
           break;
       case eLE:
           nodeMask = 0;
           break;
       case eLAND:
           nodeMask = 0;
           break;
       case eLOR:
           nodeMask = 0;
           break;
       case eCEQ:
           nodeMask = 0;
           break;
       case eCNE:
           nodeMask = 0;
           break;
       case eEQ:
           nodeMask = 0;
           break;
       case eNE:
           nodeMask = 0;
           break;
       case eRAND:
           nodeMask = 0;
           break;
       case eRNAND:
           nodeMask = 0;
           break;
       case eROR:
           nodeMask = 0;
           break;
       case eRNOR:
           nodeMask = 0;
           break;
       case eRXOR:
           nodeMask = 0;
           break;
       case eRXNOR:
           nodeMask = 0;
           break;
       case eHOOK:
           nodeMask = 0;
           break;
       case eINIT:
           nodeMask = 0;
           break;
       case eALWAYS:
           nodeMask = 0;
           break;
       case eEVENT:
           nodeMask = 0;
           break;
       case eBLOCK_REF:
           nodeMask = 1;
           if( !(a->Arg<CBlock*>(0)==b->Arg<CBlock*>(0)) ) { return FALSE; }
           break;
       case eSPECIFY_REF:
           nodeMask = 1;
           if( !(a->Arg<CSpecify*>(0)==b->Arg<CSpecify*>(0)) ) { return FALSE; }
           break;
       case eASSIGN:
           nodeMask = 0;
           break;
       case eFORCE:
           nodeMask = 0;
           break;
       case eRELEASE:
           nodeMask = 0;
           break;
       case eNBASSIGN:
           nodeMask = 0;
           break;
       case ePOSEDGE:
           nodeMask = 0;
           break;
       case eNEGEDGE:
           nodeMask = 0;
           break;
       case eEDGE:
           nodeMask = 2;
           if( !(a->Arg<Edge_t>(1)==b->Arg<Edge_t>(1)) ) { return FALSE; }
           break;
       case eEVOR:
           nodeMask = 0;
           break;
       case eDELAY:
           nodeMask = 0;
           break;
       case eMTM:
           nodeMask = 0;
           break;
       case eIF:
           nodeMask = 0;
           break;
       case eFOREVER:
           nodeMask = 0;
           break;
       case eREPEAT:
           nodeMask = 0;
           break;
       case eWHILE:
           nodeMask = 0;
           break;
       case eWAIT:
           nodeMask = 0;
           break;
       case eFOR:
           nodeMask = 0;
           break;
       case eCASE:
           nodeMask = 0;
           break;
       case eCASEX:
           nodeMask = 0;
           break;
       case eCASEZ:
           nodeMask = 0;
           break;
       case eCASEITEM:
           nodeMask = 0;
           break;
       case eCASSIGN:
           nodeMask = 1;
           if( !(a->Arg<StrengthPair_t*>(0)==b->Arg<StrengthPair_t*>(0)) ) { return FALSE; }
           break;
       case eARG:
           nodeMask = 1;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           break;
       case eFUNCTION_DEF:
           nodeMask = 1;
           if( !(a->Arg<CFunction*>(0)==b->Arg<CFunction*>(0)) ) { return FALSE; }
           break;
       case eMODULE_DEF:
           nodeMask = 1;
           if( !(a->Arg<CModule*>(0)==b->Arg<CModule*>(0)) ) { return FALSE; }
           break;
       case eREPEAT_CONTROL:
           nodeMask = 0;
           break;
       case eDELAY_CONTROL:
           nodeMask = 0;
           break;
       case eEVENT_CONTROL:
           nodeMask = 0;
           break;
       case eEXTERNAL_REF:
           nodeMask = 1;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           break;
       case ePORT_DEF:
           nodeMask = 1;
           if( !(a->Arg<CPort*>(0)==b->Arg<CPort*>(0)) ) { return FALSE; }
           break;
       case eDEFPARAM:
           nodeMask = 0;
           break;
       case ePATH:
           nodeMask = 45;
           if( !(a->Arg<int>(0)==b->Arg<int>(0)) ) { return FALSE; }
           if( !(a->Arg<int>(2)==b->Arg<int>(2)) ) { return FALSE; }
           if( !(a->Arg<int>(3)==b->Arg<int>(3)) ) { return FALSE; }
           if( !(a->Arg<int>(5)==b->Arg<int>(5)) ) { return FALSE; }
           break;
       case ePATH_ASSIGN:
           nodeMask = 0;
           break;
       case eIFNONE_PATH_ASSIGN:
           nodeMask = 0;
           break;
       case eTRIGGER:
           nodeMask = 0;
           break;
       case ePASSIGN:
           nodeMask = 0;
           break;
       case eDEASSIGN:
           nodeMask = 0;
           break;
       case eDISABLE:
           nodeMask = 1;
           if( !(a->Arg<CSymbol*>(0)==b->Arg<CSymbol*>(0)) ) { return FALSE; }
           break;
       case eATTRIBUTE:
           nodeMask = 1;
           if( !(a->Arg<CAttr*>(0)==b->Arg<CAttr*>(0)) ) { return FALSE; }
           break;
       case eGIF:
           nodeMask = 0;
           break;
       case eGFOR:
           nodeMask = 0;
           break;
       case eGCASE:
           nodeMask = 0;
           break;
       case eTABLE:
           nodeMask = 0;
           break;
       case eTABLE_ENTRY:
           nodeMask = 0;
           break;
       case eTABLE_SYMBOL:
           nodeMask = 1;
           if( !(!strcmp(a->Arg<char*>(0),b->Arg<char*>(0))) ) { return FALSE; }
           break;
       case ePORTLIST_END:
           nodeMask = 0;
           break;
       case eMACRO_EXPR:
           nodeMask = 1;
           if( !(!strcmp(a->Arg<char*>(0),b->Arg<char*>(0))) ) { return FALSE; }
           break;
    }

    for( int i = 0; i < a->ArgCount(); i++ ) {
        if( !((nodeMask>>i)&1) &&
            !Equivalent(a->Arg<CNode*>(i),b->Arg<CNode*>(i)) ) return FALSE;
    }
    return TRUE;
}

/*************************************************
 	IsEvaluateable
	- returns true if expression can be evaluated
**************************************************/

int	CNode::IsEvaluateable()
{

    switch( op ) {
    case eFUNCTION_CALL:
        return CFunction::Evaluateable(Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CBlock*>(2));;
    case ePARAM_REF:
        return Arg<CParam*>(0)->GetExpression()->IsEvaluateable();
    case eMACRO_EXPR:
        return Arg<CNode*>(1) ? Arg<CNode*>(1)->IsEvaluateable() : FALSE;
    case eVCONSTANT:
    case eRCONSTANT:
        return TRUE;
    case eWIDTH:
    case eSUB:
    case eMUL:
    case eDIV:
    case ePOW:
    case eADD:
    case eLSH:
    case eRSH:
    case eLSHA:
    case eRSHA:
    case eMOD:
    case eOR:
    case eAND:
    case eXOR:
    case eXNOR:
    case eCVRI:
    case eCVIR:
    case eREP:
    case eCAT:
    case eUCAT:
    case eCOM:
    case eNEG:
    case eNOT:
    case eGT:
    case eGE:
    case eLT:
    case eLE:
    case eLAND:
    case eLOR:
    case eCEQ:
    case eCNE:
    case eEQ:
    case eNE:
    case eRAND:
    case eRNAND:
    case eROR:
    case eRNOR:
    case eRXOR:
    case eRXNOR:
    case eHOOK:
        break;
    case eERROR:
    case eCOMMENT:
    case eVRQ:
    case ePRAGMA:
    case eELIST:
    case eNOP:
    case eANDANDAND:
    case eINSTANCE_REF:
    case eGATE_REF:
    case eTASK_ENABLE:
    case eSYSTASK_CALL:
    case eTIMING_CALL:
    case eARRAY:
    case eNET_REF:
    case eREG_REF:
    case eREAL_REF:
    case ePORT_REF:
    case eFWD_REF:
    case eEVENT_REF:
    case eGENVAR_REF:
    case eNET_DECL:
    case eREG_DECL:
    case eREAL_DECL:
    case ePARAM_DECL:
    case eSPECPARAM_DECL:
    case ePORT_DECL:
    case eEVENT_DECL:
    case eGENVAR_DECL:
    case eLIST:
    case eRANGE:
    case eSLICE:
    case ePSLICE:
    case eMSLICE:
    case eINIT:
    case eALWAYS:
    case eEVENT:
    case eBLOCK_REF:
    case eSPECIFY_REF:
    case eASSIGN:
    case eFORCE:
    case eRELEASE:
    case eNBASSIGN:
    case ePOSEDGE:
    case eNEGEDGE:
    case eEDGE:
    case eEVOR:
    case eDELAY:
    case eMTM:
    case eIF:
    case eFOREVER:
    case eREPEAT:
    case eWHILE:
    case eWAIT:
    case eFOR:
    case eCASE:
    case eCASEX:
    case eCASEZ:
    case eCASEITEM:
    case eCASSIGN:
    case eARG:
    case eFUNCTION_DEF:
    case eMODULE_DEF:
    case eREPEAT_CONTROL:
    case eDELAY_CONTROL:
    case eEVENT_CONTROL:
    case eEXTERNAL_REF:
    case ePORT_DEF:
    case eDEFPARAM:
    case ePATH:
    case ePATH_ASSIGN:
    case eIFNONE_PATH_ASSIGN:
    case eTRIGGER:
    case ePASSIGN:
    case eDEASSIGN:
    case eDISABLE:
    case eATTRIBUTE:
    case eGIF:
    case eGFOR:
    case eGCASE:
    case eTABLE:
    case eTABLE_ENTRY:
    case eTABLE_SYMBOL:
    case ePORTLIST_END:
        return FALSE;
    default:
 	MASSERT( FALSE );
    }

    for( int i = 0; i < ArgCount(); i++ ) {
        if( !Arg<CNode*>(i)->IsEvaluateable() ) return FALSE;
    }

    return TRUE;
}	

/*************************************************
 	_EvalVector
	- Helper function for EvalVector.
	  Evaluates constant vector expression tree.
	  Requires tree nodes to be labeled and 
	  augmented with conversion nodes.
**************************************************/


void	CNode::_EvalVector( CVector& v )
{
    switch( op ) {
    case eVCONSTANT:
        { int width = v.GetWidth(); v.SetWidth(Arg<CVector*>(0)->GetWidth()); v = *Arg<CVector*>(0); v.SetWidth(width); };    
        break;
    case eWIDTH:
        {CVector vi(Arg<CNode*>(1)->width); vi.Signed(Arg<CNode*>(1)->type==eS);v.Signed(type==eS); Arg<CNode*>(1)->_EvalVector(vi); vi.SetWidth(width);vi.Signed(type==eS); v = vi;};    
        break;
    case eSUB:
        EVAL_VECTOR_BINARY(Sub);    
        break;
    case eMUL:
        EVAL_VECTOR_BINARY(Mul);    
        break;
    case eDIV:
        EVAL_VECTOR_BINARY(Div);    
        break;
    case ePOW:
        EVAL_VECTOR_BINARY(Pow);    
        break;
    case eADD:
        EVAL_VECTOR_BINARY(Add);    
        break;
    case eLSH:
        EVAL_VECTOR_BINARY_SELF_RIGHT(Lsh);    
        break;
    case eRSH:
        EVAL_VECTOR_BINARY_SELF_RIGHT(Rsh);    
        break;
    case eLSHA:
        EVAL_VECTOR_BINARY_SELF_RIGHT(Lsha);    
        break;
    case eRSHA:
        EVAL_VECTOR_BINARY_SELF_RIGHT(Rsha);    
        break;
    case eMOD:
        EVAL_VECTOR_BINARY(Mod);    
        break;
    case eOR:
        EVAL_VECTOR_BINARY(Or);    
        break;
    case eAND:
        EVAL_VECTOR_BINARY(And);    
        break;
    case eXOR:
        EVAL_VECTOR_BINARY(Xor);    
        break;
    case eXNOR:
        EVAL_VECTOR_BINARY(Xnor);    
        break;
    case eFUNCTION_CALL:
        CFunction::EvalVector(v,Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CBlock*>(2));;    
        break;
    case ePARAM_REF:
        EVAL_VECTOR_PARAM_REF();    
        break;
    case eCVRI:
        v.LoadReal( Arg<CNode*>(0)->_EvalReal() );    
        break;
    case eREP:
        EVAL_VECTOR_BINARY(Rep);    
        break;
    case eCAT:
        EVAL_VECTOR_BINARY(Cat);    
        break;
    case eUCAT:
        { CVector vv(Arg<CNode*>(0)->width); Arg<CNode*>(0)->_EvalVector(vv); v = vv;};    
        break;
    case eCOM:
        EVAL_VECTOR_UNARY(Com);    
        break;
    case eNEG:
        EVAL_VECTOR_UNARY(Neg);    
        break;
    case eNOT:
        EVAL_VECTOR_UNARY(Not);    
        break;
    case eGT:
        EVAL_RELATIONAL(Gt);    
        break;
    case eGE:
        EVAL_RELATIONAL(Ge);    
        break;
    case eLT:
        EVAL_RELATIONAL(Lt);    
        break;
    case eLE:
        EVAL_RELATIONAL(Le);    
        break;
    case eLAND:
        EVAL_VECTOR_BINARY(Land);    
        break;
    case eLOR:
        EVAL_VECTOR_BINARY(Lor);    
        break;
    case eCEQ:
        EVAL_RELATIONAL(Ceq);    
        break;
    case eCNE:
        EVAL_RELATIONAL(Cne);    
        break;
    case eEQ:
        EVAL_RELATIONAL(Eq);    
        break;
    case eNE:
        EVAL_RELATIONAL(Ne);    
        break;
    case eRAND:
        EVAL_VECTOR_UNARY_SELF(Rand);    
        break;
    case eRNAND:
        EVAL_VECTOR_UNARY_SELF(Rnand);    
        break;
    case eROR:
        EVAL_VECTOR_UNARY_SELF(Ror);    
        break;
    case eRNOR:
        EVAL_VECTOR_UNARY_SELF(Rnor);    
        break;
    case eRXOR:
        EVAL_VECTOR_UNARY_SELF(Rxor);    
        break;
    case eRXNOR:
        EVAL_VECTOR_UNARY_SELF(Rxnor);    
        break;
    case eHOOK:
        EVAL_VECTOR_HOOK();    
        break;
    case eMACRO_EXPR:
        Arg<CNode*>(1)->EvalVector(v);    
        break;
    default:
 	MASSERT( FALSE );
    }
}


/*************************************************
 	_EvalReal
	- Helper function for EvalReal.
	  Evaluates constant real expression tree.
	  Requires tree nodes to be labeled and 
	  augmented with conversion nodes.
**************************************************/

double	CNode::_EvalReal()
{
    double d;
    switch( op ) {
    case eRCONSTANT:
        d = s2d(Arg<char*>(0));    
        break;
    case eSUB:
        EVAL_REAL_BINARY(Sub);    
        break;
    case eMUL:
        EVAL_REAL_BINARY(Mul);    
        break;
    case eDIV:
        EVAL_REAL_BINARY(Div);    
        break;
    case ePOW:
        EVAL_REAL_BINARY(Pow);    
        break;
    case eADD:
        EVAL_REAL_BINARY(Add);    
        break;
    case eFUNCTION_CALL:
        d = CFunction::EvalReal(Arg<CSymbol*>(0),Arg<CNode*>(1),Arg<CBlock*>(2));;    
        break;
    case ePARAM_REF:
        EVAL_REAL_PARAM_REF();    
        break;
    case eCVIR:
         { CVector v(Arg<CNode*>(0)->width); v.Signed(Arg<CNode*>(0)->type == eS); Arg<CNode*>(0)->_EvalVector(v); d = v.GetReal(); };    
        break;
    case eNEG:
        EVAL_REAL_UNARY(Neg);    
        break;
    case eHOOK:
        EVAL_REAL_HOOK();    
        break;
    case eMACRO_EXPR:
        d = Arg<CNode*>(1)->EvalReal();    
        break;
    default:
 	MASSERT( FALSE );
    }
    return d;
}
/************************************************
 	ConditionalWiden
	- return non-zero if op conditionally
	  widens operands
**************************************************/
int CNode::ConditionalWiden()
{
    switch( GetOp() ) {
       case eVCONSTANT:
           return 0;
       case eRCONSTANT:
           return 0;
       case eELIST:
           return 0;
       case eWIDTH:
           return 0;
       case eSUB:
           return 0;
       case eMUL:
           return 0;
       case eDIV:
           return 0;
       case ePOW:
           return 0;
       case eADD:
           return 0;
       case eLSH:
           return 0;
       case eRSH:
           return 0;
       case eLSHA:
           return 0;
       case eRSHA:
           return 0;
       case eMOD:
           return 0;
       case eOR:
           return 1;
       case eAND:
           return 1;
       case eANDANDAND:
           return 0;
       case eXOR:
           return 1;
       case eXNOR:
           return 1;
       case eSYSTASK_CALL:
           return 0;
       case eFUNCTION_CALL:
           return 0;
       case eARRAY:
           return 0;
       case eNET_REF:
           return 0;
       case eREG_REF:
           return 0;
       case eREAL_REF:
           return 0;
       case ePARAM_REF:
           return 0;
       case ePORT_REF:
           return 0;
       case eFWD_REF:
           return 0;
       case eGENVAR_REF:
           return 0;
       case eRANGE:
           return 0;
       case eSLICE:
           return 0;
       case ePSLICE:
           return 0;
       case eMSLICE:
           return 0;
       case eCVRI:
           return 0;
       case eCVIR:
           return 0;
       case eREP:
           return 0;
       case eCAT:
           return 0;
       case eUCAT:
           return 0;
       case eCOM:
           return 0;
       case eNEG:
           return 0;
       case eNOT:
           return 0;
       case eGT:
           return 0;
       case eGE:
           return 0;
       case eLT:
           return 0;
       case eLE:
           return 0;
       case eLAND:
           return 0;
       case eLOR:
           return 0;
       case eCEQ:
           return 0;
       case eCNE:
           return 0;
       case eEQ:
           return 0;
       case eNE:
           return 0;
       case eRAND:
           return 0;
       case eRNAND:
           return 0;
       case eROR:
           return 0;
       case eRNOR:
           return 0;
       case eRXOR:
           return 0;
       case eRXNOR:
           return 0;
       case eHOOK:
           return 0;
       case eMTM:
           return 0;
       case eEXTERNAL_REF:
           return 0;
       case eMACRO_EXPR:
           return 0;
    default:
	MASSERT( FALSE );
    }
    return 0;
}

/************************************************
 	NodeMask
	- return a bit vector with 1's where the
	  type is CNode*
**************************************************/
unsigned CNode::NodeMask()
{
    switch( GetOp() ) {
       case eVCONSTANT:
           return 0;
       case eRCONSTANT:
           return 0;
       case eELIST:
           return 3;
       case eWIDTH:
           return 3;
       case eSUB:
           return 3;
       case eMUL:
           return 3;
       case eDIV:
           return 3;
       case ePOW:
           return 3;
       case eADD:
           return 3;
       case eLSH:
           return 3;
       case eRSH:
           return 3;
       case eLSHA:
           return 3;
       case eRSHA:
           return 3;
       case eMOD:
           return 3;
       case eOR:
           return 3;
       case eAND:
           return 3;
       case eANDANDAND:
           return 3;
       case eXOR:
           return 3;
       case eXNOR:
           return 3;
       case eSYSTASK_CALL:
           return 2;
       case eFUNCTION_CALL:
           return 2;
       case eARRAY:
           return 3;
       case eNET_REF:
           return 0;
       case eREG_REF:
           return 0;
       case eREAL_REF:
           return 0;
       case ePARAM_REF:
           return 0;
       case ePORT_REF:
           return 0;
       case eFWD_REF:
           return 0;
       case eGENVAR_REF:
           return 0;
       case eRANGE:
           return 3;
       case eSLICE:
           return 3;
       case ePSLICE:
           return 3;
       case eMSLICE:
           return 3;
       case eCVRI:
           return 1;
       case eCVIR:
           return 1;
       case eREP:
           return 3;
       case eCAT:
           return 3;
       case eUCAT:
           return 1;
       case eCOM:
           return 1;
       case eNEG:
           return 1;
       case eNOT:
           return 1;
       case eGT:
           return 3;
       case eGE:
           return 3;
       case eLT:
           return 3;
       case eLE:
           return 3;
       case eLAND:
           return 3;
       case eLOR:
           return 3;
       case eCEQ:
           return 3;
       case eCNE:
           return 3;
       case eEQ:
           return 3;
       case eNE:
           return 3;
       case eRAND:
           return 1;
       case eRNAND:
           return 1;
       case eROR:
           return 1;
       case eRNOR:
           return 1;
       case eRXOR:
           return 1;
       case eRXNOR:
           return 1;
       case eHOOK:
           return 7;
       case eMTM:
           return 7;
       case eEXTERNAL_REF:
           return 0;
       case eMACRO_EXPR:
           return 2;
    default:
	MASSERT( FALSE );
    }
    return 0;
}

/************************************************
 	WidthFixed	
	- return non-zero if op has fixed 
	  self determined width 
**************************************************/
int CNode::WidthFixed()
{
    switch( GetOp() ) {
       case eVCONSTANT:
        return NodeMask()==0;
       case eRCONSTANT:
        return 1;
       case eELIST:
        return NodeMask()==0;
       case eWIDTH:
        return NodeMask()==0;
       case eSUB:
        return NodeMask()==0;
       case eMUL:
        return NodeMask()==0;
       case eDIV:
        return NodeMask()==0;
       case ePOW:
        return NodeMask()==0;
       case eADD:
        return NodeMask()==0;
       case eLSH:
        return NodeMask()==0;
       case eRSH:
        return NodeMask()==0;
       case eLSHA:
        return NodeMask()==0;
       case eRSHA:
        return NodeMask()==0;
       case eMOD:
        return NodeMask()==0;
       case eOR:
        return NodeMask()==0;
       case eAND:
        return NodeMask()==0;
       case eANDANDAND:
        return NodeMask()==0;
       case eXOR:
        return NodeMask()==0;
       case eXNOR:
        return NodeMask()==0;
       case eSYSTASK_CALL:
        return NodeMask()==0;
       case eFUNCTION_CALL:
        return NodeMask()==0;
       case eARRAY:
        return NodeMask()==0;
       case eNET_REF:
        return NodeMask()==0;
       case eREG_REF:
        return NodeMask()==0;
       case eREAL_REF:
        return NodeMask()==0;
       case ePARAM_REF:
        return NodeMask()==0;
       case ePORT_REF:
        return NodeMask()==0;
       case eFWD_REF:
        return NodeMask()==0;
       case eGENVAR_REF:
        return NodeMask()==0;
       case eRANGE:
        return NodeMask()==0;
       case eSLICE:
        return NodeMask()==0;
       case ePSLICE:
        return NodeMask()==0;
       case eMSLICE:
        return NodeMask()==0;
       case eCVRI:
        return 1;
       case eCVIR:
        return 1;
       case eREP:
        return NodeMask()==0;
       case eCAT:
        return NodeMask()==0;
       case eUCAT:
        return NodeMask()==0;
       case eCOM:
        return NodeMask()==0;
       case eNEG:
        return NodeMask()==0;
       case eNOT:
        return 1;
       case eGT:
        return 1;
       case eGE:
        return 1;
       case eLT:
        return 1;
       case eLE:
        return 1;
       case eLAND:
        return 1;
       case eLOR:
        return 1;
       case eCEQ:
        return 1;
       case eCNE:
        return 1;
       case eEQ:
        return 1;
       case eNE:
        return 1;
       case eRAND:
        return 1;
       case eRNAND:
        return 1;
       case eROR:
        return 1;
       case eRNOR:
        return 1;
       case eRXOR:
        return 1;
       case eRXNOR:
        return 1;
       case eHOOK:
        return NodeMask()==0;
       case eMTM:
        return NodeMask()==0;
       case eEXTERNAL_REF:
        return NodeMask()==0;
       case eMACRO_EXPR:
        return NodeMask()==0;
    default:
	MASSERT( FALSE );
    }
    return 0;
}

/************************************************
 	_LabelBits
	- labels type and width fields bottom up
**************************************************/
struct LabelBitsInfo {
    int suppressErrorMessages;
    int error;
};

void CNode::_LabelBits( CNode* n, void* arg )
{
    /*
     * If label caching is enabled, don't remark nodes
     * already visited. Also disable caching when the 
     * the eval stack is in use and the node was allocated from
     * it as its pointers are temporary and will be recycled.
     */
    if( labelCacheEnabled && (evalCount == 0 || !evalHeap.IsOwner(n)) ) {
	if( labelCache.find(n) != labelCache.end() ) {
	    return;
	}
        labelCache[n] = 1;
    }


    LabelBitsInfo* info = (LabelBitsInfo*)arg;
    int suppressErrorMessages = info->suppressErrorMessages;
    unsigned nodeMask = n->NodeMask();
    int conditionalWiden = n->ConditionalWiden();

    switch( n->GetOp() ) {
       case eVCONSTANT:
           n->type = n->Arg<CVector*>(0)->GetNodeType();
           break;
       case eRCONSTANT:
           if(1) {
               n->type = eR;
           }
           break;
       case eELIST:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eWIDTH:
           if( n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eSUB:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eMUL:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eDIV:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case ePOW:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eADD:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eLSH:
           if( n->Arg<CNode*>(0)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eRSH:
           if( n->Arg<CNode*>(0)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eLSHA:
           if( n->Arg<CNode*>(0)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eRSHA:
           if( n->Arg<CNode*>(0)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eMOD:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eOR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eAND:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eANDANDAND:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eXOR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eXNOR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eSYSTASK_CALL:
            n->type = Systask::Type(n->Arg<CSymbol*>(0),n->Arg<CNode*>(1));
           break;
       case eFUNCTION_CALL:
            n->type = CFunction::Type(n->Arg<CSymbol*>(0),n->Arg<CNode*>(1),n->Arg<CScope*>(2));
           break;
       case eARRAY:
            n->type = Array::Type(n->Arg<CNode*>(0),n->Arg<CNode*>(1));
           break;
       case eNET_REF:
           n->type = n->Arg<CNet*>(0)->GetNodeType();
           break;
       case eREG_REF:
           n->type = n->Arg<CReg*>(0)->GetNodeType();
           break;
       case eREAL_REF:
           if(1) {
               n->type = eR;
           }
           break;
       case ePARAM_REF:
           n->type = n->Arg<CParam*>(0)->GetNodeType();
           break;
       case ePORT_REF:
           n->type = n->Arg<CPortDir*>(0)->GetNodeType();
           break;
       case eFWD_REF:
           if(1) {
               n->type = eB;
           }
           break;
       case eGENVAR_REF:
           n->type = n->Arg<CGenvar*>(0)->GetNodeType();
           break;
       case eRANGE:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eSLICE:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case ePSLICE:
           if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eMSLICE:
           if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eCVRI:
           if(1) {
               n->type = eS;
           }
           break;
       case eCVIR:
           if(1) {
               n->type = eR;
           }
           break;
       case eREP:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eCAT:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eUCAT:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eCOM:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(0)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eNEG:
           n->type = n->Arg<CNode*>(0)->type;
           break;
       case eNOT:
           if(1) {
               n->type = eB;
           }
           break;
       case eGT:
           if(1) {
               n->type = eB;
           }
           break;
       case eGE:
           if(1) {
               n->type = eB;
           }
           break;
       case eLT:
           if(1) {
               n->type = eB;
           }
           break;
       case eLE:
           if(1) {
               n->type = eB;
           }
           break;
       case eLAND:
           if(1) {
               n->type = eB;
           }
           break;
       case eLOR:
           if(1) {
               n->type = eB;
           }
           break;
       case eCEQ:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eCNE:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eEQ:
           if(1) {
               n->type = eB;
           }
           break;
       case eNE:
           if(1) {
               n->type = eB;
           }
           break;
       case eRAND:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eRNAND:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eROR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eRNOR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eRXOR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eRXNOR:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               info->error = 1;
               if( !suppressErrorMessages ) {
                   error(n->GetCoord(), "Illegal expression operand" );
               }
           } else if(1) {
               n->type = eB;
           }
           break;
       case eHOOK:
           if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(2)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eS  && n->Arg<CNode*>(2)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eMTM:
           if( n->Arg<CNode*>(0)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(1)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(2)->type == eR  ) {
               n->type = eR;
           } else if( n->Arg<CNode*>(0)->type == eS  && n->Arg<CNode*>(1)->type == eS  && n->Arg<CNode*>(2)->type == eS  ) {
               n->type = eS;
           } else if(1) {
               n->type = eB;
           }
           break;
       case eEXTERNAL_REF:
            n->type = External::Type(n->Arg<CSymbol*>(0));
           break;
       case eMACRO_EXPR:
           n->type = n->Arg<CNode*>(1)->type;
           break;
    default:
 	MASSERT( FALSE );
    }

    /*
     * enforce width conventions for fixed width types
     */
    switch( n->type ) {
    case eE:
    case eR:
	n->width = 0;
	return;
    }

    /*
     * set node width
     */
    switch( n->GetOp() ) {
    case eERROR:
        n->width = 0;
	break;
    case eVCONSTANT:
        n->width = (!n->Arg<CVector*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CVector*>(0)->GetWidth();
	break;
    case eRCONSTANT:
        n->width = 0;
	break;
    case eELIST:
        n->width = _ADD(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eWIDTH:
        n->width = ((info->error |= !n->Arg<CNode*>(0)->IsEvaluateable())&&suppressErrorMessages) ? 0 : n->Arg<CNode*>(0)->EvalINT32();
	break;
    case eSUB:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eMUL:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eDIV:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case ePOW:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eADD:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eLSH:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eRSH:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eLSHA:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eRSHA:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eMOD:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eOR:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eAND:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eANDANDAND:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eXOR:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eXNOR:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eSYSTASK_CALL:
        n->width = Systask::Width(n->Arg<CSymbol*>(0),n->Arg<CNode*>(1));
	break;
    case eFUNCTION_CALL:
        n->width = CFunction::Width(n->Arg<CSymbol*>(0),n->Arg<CNode*>(1),n->Arg<CScope*>(2));
	break;
    case eARRAY:
        n->width = Array::Width(n->Arg<CNode*>(0),n->Arg<CNode*>(1));
	break;
    case eNET_REF:
        n->width = (!n->Arg<CNet*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CNet*>(0)->GetWidth();
	break;
    case eREG_REF:
        n->width = (!n->Arg<CReg*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CReg*>(0)->GetWidth();
	break;
    case eREAL_REF:
        n->width = (!n->Arg<CReal*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CReal*>(0)->GetWidth();
	break;
    case ePARAM_REF:
        n->width = (!n->Arg<CParam*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CParam*>(0)->GetWidth();
	break;
    case ePORT_REF:
        n->width = (!n->Arg<CPortDir*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CPortDir*>(0)->GetWidth();
	break;
    case eFWD_REF:
        n->width = (!n->Arg<CFref*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CFref*>(0)->GetWidth();
	break;
    case eGENVAR_REF:
        n->width = (!n->Arg<CGenvar*>(0)->IsWidthEvaluateable()&&suppressErrorMessages) ? 0 : n->Arg<CGenvar*>(0)->GetWidth();
	break;
    case eRANGE:
        n->width = _ABSDIFFPLUS1(((info->error |= !n->Arg<CNode*>(0)->IsEvaluateable())&&suppressErrorMessages) ? 0: n->Arg<CNode*>(0)->EvalINT32(),((info->error |= !n->Arg<CNode*>(1)->IsEvaluateable())&&suppressErrorMessages) ? 0: n->Arg<CNode*>(1)->EvalINT32());
	break;
    case eSLICE:
        n->width = _ABSDIFFPLUS1(((info->error |= !n->Arg<CNode*>(0)->IsEvaluateable())&&suppressErrorMessages) ? 0: n->Arg<CNode*>(0)->EvalINT32(),((info->error |= !n->Arg<CNode*>(1)->IsEvaluateable())&&suppressErrorMessages) ? 0: n->Arg<CNode*>(1)->EvalINT32());
	break;
    case ePSLICE:
        n->width = ((info->error |= !n->Arg<CNode*>(1)->IsEvaluateable())&&suppressErrorMessages) ? 0 : n->Arg<CNode*>(1)->EvalINT32();
	break;
    case eMSLICE:
        n->width = ((info->error |= !n->Arg<CNode*>(1)->IsEvaluateable())&&suppressErrorMessages) ? 0 : n->Arg<CNode*>(1)->EvalINT32();
	break;
    case eCVRI:
        n->width = 32;
	break;
    case eCVIR:
        n->width = 0;
	break;
    case eREP:
        n->width = _MUL(((info->error |= !n->Arg<CNode*>(0)->IsEvaluateable())&&suppressErrorMessages) ? 0: n->Arg<CNode*>(0)->EvalINT32(),n->Arg<CNode*>(1)->width);
	break;
    case eCAT:
        n->width = _ADD(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width);
	break;
    case eUCAT:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eCOM:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eNEG:
        n->width = n->Arg<CNode*>(0)->width;
	break;
    case eNOT:
        n->width = 1;
	break;
    case eGT:
        n->width = 1;
	break;
    case eGE:
        n->width = 1;
	break;
    case eLT:
        n->width = 1;
	break;
    case eLE:
        n->width = 1;
	break;
    case eLAND:
        n->width = 1;
	break;
    case eLOR:
        n->width = 1;
	break;
    case eCEQ:
        n->width = 1;
	break;
    case eCNE:
        n->width = 1;
	break;
    case eEQ:
        n->width = 1;
	break;
    case eNE:
        n->width = 1;
	break;
    case eRAND:
        n->width = 1;
	break;
    case eRNAND:
        n->width = 1;
	break;
    case eROR:
        n->width = 1;
	break;
    case eRNOR:
        n->width = 1;
	break;
    case eRXOR:
        n->width = 1;
	break;
    case eRXNOR:
        n->width = 1;
	break;
    case eHOOK:
        n->width = _MAX(n->Arg<CNode*>(1)->width,n->Arg<CNode*>(2)->width);
	break;
    case eMTM:
        n->width = _MAX(n->Arg<CNode*>(0)->width,n->Arg<CNode*>(1)->width,n->Arg<CNode*>(2)->width);
	break;
    case eEXTERNAL_REF:
        n->width = External::Width(n->Arg<CSymbol*>(0));
	break;
    case eMACRO_EXPR:
        n->width = n->Arg<CNode*>(1)->width;
	break;
    }

    /*
     * deterimine if operands have differing width
     */
    n->FixedWidth(1);
    int operandWidth = -1;
    for( int i = 0; i < n->ArgCount(); i++ ) {
        if( ((nodeMask>>i)&1) && n->Arg<CNode*>(i) )  {
	    int widthFixed = n->Arg<CNode*>(i)->WidthFixed() || 
			     n->Arg<CNode*>(i)->FixedWidth();

	    if( n->ConditionalWiden() && !widthFixed ) {
		n->FixedWidth( 0 );
		break;
	    } else if( !widthFixed ) {
		n->FixedWidth( 0 );
		break;
	    } else {
	        int w = n->Arg<CNode*>(i)->width;
	        if( operandWidth != w ) {
		    if( operandWidth >= 0 ) {
	                n->FixedWidth( 0 );
			break;
		    }
	            operandWidth = w;
	        }
	    }
	}
    }
    if( !conditionalWiden && nodeMask != 0 ) {
	n->FixedWidth( 0 );
    }
}

/************************************************
 	FixBits
	- relabels node width based on destination 
	  width and type. Add type conversions
	  and check argument types. Assumes
	  LabelBits has already been called and
	  no illegal operand types are present.
**************************************************/

CNode*	CNode::FixBits( INT32 newWidth, NodeType_t newType )
{

    int	     calculateMax = 0;
    int	     realOp = 0;
    int	     conditionalWiden = ConditionalWiden();
    unsigned nodeMask = NodeMask();
    unsigned scalarMask = 0;
    unsigned selfDeterminedMask = 0;
    switch( GetOp() ) {
    case eERROR:
        realOp = 0;
	break;
    case eVCONSTANT:
        realOp = 0;
	break;
    case eRCONSTANT:
        realOp = 0;
	break;
    case eCOMMENT:
        realOp = 0;
	break;
    case eVRQ:
        realOp = 0;
	break;
    case ePRAGMA:
        realOp = 0;
	break;
    case eELIST:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eWIDTH:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eNOP:
        realOp = 0;
	break;
    case eSUB:
        realOp = 1;
	break;
    case eMUL:
        realOp = 1;
	break;
    case eDIV:
        realOp = 1;
	break;
    case ePOW:
        realOp = 1;
        selfDeterminedMask = 1<<1;
	break;
    case eADD:
        realOp = 1;
	break;
    case eLSH:
        realOp = 0;
        selfDeterminedMask = 1<<1;
	break;
    case eRSH:
        realOp = 0;
        selfDeterminedMask = 1<<1;
	break;
    case eLSHA:
        realOp = 0;
        selfDeterminedMask = 1<<1;
	break;
    case eRSHA:
        realOp = 0;
        selfDeterminedMask = 1<<1;
	break;
    case eMOD:
        realOp = 0;
	break;
    case eOR:
        realOp = 0;
	break;
    case eAND:
        realOp = 0;
	break;
    case eANDANDAND:
        realOp = 0;
	break;
    case eXOR:
        realOp = 0;
	break;
    case eXNOR:
        realOp = 0;
	break;
    case eINSTANCE_REF:
        realOp = 0;
	break;
    case eGATE_REF:
        realOp = 0;
	break;
    case eTASK_ENABLE:
        realOp = 0;
	break;
    case eSYSTASK_CALL:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eTIMING_CALL:
        realOp = 0;
	break;
    case eFUNCTION_CALL:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eARRAY:
        realOp = 0;
        selfDeterminedMask = 1<<1;
	break;
    case eNET_REF:
        realOp = 0;
	break;
    case eREG_REF:
        realOp = 0;
	break;
    case eREAL_REF:
        realOp = 0;
	break;
    case ePARAM_REF:
        realOp = 0;
	break;
    case ePORT_REF:
        realOp = 0;
	break;
    case eFWD_REF:
        realOp = 0;
	break;
    case eEVENT_REF:
        realOp = 0;
	break;
    case eGENVAR_REF:
        realOp = 0;
	break;
    case eNET_DECL:
        realOp = 0;
	break;
    case eREG_DECL:
        realOp = 0;
	break;
    case eREAL_DECL:
        realOp = 0;
	break;
    case ePARAM_DECL:
        realOp = 0;
	break;
    case eSPECPARAM_DECL:
        realOp = 0;
	break;
    case ePORT_DECL:
        realOp = 0;
	break;
    case eEVENT_DECL:
        realOp = 0;
	break;
    case eGENVAR_DECL:
        realOp = 0;
	break;
    case eLIST:
        realOp = 0;
	break;
    case eRANGE:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eSLICE:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case ePSLICE:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eMSLICE:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eCVRI:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eCVIR:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eREP:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eCAT:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eUCAT:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eCOM:
        realOp = 0;
	break;
    case eNEG:
        realOp = 0;
	break;
    case eNOT:
        realOp = 0;
        scalarMask = 1;
	break;
    case eGT:
        realOp = 0;
        calculateMax = 1;
	break;
    case eGE:
        realOp = 0;
        calculateMax = 1;
	break;
    case eLT:
        realOp = 0;
        calculateMax = 1;
	break;
    case eLE:
        realOp = 0;
        calculateMax = 1;
	break;
    case eLAND:
        realOp = 0;
        scalarMask = 3;
	break;
    case eLOR:
        realOp = 0;
        scalarMask = 3;
	break;
    case eCEQ:
        realOp = 0;
        calculateMax = 1;
	break;
    case eCNE:
        realOp = 0;
        calculateMax = 1;
	break;
    case eEQ:
        realOp = 0;
        calculateMax = 1;
	break;
    case eNE:
        realOp = 0;
        calculateMax = 1;
	break;
    case eRAND:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eRNAND:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eROR:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eRNOR:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eRXOR:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eRXNOR:
        realOp = 0;
        selfDeterminedMask = nodeMask;
	break;
    case eHOOK:
        realOp = 1;
        scalarMask = 1;
	break;
    case eINIT:
        realOp = 0;
	break;
    case eALWAYS:
        realOp = 0;
	break;
    case eEVENT:
        realOp = 0;
	break;
    case eBLOCK_REF:
        realOp = 0;
	break;
    case eSPECIFY_REF:
        realOp = 0;
	break;
    case eASSIGN:
        realOp = 0;
	break;
    case eFORCE:
        realOp = 0;
	break;
    case eRELEASE:
        realOp = 0;
	break;
    case eNBASSIGN:
        realOp = 0;
	break;
    case ePOSEDGE:
        realOp = 0;
	break;
    case eNEGEDGE:
        realOp = 0;
	break;
    case eEDGE:
        realOp = 0;
	break;
    case eEVOR:
        realOp = 0;
	break;
    case eDELAY:
        realOp = 0;
	break;
    case eMTM:
        realOp = 1;
	break;
    case eIF:
        realOp = 0;
	break;
    case eFOREVER:
        realOp = 0;
	break;
    case eREPEAT:
        realOp = 0;
	break;
    case eWHILE:
        realOp = 0;
	break;
    case eWAIT:
        realOp = 0;
	break;
    case eFOR:
        realOp = 0;
	break;
    case eCASE:
        realOp = 0;
	break;
    case eCASEX:
        realOp = 0;
	break;
    case eCASEZ:
        realOp = 0;
	break;
    case eCASEITEM:
        realOp = 0;
	break;
    case eCASSIGN:
        realOp = 0;
	break;
    case eARG:
        realOp = 0;
	break;
    case eFUNCTION_DEF:
        realOp = 0;
	break;
    case eMODULE_DEF:
        realOp = 0;
	break;
    case eREPEAT_CONTROL:
        realOp = 0;
	break;
    case eDELAY_CONTROL:
        realOp = 0;
	break;
    case eEVENT_CONTROL:
        realOp = 0;
	break;
    case eEXTERNAL_REF:
        realOp = 0;
	break;
    case ePORT_DEF:
        realOp = 0;
	break;
    case eDEFPARAM:
        realOp = 0;
	break;
    case ePATH:
        realOp = 0;
	break;
    case ePATH_ASSIGN:
        realOp = 0;
	break;
    case eIFNONE_PATH_ASSIGN:
        realOp = 0;
	break;
    case eTRIGGER:
        realOp = 0;
	break;
    case ePASSIGN:
        realOp = 0;
	break;
    case eDEASSIGN:
        realOp = 0;
	break;
    case eDISABLE:
        realOp = 0;
	break;
    case eATTRIBUTE:
        realOp = 0;
	break;
    case eGIF:
        realOp = 0;
	break;
    case eGFOR:
        realOp = 0;
	break;
    case eGCASE:
        realOp = 0;
	break;
    case eTABLE:
        realOp = 0;
	break;
    case eTABLE_ENTRY:
        realOp = 0;
	break;
    case eTABLE_SYMBOL:
        realOp = 0;
	break;
    case ePORTLIST_END:
        realOp = 0;
	break;
    case eMACRO_EXPR:
        realOp = 0;
	break;
    default:
	MASSERT( FALSE );
    }
    /*
     * find location of all real args
     */
    unsigned realMask = 0;
    unsigned forceRealMask = 0;
    int	     widthsDiffer = 0;
    int	     originalWidth = width;
    for( int i = 0; i < ArgCount(); i++ ) {
        if( ((nodeMask>>i)&1) && Arg<CNode*>(i)->type == eR )  {
	    realMask |= 1<<i;
	}
	if( ((nodeMask>>i)&1) && 
	    Arg<CNode*>(i)->type != eR &&
	    (Arg<CNode*>(i)->GetOp() != eVCONSTANT || 
	     Arg<CNode*>(i)->width != width) ) {
	    widthsDiffer = 1;
	}
    }

    /*
     * if new type is undetermined, use current type and width
     */
    if( newType == eU && newWidth == 0 ) {
	newType  = type;
	newWidth = width;
    /*
     * increase expression width if new width is larger
     * and a vector
     */
    } else if( (newType == eB || newType == eS || newType == eU) &&
	(type == eB || type == eS)  ) {
	if( newWidth > width ) {
	    width = newWidth;
	}
	if( newType == eU ) {
	    newType = type;
	}
     }
	
    MASSERT( newType != eR || newWidth == 0 );
    MASSERT( newType != eE || newWidth == 0 );


    /*
     * non-real operands are self determined when mixed with real
     */
    if( realMask ) {
        forceRealMask = (~realMask & nodeMask);
    }

    /*
     * special case for bit operations
     * Only widen if operand widths differ
     */
    int convertWidth = conditionalWiden && FixedWidth();
    if( convertWidth ) {
	width = originalWidth;	
    }
    if( newType == eB && type == eS ) {
	type = eB;
    }
    /*
     * calculate max with of args if needed
     */
    int cWidth = width;
    NodeType_t cType = type;
    if( calculateMax ) {
	cType = eS;
	int max = 0;	
	int foundReal = 0;
	int foundUnsigned = 0;
        for( int i = 0; i < ArgCount(); i++ ) {
            if( (nodeMask>>i)&1 )  {
		switch( Arg<CNode*>(i)->type ) {
		case eB:
		    foundUnsigned = 1;
		    break;
		case eR:
		    foundReal = 1;
		    break;
		}
		if( Arg<CNode*>(i)->width > max ) {
		    max = Arg<CNode*>(i)->width;
		}	
	    }
	}
	if( foundReal ) {
	    cWidth = 0;
	    cType  = eR;
	} else if( foundUnsigned ) {
	    cType = eB;
	    cWidth = max;
	} else {
	    cWidth = max;
	}
    }
	
    /*
     * Fix each CNode* argument
     */
    for( int i = 0; i < ArgCount(); i++ ) {
        if( (nodeMask>>i)&1 )  {
	    if( (scalarMask>>i)&1 ) {
		if( Arg<CNode*>(i)->type == eR ) {
			CNode* node;
			Arg<CNode*>(i) =  _NE( Arg<CNode*>(i), _REAL(0), &loc );
			Arg<CNode*>(i)->LabelBits();
		} else if( type == eR ) {
			// Hack for ? operator
			CNode* node;
			Arg<CNode*>(i) =  _CNE( Arg<CNode*>(i), _INT32(0), &loc );
			Arg<CNode*>(i)->LabelBits();
		}
	        Arg<CNode*>(i) = Arg<CNode*>(i)->FixBits( 0, eU );
	    } else if( (forceRealMask>>i)&1 ) {
	        Arg<CNode*>(i) = Arg<CNode*>(i)->FixBits( 0, eR );
	    } else if( (selfDeterminedMask>>i)&1 ) {
	        Arg<CNode*>(i) = Arg<CNode*>(i)->FixBits( 0, eU );
	    } else {
	        Arg<CNode*>(i) = Arg<CNode*>(i)->FixBits( cWidth, cType );
	    }
	}
    }
	


    /*
     * add conversions if needed
     */
    if( newType != eR && convertWidth ) {
	CNode* nn = _WIDTH(_INT32(newWidth), this);
    	nn->width = newWidth;
    	nn->type =  type;
	return nn;
    } 
    if( newType == eR && (type == eB || type == eS) ) {
    	CNode* nn = _CVIR( this );
    	nn->width =  0;
    	nn->type = eR;
    	return  nn;
    	
    } else if( (newType == eB || newType == eS) && type == eR ) {
    	CNode* nn = _CVRI( this );
    	nn->width = newWidth;
    	nn->type = newType;
    	return  nn;
    }
    
    return this;
}

/*************************************************
 	Dump
	- dump expression for debug 
**************************************************/
void	CNode::Dump( FILE* f )
{
    switch( GetOp() ) {
    case eERROR:
        fprintf( f, "???" );
        break;
    case eVCONSTANT:
          fprintf( f, "%s", Arg<CVector*>(0)->GetVString() );
        break;
    case eRCONSTANT:
          fprintf( f, "%s", (char*)Arg<char*>(0) );
        break;
    case eELIST:
        fprintf( f, "" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "," );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "" );
        break;
    case eWIDTH:
        fprintf( f, "WIDTH(" );
        fprintf( f, "%s", type==eS ? "S" : "U" );
        fprintf( f, "," );
        fprintf( f, "%d", width );
        fprintf( f, "," );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "," );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eSUB:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")-(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eMUL:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")*(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eDIV:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")/(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case ePOW:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")**(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eADD:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")+(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eLSH:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")<<(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRSH:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")>>(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eLSHA:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")<<<(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRSHA:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")>>>(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eMOD:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")%%(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eOR:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")|(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eAND:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")&(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eANDANDAND:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")&&&(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eXOR:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")^(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eXNOR:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")~^(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eFUNCTION_CALL:
        fprintf( f, "" );
        fprintf( f, "%s", Arg<CSymbol*>(0)->GetName() );
        fprintf( f, "(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eARRAY:
        fprintf( f, "" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "[" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "]" );
        break;
    case eNET_REF:
          fprintf( f, "%s", Arg<CNet*>(0)->GetName() );
        break;
    case eREG_REF:
          fprintf( f, "%s", Arg<CReg*>(0)->GetName() );
        break;
    case eREAL_REF:
          fprintf( f, "%s", Arg<CReal*>(0)->GetName() );
        break;
    case ePARAM_REF:
          fprintf( f, "%s", Arg<CParam*>(0)->GetName() );
        break;
    case ePORT_REF:
          fprintf( f, "%s", Arg<CPort*>(0)->GetName() );
        break;
    case eFWD_REF:
          fprintf( f, "%s", Arg<CFref*>(0)->GetName() );
        break;
    case eGENVAR_REF:
          fprintf( f, "%s", Arg<CGenvar*>(0)->GetName() );
        break;
    case eLIST:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "," );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRANGE:
        fprintf( f, "" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ":" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "" );
        break;
    case eSLICE:
        fprintf( f, "" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ":" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "" );
        break;
    case ePSLICE:
        fprintf( f, "" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "+:" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "" );
        break;
    case eMSLICE:
        fprintf( f, "" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "-:" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "" );
        break;
    case eCVRI:
        fprintf( f, "CVRI(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eCVIR:
        fprintf( f, "CVIR(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eREP:
        fprintf( f, "{" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "{" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "}}" );
        break;
    case eCAT:
        fprintf( f, "{" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "," );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "}" );
        break;
    case eUCAT:
        fprintf( f, "{" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "}" );
        break;
    case eCOM:
        fprintf( f, "~(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eNEG:
        fprintf( f, "-(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eNOT:
        fprintf( f, "!(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eGT:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")>(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eGE:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")>=(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eLT:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")<(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eLE:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")<=(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eLAND:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")&&(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eLOR:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")||(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eCEQ:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")===(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eCNE:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")!==(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eEQ:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")==(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eNE:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")!=(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRAND:
        fprintf( f, "&(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRNAND:
        fprintf( f, "~&(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eROR:
        fprintf( f, "|(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRNOR:
        fprintf( f, "~|(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRXOR:
        fprintf( f, "^(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eRXNOR:
        fprintf( f, "~^(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")" );
        break;
    case eHOOK:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ")?(" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, "):(" );
        Arg<CNode*>(2)->Dump( f );
        fprintf( f, ")" );
        break;
    case eINIT:
        fprintf( f, "INIT(*)" );
        break;
    case eMTM:
        fprintf( f, "(" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, ":" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ":" );
        Arg<CNode*>(2)->Dump( f );
        fprintf( f, ")" );
        break;
    case eMACRO_EXPR:
        fprintf( f, "`" );
        Arg<CNode*>(0)->Dump( f );
        fprintf( f, "<" );
        Arg<CNode*>(1)->Dump( f );
        fprintf( f, ">" );
        break;
    case eCOMMENT:
    case eVRQ:
    case ePRAGMA:
    case eNOP:
    case eINSTANCE_REF:
    case eGATE_REF:
    case eTASK_ENABLE:
    case eSYSTASK_CALL:
    case eTIMING_CALL:
    case eEVENT_REF:
    case eNET_DECL:
    case eREG_DECL:
    case eREAL_DECL:
    case ePARAM_DECL:
    case eSPECPARAM_DECL:
    case ePORT_DECL:
    case eEVENT_DECL:
    case eGENVAR_DECL:
    case eALWAYS:
    case eEVENT:
    case eBLOCK_REF:
    case eSPECIFY_REF:
    case eASSIGN:
    case eFORCE:
    case eRELEASE:
    case eNBASSIGN:
    case ePOSEDGE:
    case eNEGEDGE:
    case eEDGE:
    case eEVOR:
    case eDELAY:
    case eIF:
    case eFOREVER:
    case eREPEAT:
    case eWHILE:
    case eWAIT:
    case eFOR:
    case eCASE:
    case eCASEX:
    case eCASEZ:
    case eCASEITEM:
    case eCASSIGN:
    case eARG:
    case eFUNCTION_DEF:
    case eMODULE_DEF:
    case eREPEAT_CONTROL:
    case eDELAY_CONTROL:
    case eEVENT_CONTROL:
    case eEXTERNAL_REF:
    case ePORT_DEF:
    case eDEFPARAM:
    case ePATH:
    case ePATH_ASSIGN:
    case eIFNONE_PATH_ASSIGN:
    case eTRIGGER:
    case ePASSIGN:
    case eDEASSIGN:
    case eDISABLE:
    case eATTRIBUTE:
    case eGIF:
    case eGFOR:
    case eGCASE:
    case eTABLE:
    case eTABLE_ENTRY:
    case eTABLE_SYMBOL:
    case ePORTLIST_END:
	MASSERT( FALSE );
	break;
    }
}

#endif // DEFINE_METHODS

#ifdef DEFINE_TEST_HARNESS
void CNodeTestHarness()
{
    for( int i = 0; i < 127; ++i ) {
        CNode* n = new(CNode::stack) CNode( NULL, (NodeOp_t)i );
        if( n->Precedence() != n->Precedence_1() ) {
            printf( "Fail %s\n", nodeOpName[i] );
            exit(1); 
        } 
    }
}
#endif // DEFINE_TEST_HARNESS
